# Generated by Django 5.1.6 on 2025-06-24 14:04

import datetime
import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        (
            "enap_designsystem",
            "0236_alter_areaaluno_body_alter_cursoeadpage_curso_and_more",
        ),
        ("wagtailcore", "0094_alter_page_locale"),
    ]

    operations = [
        migrations.CreateModel(
            name="ChatbotConfig",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("nome", models.CharField(default="Assistente ENAP", max_length=100)),
                (
                    "mensagem_boas_vindas",
                    models.TextField(
                        default="Olá! Sou o assistente virtual da ENAP. Como posso ajudar você hoje?"
                    ),
                ),
                (
                    "prompt_sistema",
                    models.TextField(
                        default="Você é um assistente virtual da ENAP (Escola Nacional de Administração Pública). \n        Responda perguntas sobre os conteúdos do portal de forma clara e objetiva. \n        Sempre indique links relevantes quando disponíveis."
                    ),
                ),
                (
                    "api_key_google",
                    models.CharField(
                        blank=True,
                        help_text="API Key do Google AI Studio",
                        max_length=200,
                    ),
                ),
                (
                    "modelo_ia",
                    models.CharField(
                        choices=[
                            ("gemini-1.5-flash", "Gemini 1.5 Flash"),
                            ("gemini-1.5-pro", "Gemini 1.5 Pro"),
                            ("gemini-pro", "Gemini Pro"),
                        ],
                        default="gemini-1.5-flash",
                        max_length=50,
                    ),
                ),
                ("ativo", models.BooleanField(default=True)),
            ],
            options={
                "verbose_name": "Configuração do Chatbot",
                "verbose_name_plural": "Configurações do Chatbot",
            },
        ),
        migrations.CreateModel(
            name="ChatbotWidget",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("nome", models.CharField(max_length=100)),
                (
                    "titulo_widget",
                    models.CharField(default="Assistente Virtual ENAP", max_length=200),
                ),
                (
                    "cor_primaria",
                    models.CharField(
                        default="#0066cc",
                        help_text="Cor em hex (#000000)",
                        max_length=7,
                    ),
                ),
                (
                    "cor_secundaria",
                    models.CharField(
                        default="#ffffff",
                        help_text="Cor em hex (#ffffff)",
                        max_length=7,
                    ),
                ),
                (
                    "posicao",
                    models.CharField(
                        choices=[
                            ("bottom-right", "Inferior Direito"),
                            ("bottom-left", "Inferior Esquerdo"),
                            ("top-right", "Superior Direito"),
                            ("top-left", "Superior Esquerdo"),
                        ],
                        default="bottom-right",
                        max_length=20,
                    ),
                ),
                (
                    "icone_chatbot",
                    models.CharField(
                        choices=[
                            ("💬", "Balão de conversa"),
                            ("🤖", "Robô"),
                            ("💭", "Balão de pensamento"),
                            ("📞", "Telefone"),
                            ("❓", "Interrogação"),
                        ],
                        default="🤖",
                        max_length=50,
                    ),
                ),
                ("mostrar_em_mobile", models.BooleanField(default=True)),
                ("ativo", models.BooleanField(default=True)),
            ],
            options={
                "verbose_name": "Widget do Chatbot",
                "verbose_name_plural": "Widgets do Chatbot",
            },
        ),
        migrations.CreateModel(
            name="ConversaChatbot",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("sessao_id", models.CharField(max_length=100)),
                ("usuario_ip", models.GenericIPAddressField(blank=True, null=True)),
                ("mensagem_usuario", models.TextField()),
                ("resposta_bot", models.TextField()),
                ("paginas_referenciadas", models.TextField(blank=True)),
                ("data_conversa", models.DateTimeField(auto_now_add=True)),
            ],
            options={
                "verbose_name": "Conversa do Chatbot",
                "verbose_name_plural": "Conversas do Chatbot",
            },
        ),
        migrations.AlterField(
            model_name="areaaluno",
            name="body",
            field=wagtail.fields.StreamField(
                [
                    ("enap_herobanner", 3),
                    ("formulario_snippet", 5),
                    ("chatbot_ia", 10),
                    ("section_carousel", 59),
                    ("enap_carousel", 31),
                    ("programa_cards", 42),
                    ("formulario", 61),
                    ("carousel_option", 66),
                    ("cta_destaque", 46),
                    ("loc", 72),
                    ("carousel", 74),
                    ("navbarflutuante", 86),
                    ("bannertopics", 95),
                    ("QuoteModern", 101),
                    ("carousel_green", 112),
                    ("feature_list_text", 122),
                    ("banner_image_cta", 129),
                    ("hero", 142),
                    ("feature_list", 149),
                    ("service_cards", 156),
                    ("topic_links", 163),
                    ("citizen_server", 173),
                    ("accordion", 179),
                    ("aviso", 187),
                    ("carrossel_cursos", 213),
                    ("galeria_moderna", 224),
                    ("team_moderna", 233),
                    ("cta_2", 238),
                    ("section_card_title_center", 249),
                    ("section_tabs_cards", 265),
                    ("cta_imagem", 277),
                    ("container_info", 291),
                    ("sobre_linhas", 303),
                    ("contato", 315),
                    ("form_contato", 337),
                    ("evento", 352),
                    ("hero_animada", 362),
                    ("banner_search", 380),
                    ("navbar", 390),
                    ("secao_adesao", 399),
                    ("texto_imagem", 405),
                    ("enap_herofeature", 409),
                    ("banner", 3),
                    ("feature_course", 415),
                    ("feature_processo_seletivo", 424),
                    ("team_carousel", 433),
                    ("testimonials_carousel", 442),
                    ("why_choose", 453),
                    ("enap_accordion", 179),
                    ("button_group", 459),
                    ("dropdown", 463),
                    ("courses_carousel", 466),
                    ("course_intro_topics", 473),
                    ("preview_courses", 475),
                    ("breadcrumb", 478),
                    ("auto_breadcrumb", 480),
                    ("feature_estrutura", 488),
                    ("hero_banner", 502),
                    ("banner_resultado", 525),
                    ("video", 529),
                    ("estatisticas", 538),
                    ("newsletter", 542),
                    ("podcast_spotify", 557),
                    ("patrocinadores", 564),
                    ("download", 567),
                    ("noticias_carousel", 466),
                    ("eventos_carousel", 569),
                    ("enap_section", 607),
                ],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Background Image", "required": False},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Banner",
                            "label": "Title",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    2: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descrição do banner. Edite este texto para personalizar o conteúdo.",
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Description",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 0), ("title", 1), ("description", 2)]],
                        {},
                    ),
                    4: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.FormularioSnippet",),
                        {"help_text": "Escolha o formulário a ser exibido"},
                    ),
                    5: ("wagtail.blocks.StructBlock", [[("formulario", 4)]], {}),
                    6: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.ChatbotWidget",),
                        {
                            "help_text": "Escolha a configuração visual do chatbot",
                            "label": "Widget do Chatbot",
                        },
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Deixe vazio para usar o título do widget",
                            "required": False,
                        },
                    ),
                    8: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se marcado, só aparece nesta página específica",
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se marcado, remove o chatbot global desta página",
                            "required": False,
                        },
                    ),
                    10: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("chatbot_widget", 6),
                                ("titulo_personalizado", 7),
                                ("mostrar_apenas_nesta_pagina", 8),
                                ("desabilitar_chatbot_global", 9),
                            ]
                        ],
                        {},
                    ),
                    11: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título opcional acima do carrossel",
                            "label": "Título do Carrossel",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    12: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título que aparece sobre a imagem",
                            "label": "Título do Slide",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    13: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "Subtítulo ou descrição do slide",
                            "label": "Subtítulo",
                            "max_length": 300,
                            "required": False,
                        },
                    ),
                    14: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para telas grandes (desktop/tablet)",
                            "label": "Imagem Desktop",
                        },
                    ),
                    15: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para dispositivos móveis",
                            "label": "Imagem Mobile",
                        },
                    ),
                    16: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Se deve exibir o botão no slide",
                            "label": "Mostrar Botão",
                            "required": False,
                        },
                    ),
                    17: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "Texto que aparece no botão",
                            "label": "Texto do Botão",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    18: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar",
                            "label": "Link do Botão",
                            "required": False,
                        },
                    ),
                    19: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primario", "Primário (Azul)"),
                                ("secundario", "Secundário (Branco)"),
                                ("outline", "Outline (Borda)"),
                            ],
                            "help_text": "Estilo visual do botão",
                            "label": "Estilo do Botão",
                        },
                    ),
                    20: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("centro", "Centro"),
                                ("esquerda", "Esquerda"),
                                ("direita", "Direita"),
                                ("inferior-esquerda", "Inferior Esquerda"),
                                ("inferior-centro", "Inferior Centro"),
                                ("inferior-direita", "Inferior Direita"),
                            ],
                            "help_text": "Onde posicionar o texto e botão na imagem",
                            "label": "Posição do Conteúdo",
                        },
                    ),
                    21: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Adicionar overlay escuro para melhor legibilidade",
                            "label": "Overlay Escuro",
                            "required": False,
                        },
                    ),
                    22: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 12),
                                ("subtitulo", 13),
                                ("imagem_desktop", 14),
                                ("imagem_mobile", 15),
                                ("mostrar_botao", 16),
                                ("texto_botao", 17),
                                ("link_botao", 18),
                                ("estilo_botao", 19),
                                ("posicao_conteudo", 20),
                                ("overlay_escuro", 21),
                            ]
                        ],
                        {},
                    ),
                    23: (
                        "wagtail.blocks.ListBlock",
                        (22,),
                        {
                            "help_text": "Adicione os slides do carrossel",
                            "label": "Slides",
                            "max_num": 8,
                            "min_num": 1,
                        },
                    ),
                    24: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("400px", "Baixa (400px)"),
                                ("500px", "Média (500px)"),
                                ("600px", "Alta (600px)"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura do carrossel no desktop",
                            "label": "Altura Desktop",
                        },
                    ),
                    25: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("250px", "Baixa (250px)"),
                                ("300px", "Média (300px)"),
                                ("400px", "Alta (400px)"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura do carrossel no mobile",
                            "label": "Altura Mobile",
                        },
                    ),
                    26: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Se o carrossel deve rodar automaticamente",
                            "label": "Autoplay",
                            "required": False,
                        },
                    ),
                    27: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 5,
                            "help_text": "Tempo entre as transições automáticas",
                            "label": "Intervalo Autoplay (segundos)",
                            "max_value": 15,
                            "min_value": 2,
                        },
                    ),
                    28: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Pontos indicadores na parte inferior",
                            "label": "Mostrar Indicadores",
                            "required": False,
                        },
                    ),
                    29: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Setas de navegação lateral",
                            "label": "Mostrar Setas",
                            "required": False,
                        },
                    ),
                    30: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("slide", "Deslizar"), ("fade", "Fade")],
                            "help_text": "Tipo de transição entre slides",
                            "label": "Efeito de Transição",
                        },
                    ),
                    31: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("slides", 23),
                                ("altura_desktop", 24),
                                ("altura_mobile", 25),
                                ("autoplay", 26),
                                ("intervalo_autoplay", 27),
                                ("mostrar_indicadores", 28),
                                ("mostrar_setas", 29),
                                ("efeito_transicao", 30),
                            ]
                        ],
                        {},
                    ),
                    32: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Programa",
                            "help_text": "Título principal da seção",
                            "label": "Título Principal",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    33: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "de Desenvolvimento Inicial",
                            "help_text": "Subtítulo que aparece abaixo do título principal",
                            "label": "Subtítulo",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    34: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será usada como background da seção",
                            "label": "Imagem de Fundo",
                        },
                    ),
                    35: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("direita", "Direita"),
                                ("esquerda", "Esquerda"),
                            ],
                            "help_text": "Define se os cards ficam à direita ou esquerda do título",
                            "label": "Posição dos Cards",
                        },
                    ),
                    36: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Logo que aparece no card",
                            "label": "Logo do Programa",
                            "required": False,
                        },
                    ),
                    37: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Ex: Programa de Desenvolvimento Inicial para Cargos de Nível Intermediário",
                            "label": "Título do Programa",
                            "max_length": 200,
                        },
                    ),
                    38: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Ex: 271h, 280h",
                            "label": "Duração",
                            "max_length": 50,
                        },
                    ),
                    39: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o card deve direcionar quando clicado",
                            "label": "Link do Programa",
                            "required": False,
                        },
                    ),
                    40: (
                        "wagtail.blocks.StructBlock",
                        [[("logo", 36), ("titulo", 37), ("duracao", 38), ("link", 39)]],
                        {},
                    ),
                    41: (
                        "wagtail.blocks.ListBlock",
                        (40,),
                        {
                            "help_text": "Adicione até 4 cards de programas",
                            "label": "Cards dos Programas",
                            "max_num": 4,
                            "min_num": 1,
                        },
                    ),
                    42: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_principal", 32),
                                ("subtitulo", 33),
                                ("imagem_fundo", 34),
                                ("posicao_cards", 35),
                                ("cards", 41),
                            ]
                        ],
                        {},
                    ),
                    43: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Data de Início da Formação",
                            "help_text": "Título principal do componente",
                            "label": "Título",
                            "max_length": 100,
                        },
                    ),
                    44: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem personalizada para o ícone (opcional, padrão será ícone de relógio)",
                            "label": "Ícone Personalizado",
                            "required": False,
                        },
                    ),
                    45: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "A formação começa no dia 15 de janeiro de 2024. Inscrições abertas até 10 de janeiro.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Texto com as informações sobre a formação",
                            "label": "Descrição",
                        },
                    ),
                    46: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 43),
                                ("icone_personalizado", 44),
                                ("descricao", 45),
                            ]
                        ],
                        {},
                    ),
                    47: (
                        "wagtail.blocks.StreamBlock",
                        [
                            [
                                ("enap_carousel", 31),
                                ("programa_cards", 42),
                                ("cta_destaque", 46),
                            ]
                        ],
                        {
                            "help_text": "Escolha qual tipo de seção será este slide",
                            "label": "Seção do Slide",
                        },
                    ),
                    48: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título que identifica este slide no admin (não aparece no frontend)",
                            "label": "Título do Slide (Opcional)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    49: (
                        "wagtail.blocks.StructBlock",
                        [[("secao", 47), ("titulo_slide", 48)]],
                        {},
                    ),
                    50: (
                        "wagtail.blocks.ListBlock",
                        (49,),
                        {
                            "help_text": "Adicione as seções que farão parte do carrossel",
                            "label": "Slides/Seções",
                            "max_num": 6,
                            "min_num": 2,
                        },
                    ),
                    51: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se o carrossel deve rodar automaticamente",
                            "label": "Autoplay",
                            "required": False,
                        },
                    ),
                    52: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 8,
                            "help_text": "Tempo entre as transições (recomendado: 8-15 segundos para seções)",
                            "label": "Intervalo Autoplay (segundos)",
                            "max_value": 20,
                            "min_value": 3,
                        },
                    ),
                    53: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Pontos/números indicadores na parte inferior",
                            "label": "Mostrar Indicadores",
                            "required": False,
                        },
                    ),
                    54: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Setas de navegação lateral",
                            "label": "Mostrar Navegação",
                            "required": False,
                        },
                    ),
                    55: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pontos", "Pontos"),
                                ("numeros", "Números"),
                                ("barras", "Barras de Progresso"),
                            ],
                            "help_text": "Como mostrar os indicadores",
                            "label": "Estilo dos Indicadores",
                        },
                    ),
                    56: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("inferior", "Inferior"),
                                ("superior", "Superior"),
                                ("lateral", "Lateral"),
                            ],
                            "help_text": "Onde posicionar os controles de navegação",
                            "label": "Posição dos Controles",
                        },
                    ),
                    57: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("auto", "Automática"),
                                ("400px", "400px"),
                                ("500px", "500px"),
                                ("600px", "600px"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura mínima do carrossel",
                            "label": "Altura Mínima",
                        },
                    ),
                    58: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("slide", "Deslizar"),
                                ("fade", "Fade"),
                                ("slide-vertical", "Deslizar Vertical"),
                            ],
                            "help_text": "Tipo de transição entre seções",
                            "label": "Efeito de Transição",
                        },
                    ),
                    59: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_carrossel", 11),
                                ("slides", 50),
                                ("autoplay", 51),
                                ("intervalo_autoplay", 52),
                                ("mostrar_indicadores", 53),
                                ("mostrar_navegacao", 54),
                                ("estilo_indicadores", 55),
                                ("posicao_controles", 56),
                                ("altura_minima", 57),
                                ("efeito_transicao", 58),
                            ]
                        ],
                        {},
                    ),
                    60: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Título do formulário", "required": False},
                    ),
                    61: ("wagtail.blocks.StructBlock", [[("titulo", 60)]], {}),
                    62: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo para o slide", "required": True},
                    ),
                    63: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("title_center", "Título centralizado"),
                                (
                                    "title_desc_left",
                                    "Título e descrição à esquerda com grafismo",
                                ),
                                ("blank", "Slide em branco"),
                            ],
                            "help_text": "Escolha o formato do slide",
                        },
                    ),
                    64: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título do slide (não usado no formato em branco)",
                            "required": False,
                        },
                    ),
                    65: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "Descrição do slide (usado apenas no formato 'Título e descrição à esquerda')",
                            "required": False,
                        },
                    ),
                    66: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("background_image", 62),
                                ("slide_type", 63),
                                ("title", 64),
                                ("description", 65),
                            ]
                        ],
                        {},
                    ),
                    67: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Local",
                            "help_text": "Título da seção (ex: Local, Onde Estamos)",
                            "label": "Título da Seção",
                            "max_length": 50,
                        },
                    ),
                    68: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enap - Escola Nacional de Administração Pública",
                            "help_text": "Nome completo da instituição",
                            "label": "Nome da Instituição",
                            "max_length": 200,
                        },
                    ),
                    69: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Asa Sul • SPO Área Especial 2-A • CEP 70.610-900 • Brasília/DF",
                            "help_text": "Endereço completo com CEP e cidade",
                            "label": "Endereço Completo",
                            "max_length": 300,
                        },
                    ),
                    70: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Cole aqui o link completo do Google Maps (ex: https://maps.google.com/...)",
                            "label": "Link do Google Maps",
                        },
                    ),
                    71: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão para abrir rotas no Google Maps",
                            "label": "Mostrar Botão de Rotas",
                            "required": False,
                        },
                    ),
                    72: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 67),
                                ("nome_instituicao", 68),
                                ("endereco_completo", 69),
                                ("google_maps_url", 70),
                                ("mostrar_botao_rotas", 71),
                            ]
                        ],
                        {},
                    ),
                    73: (
                        "wagtail.blocks.ListBlock",
                        (66,),
                        {
                            "help_text": "Adicione slides ao carrossel (entre 1 e 10)",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    74: ("wagtail.blocks.StructBlock", [[("slides", 73)]], {}),
                    75: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Logo image for the navigation bar",
                            "required": True,
                        },
                    ),
                    76: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de fundo do botão",
                            "label": "Cor do Botão",
                        },
                    ),
                    77: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Entrar",
                            "help_text": "Text for the login button",
                            "required": True,
                        },
                    ),
                    78: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL for the login button",
                            "required": True,
                        },
                    ),
                    79: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acervo",
                            "help_text": "Text for the call-to-action button",
                            "required": True,
                        },
                    ),
                    80: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL for the call-to-action button",
                            "required": True,
                        },
                    ),
                    81: ("wagtail.blocks.CharBlock", (), {"required": True}),
                    82: ("wagtail.blocks.URLBlock", (), {"required": True}),
                    83: ("wagtail.blocks.BooleanBlock", (), {"required": False}),
                    84: (
                        "wagtail.blocks.StructBlock",
                        [[("link_text", 81), ("link_url", 82), ("is_active", 83)]],
                        {},
                    ),
                    85: ("wagtail.blocks.ListBlock", (84,), {}),
                    86: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("logo_image", 75),
                                ("primary_color", 76),
                                ("accent_color", 76),
                                ("button_color", 76),
                                ("button_text_color", 76),
                                ("login_button_text", 77),
                                ("login_button_url", 78),
                                ("cta_button_text", 79),
                                ("cta_button_url", 80),
                                ("nav_items", 85),
                            ]
                        ],
                        {},
                    ),
                    87: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo do Componente",
                            "help_text": "Título principal do componente",
                            "label": "Título",
                            "max_length": 100,
                        },
                    ),
                    88: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Sub Titulo do Componente",
                            "help_text": "Informação e/ou descrição",
                            "label": "Sub Titulo",
                            "max_length": 200,
                        },
                    ),
                    89: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição do Componente",
                            "help_text": "Descrição com mais detalhes",
                            "label": "Descrição",
                        },
                    ),
                    90: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será exibida como fundo do componente",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    91: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Título do Item", "max_length": 100},
                    ),
                    92: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL completa (ex: https://exemplo.com)",
                            "label": "URL do Link",
                        },
                    ),
                    93: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 91), ("url", 92)]],
                        {"icon": "link", "label": "Item do Menu"},
                    ),
                    94: (
                        "wagtail.blocks.StreamBlock",
                        [[("item_link", 93)]],
                        {
                            "help_text": "Adicione quantos itens de menu desejar",
                            "label": "Itens do Menu",
                            "required": False,
                        },
                    ),
                    95: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 87),
                                ("periodo_info", 88),
                                ("descricao", 89),
                                ("imagem_fundo", 90),
                                ("itens_menu", 94),
                            ]
                        ],
                        {},
                    ),
                    96: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Adicione uma foto da pessoa sendo citada. Recomendação: imagem no formato retrato com pelo menos 500x700px.",
                            "label": "Foto da Pessoa",
                        },
                    ),
                    97: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "O texto da citação. Não é necessário adicionar aspas, elas serão adicionadas automaticamente.",
                            "label": "Texto da Citação",
                        },
                    ),
                    98: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Nome da pessoa sendo citada.",
                            "label": "Nome do Autor",
                            "max_length": 100,
                        },
                    ),
                    99: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Cargo, profissão ou título da pessoa (opcional).",
                            "label": "Título/Cargo do Autor",
                            "max_length": 150,
                            "required": False,
                        },
                    ),
                    100: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("default", "Padrão (Branco)"),
                                ("blue", "Azul"),
                                ("green", "Verde"),
                            ],
                            "help_text": "Escolha um tema de cor para a citação.",
                            "label": "Tema de Cor",
                        },
                    ),
                    101: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("person_image", 96),
                                ("quote_text", 97),
                                ("author_name", 98),
                                ("author_title", 99),
                                ("color_theme", 100),
                            ]
                        ],
                        {},
                    ),
                    102: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ethos Público",
                            "label": "Tag",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    103: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Servir: a essência do serviço público",
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Título",
                            "required": False,
                        },
                    ),
                    104: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Subtítulo",
                            "required": False,
                        },
                    ),
                    105: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem"},
                    ),
                    106: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Título", "max_length": 100},
                    ),
                    107: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Descrição",
                        },
                    ),
                    108: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acesse o curso",
                            "label": "Texto do link",
                            "max_length": 50,
                        },
                    ),
                    109: ("wagtail.blocks.URLBlock", (), {"label": "URL do link"}),
                    110: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 105),
                                ("title", 106),
                                ("description", 107),
                                ("link_text", 108),
                                ("link_url", 109),
                            ]
                        ],
                        {},
                    ),
                    111: (
                        "wagtail.blocks.ListBlock",
                        (110,),
                        {"label": "Itens do Carrossel", "min_num": 1},
                    ),
                    112: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tag", 102),
                                ("title", 103),
                                ("subtitle", 104),
                                ("items", 111),
                            ]
                        ],
                        {},
                    ),
                    113: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Main featured image", "required": True},
                    ),
                    114: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Featured title", "required": True},
                    ),
                    115: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Featured description (optional)",
                            "required": False,
                        },
                    ),
                    116: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Item thumbnail", "required": True},
                    ),
                    117: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Item title", "required": True},
                    ),
                    118: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Item description", "required": True},
                    ),
                    119: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link URL (entire card will be clickable)",
                            "required": False,
                        },
                    ),
                    120: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 116),
                                ("title", 117),
                                ("description", 118),
                                ("link", 119),
                            ]
                        ],
                        {},
                    ),
                    121: (
                        "wagtail.blocks.ListBlock",
                        (120,),
                        {
                            "default": [
                                {
                                    "description": "<p>Descrição do item</p>",
                                    "title": "Exemplo de item",
                                }
                            ],
                            "help_text": "Add as many items as you want in the grid",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    122: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("featured_image", 113),
                                ("featured_title", 114),
                                ("featured_description", 115),
                                ("list_items", 121),
                            ]
                        ],
                        {},
                    ),
                    123: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Servir: a essência do serviço público",
                            "label": "Título",
                            "max_length": 200,
                            "required": True,
                        },
                    ),
                    124: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": 'A ideia do "Propósito do Servir" destaca que trabalhar no serviço público vai além de cumprir uma função; é um compromisso verdadeiro com a sociedade.',
                            "label": "Descrição",
                            "required": True,
                        },
                    ),
                    125: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Se não fornecida, será usado fundo verde padrão",
                            "label": "Imagem de fundo (opcional)",
                            "required": False,
                        },
                    ),
                    126: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem principal", "required": True},
                    ),
                    127: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "VEJA O VÍDEO",
                            "label": "Texto do botão de vídeo",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    128: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
                            "help_text": "Link para o vídeo (YouTube, Vimeo, etc)",
                            "label": "URL do vídeo",
                            "required": False,
                        },
                    ),
                    129: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tag", 102),
                                ("title", 123),
                                ("description", 124),
                                ("background_image", 125),
                                ("hero_image", 126),
                                ("video_text", 127),
                                ("video_url", 128),
                            ]
                        ],
                        {},
                    ),
                    130: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Texto do Título Principal",
                            "help_text": "Texto principal do hero",
                            "label": "Título Principal",
                            "required": True,
                        },
                    ),
                    131: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Texto do Subtítulo",
                            "help_text": "Texto de apoio abaixo do título",
                            "label": "Subtítulo",
                            "required": True,
                        },
                    ),
                    132: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor principal dos elementos destacados",
                            "label": "Cor Primária",
                        },
                    ),
                    133: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de destaque secundária",
                            "label": "Cor de Destaque",
                        },
                    ),
                    134: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco (#FFFFFF)"),
                                ("#F8F9FA", "Cinza Claro (#F8F9FA)"),
                                ("#000000", "Preto (#000000)"),
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de fundo da seção (se não usar imagem)",
                            "label": "Cor de Fundo",
                        },
                    ),
                    135: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "Texto do botão principal",
                            "label": "Texto do Botão Primário",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    136: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL do botão principal",
                            "label": "Link do Botão Primário",
                            "required": False,
                        },
                    ),
                    137: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Assistir vídeo",
                            "help_text": "Texto do botão secundário",
                            "label": "Texto do Botão Secundário",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    138: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL do botão secundário",
                            "label": "Link do Botão Secundário",
                            "required": False,
                        },
                    ),
                    139: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir ícone de play no botão secundário",
                            "label": "Mostrar Ícone de Play",
                            "required": False,
                        },
                    ),
                    140: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão de play sobreposto na imagem de fundo",
                            "label": "Mostrar Botão de Play na Imagem",
                            "required": False,
                        },
                    ),
                    141: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo da seção hero",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    142: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 130),
                                ("subtitle", 131),
                                ("primary_color", 132),
                                ("accent_color", 133),
                                ("background_color", 134),
                                ("primary_button_text", 135),
                                ("primary_button_url", 136),
                                ("secondary_button_text", 137),
                                ("secondary_button_url", 138),
                                ("show_play_icon", 139),
                                ("show_play_button", 140),
                                ("background_image", 141),
                            ]
                        ],
                        {},
                    ),
                    143: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Featured item title", "required": True},
                    ),
                    144: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Featured item description", "required": True},
                    ),
                    145: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link for the featured item",
                            "label": "URL do link",
                            "required": True,
                        },
                    ),
                    146: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Item image", "required": True},
                    ),
                    147: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 146),
                                ("title", 117),
                                ("description", 118),
                                ("link_url", 109),
                            ]
                        ],
                        {},
                    ),
                    148: (
                        "wagtail.blocks.ListBlock",
                        (147,),
                        {
                            "help_text": "Add items to be displayed on the right side",
                            "min_num": 1,
                        },
                    ),
                    149: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("featured_image", 113),
                                ("featured_title", 143),
                                ("featured_description", 144),
                                ("featured_link_url", 145),
                                ("list_items", 148),
                            ]
                        ],
                        {},
                    ),
                    150: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Card image", "required": True},
                    ),
                    151: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Card title", "required": True},
                    ),
                    152: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Card description", "required": True},
                    ),
                    153: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Optional link for the card", "required": False},
                    ),
                    154: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 150),
                                ("title", 151),
                                ("description", 152),
                                ("link", 153),
                            ]
                        ],
                        {},
                    ),
                    155: (
                        "wagtail.blocks.ListBlock",
                        (154,),
                        {"help_text": "Add as many cards as you want", "min_num": 1},
                    ),
                    156: ("wagtail.blocks.StructBlock", [[("cards", 155)]], {}),
                    157: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ethos Público: Compromisso de servir",
                            "label": "Título do tópico 1",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    158: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 1",
                            "label": "Link do tópico 1",
                            "required": True,
                        },
                    ),
                    159: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cidadania ativa",
                            "label": "Título do tópico 2",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    160: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 2",
                            "label": "Link do tópico 2",
                            "required": True,
                        },
                    ),
                    161: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Estado e Desenvolvimento",
                            "label": "Título do tópico 3",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    162: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 3",
                            "label": "Link do tópico 3",
                            "required": True,
                        },
                    ),
                    163: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("topic1_title", 157),
                                ("topic1_link", 158),
                                ("topic2_title", 159),
                                ("topic2_link", 160),
                                ("topic3_title", 161),
                                ("topic3_link", 162),
                            ]
                        ],
                        {},
                    ),
                    164: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Titulo (e.g. 'Olhar cidadão, servidor atuante, Estado capaz')",
                            "required": True,
                        },
                    ),
                    165: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "help_text": "Descrição (e.g. 'A Enap é uma escola pública federal vinculada ao Ministério da Gestão e da Inovação em Serviços Públicos (MGI)')",
                            "required": True,
                        },
                    ),
                    166: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Tag (e.g. 'Servir')", "required": False},
                    ),
                    167: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("medium", "Banner Médio"),
                                ("large", "Banner Grande"),
                            ],
                            "help_text": "Escolha o tamanho do banner",
                        },
                    ),
                    168: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("center", "Texto Centralizado"),
                                ("bottom", "Texto Inferior"),
                                ("overlay", "Texto com Linha"),
                            ],
                            "help_text": "Choose the text display style",
                        },
                    ),
                    169: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "ID da seção para âncoras/navegação (e.g. 'clima', 'transformacao', 'cuidar')",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    170: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo"},
                    ),
                    171: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"help_text": "Vídeo de fundo"},
                    ),
                    172: (
                        "wagtail.blocks.StreamBlock",
                        [[("image", 170), ("video", 171)]],
                        {
                            "help_text": "Escolha uma imagem ou vídeo de fundo",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    173: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 164),
                                ("description", 165),
                                ("small_text", 166),
                                ("banner_size", 167),
                                ("style_choice", 168),
                                ("section_id", 169),
                                ("background_media", 172),
                            ]
                        ],
                        {},
                    ),
                    174: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    175: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    176: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    177: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 174),
                                ("custom_css_class", 175),
                                ("custom_id", 176),
                            ]
                        ],
                        {},
                    ),
                    178: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.EnapAccordionSnippet",),
                        {},
                    ),
                    179: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("accordion", 178)]],
                        {},
                    ),
                    180: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Aviso Importante",
                            "help_text": "O título principal do aviso",
                            "label": "Título do Aviso",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    181: (
                        "wagtail.blocks.DateBlock",
                        (),
                        {
                            "default": datetime.date(2025, 6, 24),
                            "help_text": "Data associada ao aviso",
                            "label": "Data do Aviso",
                            "required": True,
                        },
                    ),
                    182: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Por favor, leia atentamente as informações abaixo para garantir que você esteja ciente de todas as atualizações importantes.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "O texto principal do aviso",
                            "label": "Conteúdo do Aviso",
                            "required": True,
                        },
                    ),
                    183: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem exibida ao lado do aviso",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    184: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Importante",
                            "help_text": "O texto exibido na tag destacada (ex: Importante, Urgente)",
                            "label": "Texto da Tag",
                            "max_length": 20,
                            "required": True,
                        },
                    ),
                    185: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "O texto a ser exibido no botão",
                            "label": "Texto do Botão",
                            "max_length": 30,
                            "required": True,
                        },
                    ),
                    186: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL para onde o botão direciona",
                            "label": "Link do Botão",
                            "required": True,
                        },
                    ),
                    187: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 180),
                                ("data", 181),
                                ("texto", 182),
                                ("imagem", 183),
                                ("cor_borda", 133),
                                ("tag_texto", 184),
                                ("cor_tag", 133),
                                ("botao_texto", 185),
                                ("botao_link", 186),
                                ("cor_botao", 133),
                            ]
                        ],
                        {},
                    ),
                    188: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-curso-em-breve", "Curso em breve"),
                                ("card-curso-aberto", "Curso aberto"),
                                ("card-curso-andamento", "Curso em andamento"),
                                ("card-curso-encerrado", "Curso encerrado"),
                            ],
                            "help_text": "Escolha o status do curso",
                            "label": "Status do curso",
                        },
                    ),
                    189: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Curso de Exemplo",
                            "label": "Título do curso",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    190: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descrição do curso de exemplo.",
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Descrição",
                        },
                    ),
                    191: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "40 horas",
                            "label": "Carga horária",
                            "max_length": 50,
                            "required": True,
                        },
                    ),
                    192: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("presencial", "Presencial"),
                                ("online", "Online"),
                                ("hibrido", "Híbrido"),
                            ],
                            "label": "Modalidade",
                        },
                    ),
                    193: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor que será aplicada no texto destacado e nos cards",
                            "label": "Cor de Destaque",
                        },
                    ),
                    194: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Category",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    195: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Label",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    196: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 174),
                                ("custom_css_class", 175),
                                ("custom_id", 176),
                                ("ga_tracking_event_category", 194),
                                ("ga_tracking_event_label", 195),
                            ]
                        ],
                        {},
                    ),
                    197: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {"label": "Page link", "required": False},
                    ),
                    198: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    199: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Other link", "max_length": 255, "required": False},
                    ),
                    200: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    201: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primary", "Tipo primário"),
                                ("secondary", "Tipo secundário"),
                                ("terciary", "Tipo terciário"),
                            ],
                            "help_text": "Escolha o tipo do botão",
                            "label": "Tipo de botão",
                        },
                    ),
                    202: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("small", "Pequeno"),
                                ("medium", "Médio"),
                                ("large", "Grande"),
                                ("extra-large", "Extra grande"),
                            ],
                            "help_text": "Escolha o tamanho do botão",
                            "label": "Tamanho",
                        },
                    ),
                    203: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"label": "Icone", "required": False},
                    ),
                    204: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 196),
                                ("page_link", 197),
                                ("doc_link", 198),
                                ("other_link", 199),
                                ("button_title", 200),
                                ("type_class", 201),
                                ("size_class", 202),
                                ("icone_bool", 203),
                            ]
                        ],
                        {},
                    ),
                    205: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 204)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    206: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("type", 188),
                                ("title", 189),
                                ("description", 190),
                                ("carga_horaria", 191),
                                ("modalidade", 192),
                                ("highlight_color", 193),
                                ("link", 205),
                            ]
                        ],
                        {},
                    ),
                    207: (
                        "wagtail.blocks.StreamBlock",
                        [[("card", 206)]],
                        {
                            "help_text": "Adicione os cards de curso que deseja exibir no carrossel",
                            "label": "Cards de Curso",
                            "min_num": 1,
                        },
                    ),
                    208: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 1,
                            "help_text": "Número de cards visíveis em dispositivos móveis",
                            "label": "Cards por visualização (Mobile)",
                            "max_value": 2,
                            "min_value": 1,
                        },
                    ),
                    209: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 2,
                            "help_text": "Número de cards visíveis em tablets",
                            "label": "Cards por visualização (Tablet)",
                            "max_value": 3,
                            "min_value": 1,
                        },
                    ),
                    210: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 3,
                            "help_text": "Número de cards visíveis em desktops",
                            "label": "Cards por visualização (Desktop)",
                            "max_value": 4,
                            "min_value": 1,
                        },
                    ),
                    211: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Ativar rolagem automática do carrossel",
                            "label": "Auto-play",
                            "required": False,
                        },
                    ),
                    212: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 5000,
                            "help_text": "Tempo de espera entre slides em milissegundos (1000 = 1 segundo)",
                            "label": "Tempo de auto-play",
                            "min_value": 1000,
                            "required": False,
                        },
                    ),
                    213: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cards", 207),
                                ("slidesPerView_mobile", 208),
                                ("slidesPerView_tablet", 209),
                                ("slidesPerView_desktop", 210),
                                ("auto_play", 211),
                                ("auto_play_delay", 212),
                            ]
                        ],
                        {},
                    ),
                    214: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Galeria de Eventos",
                            "help_text": "Título que aparecerá no topo da seção de galeria",
                            "label": "Título da Seção",
                        },
                    ),
                    215: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Subtítulo da Seção",
                        },
                    ),
                    216: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Todos", "label": "Nome da Categoria"},
                    ),
                    217: ("wagtail.blocks.StructBlock", [[("nome", 216)]], {}),
                    218: (
                        "wagtail.blocks.ListBlock",
                        (217,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os itens da galeria",
                            "label": "Categorias da Galeria",
                        },
                    ),
                    219: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Título do Item", "label": "Título do Item"},
                    ),
                    220: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Categoria 1",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    221: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do item da galeria",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    222: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 219), ("categoria", 220), ("imagem", 221)]],
                        {},
                    ),
                    223: (
                        "wagtail.blocks.ListBlock",
                        (222,),
                        {
                            "help_text": "Adicione os itens que serão exibidos na galeria",
                            "label": "Itens da Galeria",
                        },
                    ),
                    224: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 214),
                                ("subtitulo_secao", 215),
                                ("cor_principal", 133),
                                ("cor_secundaria", 133),
                                ("categorias", 218),
                                ("itens_galeria", 223),
                            ]
                        ],
                        {},
                    ),
                    225: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Temos uma rica experiência de diversos backgrounds",
                            "label": "Título",
                            "max_length": 200,
                        },
                    ),
                    226: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Nossa filosofia é simples: reunir pessoas talentosas e oferecer a elas os recursos e suporte para fazer seu melhor trabalho.",
                            "label": "Subtítulo",
                        },
                    ),
                    227: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Recomendado: 270x320px ou proporção similar",
                            "label": "Foto",
                            "required": False,
                        },
                    ),
                    228: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do Membro",
                            "label": "Nome",
                            "max_length": 100,
                        },
                    ),
                    229: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do Membro",
                            "label": "Cargo",
                            "max_length": 150,
                        },
                    ),
                    230: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link para LinkedIn, Lattes ou perfil profissional",
                            "label": "Link do Perfil",
                            "required": False,
                        },
                    ),
                    231: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("photo", 227),
                                ("name", 228),
                                ("role", 229),
                                ("links_perfil", 230),
                            ]
                        ],
                        {"icon": "user", "label": "Membro da Equipe"},
                    ),
                    232: (
                        "wagtail.blocks.ListBlock",
                        (231,),
                        {
                            "help_text": "Adicione os membros da equipe que aparecerão no carrossel",
                            "label": "Membros da Equipe",
                            "min_num": 1,
                        },
                    ),
                    233: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 225), ("subtitle", 226), ("team_members", 232)]],
                        {},
                    ),
                    234: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Gnova: Leitura ao ar livre",
                            "help_text": "Texto do badge no topo da seção hero",
                            "required": True,
                        },
                    ),
                    235: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Espaço para promover a rotatividade de livros e leitura ao ar livre.",
                            "help_text": "Título principal da seção hero",
                            "required": True,
                        },
                    ),
                    236: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Um jardim interativo onde os livros podem ser trocados, lidos e apreciados em um ambiente natural.</p><p>Área para workshops, contação de histórias e eventos culturais.</p>",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Descrição da seção hero (aceita formatação básica)",
                            "required": True,
                        },
                    ),
                    237: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem da seção hero (ideal: 1200x800px)",
                            "required": False,
                        },
                    ),
                    238: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("hero_badge", 234),
                                ("hero_title", 235),
                                ("hero_description", 236),
                                ("hero_image", 237),
                            ]
                        ],
                        {},
                    ),
                    239: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "label": "Título da Seção",
                            "required": False,
                        },
                    ),
                    240: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "",
                            "help_text": "Parte do título que terá gradiente (opcional)",
                            "label": "Texto Destacado",
                            "required": False,
                        },
                    ),
                    241: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Subtítulo da seção com informações relevantes.</p>",
                            "label": "Subtítulo da Seção",
                            "required": False,
                        },
                    ),
                    242: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Card",
                            "label": "Título do Card",
                            "required": False,
                        },
                    ),
                    243: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Descrição detalhada do card com informações importantes para o usuário.</p>",
                            "label": "Descrição do Card",
                            "required": False,
                        },
                    ),
                    244: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "fa-solid fa-star",
                            "help_text": "Cole o código do Font Awesome aqui (ex: 'fa-solid fa-book')",
                            "label": "Classe do Ícone",
                            "required": True,
                        },
                    ),
                    245: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acessar",
                            "label": "Texto do Link",
                            "required": False,
                        },
                    ),
                    246: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://gov.br/",
                            "label": "URL do Link",
                            "required": False,
                        },
                    ),
                    247: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 242),
                                ("description", 243),
                                ("icon_class", 244),
                                ("link_text", 245),
                                ("link_url", 246),
                            ]
                        ],
                        {},
                    ),
                    248: (
                        "wagtail.blocks.ListBlock",
                        (247,),
                        {
                            "help_text": "Adicione os cards da seção (a cor será aplicada automaticamente)",
                            "label": "Cards",
                        },
                    ),
                    249: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 239),
                                ("highlight_text", 240),
                                ("highlight_color", 193),
                                ("subtitle", 241),
                                ("cards", 248),
                            ]
                        ],
                        {},
                    ),
                    250: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "label": "Título da Seção",
                            "required": True,
                        },
                    ),
                    251: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Subtítulo da seção com informações relevantes.</p>",
                            "label": "Subtítulo da Seção",
                            "required": True,
                        },
                    ),
                    252: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Aba",
                            "label": "Título da Aba",
                            "required": True,
                        },
                    ),
                    253: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "label": "Ativar por padrão",
                            "required": False,
                        },
                    ),
                    254: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "fa-solid fa-star",
                            "help_text": "Cole o código do Font Awesome aqui (ex: 'fa-solid fa-book')",
                            "label": "Classe do Ícone",
                            "required": False,
                        },
                    ),
                    255: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Insira um código de cor HEX (ex: #5E17EB)",
                            "label": "Cor de Destaque",
                            "required": True,
                        },
                    ),
                    256: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 242),
                                ("description", 243),
                                ("icon_class", 254),
                                ("link_text", 245),
                                ("link_url", 246),
                                ("highlight_color", 255),
                            ]
                        ],
                        {},
                    ),
                    257: (
                        "wagtail.blocks.ListBlock",
                        (256,),
                        {"default": [], "label": "Cards"},
                    ),
                    258: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("grid", "Grid - Cards em forma de grade"),
                                ("list", "Lista - Cards em formato de lista"),
                            ],
                            "label": "Tipo de Layout",
                        },
                    ),
                    259: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("2", "2 Colunas"),
                                ("3", "3 Colunas"),
                                ("4", "4 Colunas"),
                                ("5", "5 Colunas"),
                            ],
                            "label": "Número de Colunas",
                        },
                    ),
                    260: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tab_title", 252),
                                ("is_default_active", 253),
                                ("cards", 257),
                                ("layout_type", 258),
                                ("columns", 259),
                            ]
                        ],
                        {},
                    ),
                    261: (
                        "wagtail.blocks.ListBlock",
                        (260,),
                        {"default": [], "label": "Abas"},
                    ),
                    262: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Selecione a cor principal do componente",
                            "label": "Cor Primária",
                        },
                    ),
                    263: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Selecione a cor secundária do componente",
                            "label": "Cor Secundária",
                        },
                    ),
                    264: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FFFFFF",
                            "help_text": "Cor de fundo da seção (ex: #FFFFFF)",
                            "label": "Cor de Fundo",
                            "required": True,
                        },
                    ),
                    265: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 250),
                                ("highlight_text", 240),
                                ("subtitle", 251),
                                ("tabs", 261),
                                ("primary_color", 262),
                                ("secondary_color", 263),
                                ("background_color", 264),
                            ]
                        ],
                        {},
                    ),
                    266: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Novidade",
                            "help_text": "Texto que aparece no badge superior",
                            "label": "Texto do Badge",
                            "max_length": 50,
                        },
                    ),
                    267: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Conheça a",
                            "help_text": "Primeira parte do título",
                            "label": "Título Principal",
                            "max_length": 100,
                        },
                    ),
                    268: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Parte do título que terá gradiente (opcional)",
                            "label": "Título Destacado",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    269: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Uma iniciativa da Diretoria de Inovação que nasce da necessidade e do desejo de transformar a biblioteca em um espaço de construção de conhecimento, colaboração e inovação.",
                            "help_text": "Texto descritivo do CTA",
                            "label": "Descrição",
                        },
                    ),
                    270: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "label": "Texto do Botão",
                            "max_length": 50,
                        },
                    ),
                    271: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"default": "google.com", "label": "Link do Botão"},
                    ),
                    272: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor inicial do gradiente do título destacado",
                            "label": "Cor Inicial do Gradiente",
                        },
                    ),
                    273: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor final do gradiente do título destacado",
                            "label": "Cor Final do Gradiente",
                        },
                    ),
                    274: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco (#FFFFFF)"),
                                ("#000000", "Preto (#000000)"),
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor do texto do botão",
                            "label": "Cor do Texto do Botão",
                        },
                    ),
                    275: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparece na parte superior",
                            "label": "Imagem Superior",
                            "required": True,
                        },
                    ),
                    276: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparece na parte inferior",
                            "label": "Imagem Inferior",
                            "required": True,
                        },
                    ),
                    277: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("badge_text", 266),
                                ("title", 267),
                                ("highlighted_title", 268),
                                ("description", 269),
                                ("button_text", 270),
                                ("button_link", 271),
                                ("gradient_start_color", 272),
                                ("gradient_end_color", 273),
                                ("button_color", 76),
                                ("button_text_color", 274),
                                ("top_image", 275),
                                ("bottom_image", 276),
                            ]
                        ],
                        {},
                    ),
                    278: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nossas",
                            "help_text": "Primeira parte do título",
                            "label": "Prefixo do Título",
                            "max_length": 100,
                        },
                    ),
                    279: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo Destacado",
                            "help_text": "Parte do título que terá destaque visual",
                            "label": "Título Destacado",
                            "max_length": 100,
                        },
                    ),
                    280: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Acesse bases de dados com livros e periódicos eletrônicos, nacionais e internacionais, sobre administração pública e áreas correlatas",
                            "help_text": "Texto descritivo da seção",
                            "label": "Descrição",
                        },
                    ),
                    281: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor principal do componente aplicada aos elementos destacados",
                            "label": "Cor de Destaque",
                        },
                    ),
                    282: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Portal de Periódicos da Capes",
                            "label": "Título da Base de Dados",
                            "max_length": 100,
                        },
                    ),
                    283: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "A Biblioteca da Enap disponibiliza acesso a bases de dados com livros e periódicos eletrônicos, nacionais e internacionais. O acesso ao Portal é vinculado à rede da Enap, mas alunos, pesquisadores, professores e servidores têm acesso remoto.",
                            "label": "Descrição da Base de Dados",
                        },
                    ),
                    284: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "JSTOR",
                            "label": "Nome da Base",
                            "max_length": 100,
                        },
                    ),
                    285: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Base multidisciplinar com mais de 2.600 periódicos acadêmicos, livros e fontes primárias.",
                            "label": "Informações da Base",
                        },
                    ),
                    286: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.jstor.org/",
                            "help_text": "Link para acessar a base de dados",
                            "label": "Link da Base",
                            "required": False,
                        },
                    ),
                    287: (
                        "wagtail.blocks.StructBlock",
                        [[("name", 284), ("info", 285), ("link", 286)]],
                        {},
                    ),
                    288: (
                        "wagtail.blocks.ListBlock",
                        (287,),
                        {"label": "Cards das Bases"},
                    ),
                    289: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("database_title", 282),
                                ("database_description", 283),
                                ("cards", 288),
                            ]
                        ],
                        {"label": "Seção de Base de Dados"},
                    ),
                    290: (
                        "wagtail.blocks.StreamBlock",
                        [[("section", 289)]],
                        {"label": "Seções de Conteúdo"},
                    ),
                    291: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_prefix", 278),
                                ("title_highlight", 279),
                                ("description", 280),
                                ("highlight_color", 281),
                                ("content_sections", 290),
                            ]
                        ],
                        {},
                    ),
                    292: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Sobre a Biblioteca",
                            "help_text": "Título principal da página",
                        },
                    ),
                    293: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca",
                            "help_text": "Palavra do título que será destacada com gradiente",
                        },
                    ),
                    294: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Referência em Administração Pública e Gestão Governamental",
                            "help_text": "Subtítulo ou descrição breve",
                        },
                    ),
                    295: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "book",
                            "help_text": "Código do ícone do FontAwesome (ex: book, home). Use apenas o nome sem 'fa-'.",
                        },
                    ),
                    296: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "help_text": "Título desta seção",
                        },
                    ),
                    297: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Conteúdo da seção...</p>",
                            "help_text": "Conteúdo detalhado desta seção",
                        },
                    ),
                    298: (
                        "wagtail.blocks.StructBlock",
                        [[("icone_fa", 295), ("titulo_secao", 296), ("conteudo", 297)]],
                        {},
                    ),
                    299: (
                        "wagtail.blocks.ListBlock",
                        (298,),
                        {
                            "help_text": "Adicione seções com ícones, títulos e conteúdo",
                            "min_num": 1,
                        },
                    ),
                    300: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão de ação ao final",
                            "required": False,
                        },
                    ),
                    301: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acesse o Regulamento",
                            "help_text": "Texto do botão de ação",
                            "required": False,
                        },
                    ),
                    302: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "Link para onde o botão direciona",
                            "required": False,
                        },
                    ),
                    303: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 133),
                                ("cor_secundaria", 133),
                                ("titulo", 292),
                                ("palavra_destaque", 293),
                                ("subtitulo", 294),
                                ("secoes", 299),
                                ("mostrar_botao_acao", 300),
                                ("texto_botao", 301),
                                ("link_botao", 302),
                            ]
                        ],
                        {},
                    ),
                    304: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#F5F7FA", "Azul Enap"),
                                ("#FCFCFC", "Cinza Enap"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#FFFFFF", "Branco"),
                                ("#F8F9FA", "Cinza Muito Claro"),
                            ],
                            "help_text": "Cor de fundo da seção",
                        },
                    ),
                    305: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que ficará na lateral esquerda",
                            "required": False,
                        },
                    ),
                    306: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Imagem ilustrativa",
                            "help_text": "Texto alternativo da imagem",
                            "max_length": 100,
                        },
                    ),
                    307: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Fale Conosco",
                            "help_text": "Título principal (ex: Fale Conosco)",
                            "max_length": 100,
                        },
                    ),
                    308: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título principal",
                            "required": False,
                        },
                    ),
                    309: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Envie sua mensagem",
                            "help_text": "Subtítulo do formulário (ex: Envie sua mensagem)",
                            "max_length": 200,
                        },
                    ),
                    310: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do subtítulo",
                            "required": False,
                        },
                    ),
                    311: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor do botão de enviar",
                        },
                    ),
                    312: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do botão ao passar o mouse",
                        },
                    ),
                    313: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#00777D", "Enap"),
                                ("#58606E", "Enap Cinza"),
                                ("#AFF0ED", "Enap Azul"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#000000", "Preto"),
                                ("#2F2F2F", "Cinza Escuro"),
                                ("#4A4A4A", "Cinza Médio"),
                            ],
                            "help_text": "Cor do texto do botão",
                        },
                    ),
                    314: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar",
                            "help_text": "Texto do botão",
                            "max_length": 50,
                        },
                    ),
                    315: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 304),
                                ("imagem", 305),
                                ("alt_imagem", 306),
                                ("titulo_principal", 307),
                                ("cor_titulo_principal", 308),
                                ("subtitulo", 309),
                                ("cor_subtitulo", 310),
                                ("cor_botao", 311),
                                ("cor_hover_botao", 312),
                                ("cor_texto_botao", 313),
                                ("texto_botao", 314),
                            ]
                        ],
                        {},
                    ),
                    316: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Fale Conosco",
                            "help_text": "Título principal do formulário",
                            "required": False,
                        },
                    ),
                    317: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Entre em contato conosco para esclarecer dúvidas, enviar sugestões ou solicitar informações.",
                            "help_text": "Texto de introdução",
                            "required": False,
                        },
                    ),
                    318: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Envie sua mensagem",
                            "help_text": "Título da seção do formulário",
                        },
                    ),
                    319: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir texto informando sobre campos obrigatórios",
                            "required": False,
                        },
                    ),
                    320: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "* Campo obrigatório",
                            "help_text": "Texto exibido para informar sobre campos obrigatórios",
                            "required": False,
                        },
                    ),
                    321: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar mensagem",
                            "help_text": "Texto do botão de envio",
                        },
                    ),
                    322: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir opção para enviar cópia para o remetente",
                            "required": False,
                        },
                    ),
                    323: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar cópia para mim (opcional)",
                            "help_text": "Texto da opção para enviar cópia",
                            "required": False,
                        },
                    ),
                    324: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Informações de Contato",
                            "help_text": "Título da seção de informações de contato",
                        },
                    ),
                    325: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Campus Asa Sul",
                            "help_text": "Título do endereço",
                            "required": False,
                        },
                    ),
                    326: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SAIS AE 2A Térreo - Enap Campus Asa Sul – Brasília-DF",
                            "help_text": "Endereço completo",
                            "required": False,
                        },
                    ),
                    327: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Horário de Funcionamento",
                            "help_text": "Título do horário de funcionamento",
                            "required": False,
                        },
                    ),
                    328: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Segunda a sexta-feira das 9h às 18h00",
                            "help_text": "Horário de funcionamento",
                            "required": False,
                        },
                    ),
                    329: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Telefone",
                            "help_text": "Título do telefone",
                            "required": False,
                        },
                    ),
                    330: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "(61) 2020-3139",
                            "help_text": "Número de telefone",
                            "required": False,
                        },
                    ),
                    331: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "E-mail",
                            "help_text": "Título do e-mail",
                            "required": False,
                        },
                    ),
                    332: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "biblioteca@enap.gov.br",
                            "help_text": "Endereço de e-mail",
                            "required": False,
                        },
                    ),
                    333: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir mapa de localização",
                            "required": False,
                        },
                    ),
                    334: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do mapa (opcional, se preferir usar uma imagem estática)",
                            "required": False,
                        },
                    ),
                    335: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://maps.google.com",
                            "help_text": "Link para o mapa (ex: Google Maps)",
                            "required": False,
                        },
                    ),
                    336: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Visualizar Localização - Google Maps",
                            "help_text": "Texto do link para o mapa",
                            "required": False,
                        },
                    ),
                    337: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 133),
                                ("titulo", 316),
                                ("subtitulo", 317),
                                ("titulo_formulario", 318),
                                ("mostrar_texto_obrigatorio", 319),
                                ("texto_obrigatorio", 320),
                                ("texto_botao", 321),
                                ("mostrar_checkbox_copia", 322),
                                ("texto_checkbox_copia", 323),
                                ("titulo_informacoes", 324),
                                ("endereco_titulo", 325),
                                ("endereco", 326),
                                ("horario_titulo", 327),
                                ("horario", 328),
                                ("telefone_titulo", 329),
                                ("telefone", 330),
                                ("email_titulo", 331),
                                ("email", 332),
                                ("mostrar_mapa", 333),
                                ("imagem_mapa", 334),
                                ("link_mapa", 335),
                                ("texto_link_mapa", 336),
                            ]
                        ],
                        {},
                    ),
                    338: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Próximos Eventos",
                            "help_text": "Título que aparecerá no topo da seção de eventos",
                            "label": "Título da Seção",
                        },
                    ),
                    339: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Participe de nossa programação diversificada de eventos presenciais e online",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Descrição da Seção",
                        },
                    ),
                    340: (
                        "wagtail.blocks.ListBlock",
                        (217,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os eventos",
                            "label": "Categorias de Eventos",
                        },
                    ),
                    341: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Novo Evento", "label": "Título do Evento"},
                    ),
                    342: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Geral",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    343: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do Evento", "required": False},
                    ),
                    344: (
                        "wagtail.blocks.DateBlock",
                        (),
                        {
                            "default": datetime.date(2025, 6, 24),
                            "label": "Data do Evento",
                        },
                    ),
                    345: (
                        "wagtail.blocks.TimeBlock",
                        (),
                        {"default": datetime.time(9, 0), "label": "Hora de Início"},
                    ),
                    346: (
                        "wagtail.blocks.TimeBlock",
                        (),
                        {"default": datetime.time(17, 0), "label": "Hora de Término"},
                    ),
                    347: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "A definir", "label": "Local"},
                    ),
                    348: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição do evento será adicionada em breve.",
                            "label": "Descrição do Evento",
                        },
                    ),
                    349: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 50, "label": "Vagas Disponíveis", "min_value": 0},
                    ),
                    350: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 341),
                                ("categoria", 342),
                                ("imagem", 343),
                                ("data", 344),
                                ("hora_inicio", 345),
                                ("hora_fim", 346),
                                ("local", 347),
                                ("descricao", 348),
                                ("vagas_disponiveis", 349),
                            ]
                        ],
                        {},
                    ),
                    351: (
                        "wagtail.blocks.ListBlock",
                        (350,),
                        {
                            "help_text": "Adicione os eventos que serão exibidos",
                            "label": "Lista de Eventos",
                        },
                    ),
                    352: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 338),
                                ("descricao_secao", 339),
                                ("cor_principal", 133),
                                ("categorias", 340),
                                ("eventos", 351),
                            ]
                        ],
                        {},
                    ),
                    353: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Título principal do banner",
                            "label": "Título",
                        },
                    ),
                    354: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Futuro",
                            "help_text": "Parte do título que receberá o efeito gradiente",
                            "label": "Texto com Destaque",
                        },
                    ),
                    355: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Reimaginando a experiência da biblioteca tradicional com tecnologia",
                            "help_text": "Texto descritivo que aparecerá abaixo do título",
                            "label": "Descrição",
                        },
                    ),
                    356: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Novo Projeto",
                            "help_text": "Texto que aparece no badge acima do título",
                            "label": "Texto do Badge",
                            "required": False,
                        },
                    ),
                    357: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Selecione uma imagem para o lado direito do banner",
                            "label": "Imagem do Banner",
                        },
                    ),
                    358: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ver Próximos Eventos",
                            "help_text": "Texto do botão principal",
                            "label": "Texto do Botão Principal",
                        },
                    ),
                    359: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#eventos",
                            "help_text": "Link para onde o botão principal levará (URL ou #anchor)",
                            "label": "Link do Botão Principal",
                        },
                    ),
                    360: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba Mais",
                            "help_text": "Texto do botão secundário",
                            "label": "Texto do Botão Secundário",
                            "required": False,
                        },
                    ),
                    361: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#sobre",
                            "help_text": "Link para onde o botão secundário levará (URL ou #anchor)",
                            "label": "Link do Botão Secundário",
                            "required": False,
                        },
                    ),
                    362: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 353),
                                ("texto_destaque", 354),
                                ("descricao", 355),
                                ("badge_texto", 356),
                                ("imagem", 357),
                                ("botao_principal_texto", 358),
                                ("botao_principal_link", 359),
                                ("botao_secundario_texto", 360),
                                ("botao_secundario_link", 361),
                                ("cor_principal", 133),
                                ("cor_secundaria", 133),
                            ]
                        ],
                        {},
                    ),
                    363: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Cor principal para textos e elementos (ex: #4a4a4a)",
                            "label": "Cor Primária",
                        },
                    ),
                    364: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF8502",
                            "help_text": "Cor de destaque para títulos e botões (ex: #FF8502)",
                            "label": "Cor Secundária",
                        },
                    ),
                    365: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FFA135",
                            "help_text": "Cor para efeitos de hover (ex: #FFA135)",
                            "label": "Cor de Hover",
                        },
                    ),
                    366: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Descubra a",
                            "help_text": "Primeira parte do título do banner",
                            "label": "Título Principal",
                        },
                    ),
                    367: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca Graciliano Ramos",
                            "help_text": "Segunda parte do título que aparecerá com destaque",
                            "label": "Título em Destaque",
                        },
                    ),
                    368: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Referência em Administração Pública e Gestão Governamental com mais de 29 mil obras em seu acervo",
                            "help_text": "Texto descritivo abaixo do título",
                            "label": "Subtítulo",
                        },
                    ),
                    369: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será utilizada como fundo do banner",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    370: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "O que você procura? Digite palavras-chave...",
                            "help_text": "Texto que aparecerá como sugestão no campo de busca",
                            "label": "Texto do Placeholder",
                        },
                    ),
                    371: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Buscar",
                            "help_text": "Texto que aparecerá no botão de busca",
                            "label": "Texto do Botão",
                        },
                    ),
                    372: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/busca/",
                            "help_text": "URL para onde o formulário de busca será enviado",
                            "label": "URL da Busca",
                        },
                    ),
                    373: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Segunda a sexta das 9h às 19h",
                            "help_text": "Texto que aparecerá como informação adicional",
                            "label": "Texto do Badge Informativo",
                            "required": False,
                        },
                    ),
                    374: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparecerá no lado direito do banner",
                            "label": "Imagem Principal",
                        },
                    ),
                    375: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Mostrar os badges de informação flutuantes ao redor da imagem",
                            "label": "Mostrar Badges Flutuantes",
                            "required": False,
                        },
                    ),
                    376: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "📚",
                            "help_text": "Emoji ou ícone para o primeiro badge",
                            "label": "Ícone do Badge 1",
                            "required": False,
                        },
                    ),
                    377: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "29 mil obras impressas",
                            "help_text": "Texto que aparecerá no primeiro badge",
                            "label": "Texto do Badge 1",
                            "required": False,
                        },
                    ),
                    378: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "🌐",
                            "help_text": "Emoji ou ícone para o segundo badge",
                            "label": "Ícone do Badge 2",
                            "required": False,
                        },
                    ),
                    379: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acervo digital completo",
                            "help_text": "Texto que aparecerá no segundo badge",
                            "label": "Texto do Badge 2",
                            "required": False,
                        },
                    ),
                    380: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 363),
                                ("cor_secundaria", 364),
                                ("cor_accent", 365),
                                ("titulo_principal", 366),
                                ("titulo_destaque", 367),
                                ("subtitulo", 368),
                                ("imagem_background", 369),
                                ("texto_placeholder", 370),
                                ("texto_botao", 371),
                                ("url_busca", 372),
                                ("texto_badge", 373),
                                ("imagem_principal", 374),
                                ("mostrar_badges", 375),
                                ("badge1_icone", 376),
                                ("badge1_texto", 377),
                                ("badge2_icone", 378),
                                ("badge2_texto", 379),
                            ]
                        ],
                        {},
                    ),
                    381: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Upload your logo image", "required": False},
                    ),
                    382: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Color code for the 7px bottom border and hover effects (e.g. #3182ce)",
                            "required": False,
                        },
                    ),
                    383: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Portal",
                            "help_text": "Text for the portal button",
                            "required": False,
                        },
                    ),
                    384: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "URL for the portal button",
                            "required": False,
                        },
                    ),
                    385: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Menu item text", "required": False},
                    ),
                    386: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Menu item URL", "required": False},
                    ),
                    387: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"help_text": "Highlight this menu item", "required": False},
                    ),
                    388: (
                        "wagtail.blocks.StructBlock",
                        [[("text", 385), ("url", 386), ("featured", 387)]],
                        {},
                    ),
                    389: (
                        "wagtail.blocks.ListBlock",
                        (388,),
                        {
                            "default": [
                                {"featured": False, "text": "Início", "url": "#"},
                                {"featured": False, "text": "Acervo", "url": "#acervo"},
                                {
                                    "featured": False,
                                    "text": "Áreas Temáticas",
                                    "url": "#areas-tematicas",
                                },
                                {
                                    "featured": False,
                                    "text": "Bases de Dados",
                                    "url": "#bases-dados",
                                },
                                {"featured": False, "text": "Sobre", "url": "#sobre"},
                                {
                                    "featured": False,
                                    "text": "Contato",
                                    "url": "#contato",
                                },
                            ]
                        },
                    ),
                    390: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("logo", 381),
                                ("border_color", 382),
                                ("portal_text", 383),
                                ("portal_url", 384),
                                ("menu_items", 389),
                            ]
                        ],
                        {},
                    ),
                    391: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Como aderir ao Enap Aqui?",
                            "help_text": "Título da seção informativa (coluna esquerda)",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título",
                        },
                    ),
                    392: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>A adesão ao Programa Enap Aqui é feita por meio da assinatura de um Acordo de Adesão, formalizado pela instituição interessada.</p><p>O Acordo de Adesão ao Enap Aqui expressa o compromisso da instituição com a promoção de ações formativas voltadas a servidores públicos locais, por meio de uma abordagem híbrida que integra cursos a distância e oficinas presenciais, com foco em temas estratégicos para a gestão pública.</p>",
                            "help_text": "Texto explicativo sobre o processo de adesão",
                            "required": True,
                            "verbose_name": "Texto informativo",
                        },
                    ),
                    393: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Torne-se um parceiro Enap Aqui",
                            "help_text": "Título do cartão verde de destaque",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título do destaque",
                        },
                    ),
                    394: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Faça parte do Enap Aqui e acompanhe o processo:</p>",
                            "help_text": "Texto curto para o cartão verde de destaque",
                            "required": True,
                            "verbose_name": "Texto do destaque",
                        },
                    ),
                    395: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Aderir ao Enap Aqui",
                            "help_text": "Texto que será exibido no botão",
                            "max_length": 50,
                            "required": True,
                            "verbose_name": "Texto do botão",
                        },
                    ),
                    396: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "URL para onde o botão vai redirecionar",
                            "required": True,
                            "verbose_name": "URL do botão",
                        },
                    ),
                    397: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#1F4D4D",
                            "help_text": "Código hexadecimal da cor de fundo do cartão verde (ex: #1F4D4D)",
                            "max_length": 7,
                            "required": False,
                            "verbose_name": "Cor de fundo do destaque",
                        },
                    ),
                    398: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno"),
                                ("medio", "Médio"),
                                ("grande", "Grande"),
                            ],
                            "help_text": "Espaçamento vertical da seção",
                            "verbose_name": "Espaçamento",
                        },
                    ),
                    399: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_informativo", 391),
                                ("texto_informativo", 392),
                                ("titulo_destaque", 393),
                                ("texto_destaque", 394),
                                ("texto_botao", 395),
                                ("url_botao", 396),
                                ("cor_fundo_destaque", 397),
                                ("espaco_vertical", 398),
                            ]
                        ],
                        {},
                    ),
                    400: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título da seção",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título",
                        },
                    ),
                    401: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "help_text": "Conteúdo em texto",
                            "required": True,
                            "verbose_name": "Texto",
                        },
                    ),
                    402: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de destaque",
                            "required": True,
                            "verbose_name": "Imagem",
                        },
                    ),
                    403: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("direita", "Imagem à direita"),
                                ("esquerda", "Imagem à esquerda"),
                            ],
                            "help_text": "Posição da imagem em relação ao texto",
                            "verbose_name": "Posição da imagem",
                        },
                    ),
                    404: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("normal", "Normal"),
                                ("arredondada", "Cantos arredondados"),
                                ("circular", "Circular"),
                                ("cobertura", "Cobertura completa"),
                            ],
                            "help_text": "Estilo de exibição da imagem",
                            "verbose_name": "Estilo da imagem",
                        },
                    ),
                    405: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 400),
                                ("texto", 401),
                                ("imagem", 402),
                                ("posicao_imagem", 403),
                                ("estilo_imagem", 404),
                            ]
                        ],
                        {},
                    ),
                    406: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": True},
                    ),
                    407: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"max_length": 255, "required": True},
                    ),
                    408: ("wagtail.blocks.RichTextBlock", (), {"required": True}),
                    409: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("background_image", 406),
                                ("title", 407),
                                ("description", 408),
                            ]
                        ],
                        {},
                    ),
                    410: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da feature",
                            "help_text": "Primeiro título da feature",
                            "required": True,
                        },
                    ),
                    411: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição da feature",
                            "help_text": "Primeira descrição da feature",
                            "required": True,
                        },
                    ),
                    412: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da feature",
                            "help_text": "Segundo título da feature",
                            "required": True,
                        },
                    ),
                    413: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição da feature",
                            "help_text": "Segunda descrição da feature",
                            "required": True,
                        },
                    ),
                    414: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem da feature do curso", "required": False},
                    ),
                    415: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_1", 410),
                                ("description_1", 411),
                                ("title_2", 412),
                                ("description_2", 413),
                                ("image", 414),
                            ]
                        ],
                        {},
                    ),
                    416: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Processo seletivo",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    417: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Sobre o processo seletivo",
                            "help_text": "Descrição do processo seletivo",
                            "required": True,
                        },
                    ),
                    418: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Inscrição",
                            "help_text": "Título do primeiro módulo",
                            "required": True,
                        },
                    ),
                    419: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do primeiro módulo",
                            "required": True,
                        },
                    ),
                    420: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Seleção",
                            "help_text": "Título do segundo módulo",
                            "required": True,
                        },
                    ),
                    421: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do segundo módulo",
                            "required": True,
                        },
                    ),
                    422: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Resultado",
                            "help_text": "Título do terceiro módulo",
                            "required": True,
                        },
                    ),
                    423: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do terceiro módulo",
                            "required": True,
                        },
                    ),
                    424: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 416),
                                ("description", 417),
                                ("module1_title", 418),
                                ("module1_description", 419),
                                ("module2_title", 420),
                                ("module2_description", 421),
                                ("module3_title", 422),
                                ("module3_description", 423),
                            ]
                        ],
                        {},
                    ),
                    425: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nossa Equipe",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    426: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Equipe de desenvolvedores e etc",
                            "help_text": "Descrição da seção da equipe",
                            "required": True,
                        },
                    ),
                    427: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ver todos",
                            "help_text": "Texto do botão 'ver todos'",
                            "required": False,
                        },
                    ),
                    428: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Nome do membro da equipe", "required": True},
                    ),
                    429: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Cargo/função do membro", "required": True},
                    ),
                    430: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Foto do membro da equipe", "required": False},
                    ),
                    431: (
                        "wagtail.blocks.StructBlock",
                        [[("name", 428), ("role", 429), ("image", 430)]],
                        {},
                    ),
                    432: (
                        "wagtail.blocks.ListBlock",
                        (431,),
                        {
                            "collapsed": False,
                            "default": [
                                {"image": None, "name": "Membro 1", "role": "Cargo 1"},
                                {"image": None, "name": "Membro 2", "role": "Cargo 2"},
                                {"image": None, "name": "Membro 3", "role": "Cargo 3"},
                                {"image": None, "name": "Membro 4", "role": "Cargo 4"},
                            ],
                            "help_text": "Adicione os membros da equipe",
                        },
                    ),
                    433: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 425),
                                ("description", 426),
                                ("view_all_text", 427),
                                ("members", 432),
                            ]
                        ],
                        {},
                    ),
                    434: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Depoimentos",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    435: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"help_text": "Descrição opcional da seção", "required": False},
                    ),
                    436: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do profissional",
                            "help_text": "Nome da pessoa",
                            "required": True,
                        },
                    ),
                    437: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do profissional",
                            "help_text": "Cargo ou posição da pessoa",
                            "required": True,
                        },
                    ),
                    438: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Depoimento da pessoa",
                            "required": True,
                        },
                    ),
                    439: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Foto da pessoa", "required": False},
                    ),
                    440: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("name", 436),
                                ("position", 437),
                                ("testimonial", 438),
                                ("image", 439),
                            ]
                        ],
                        {},
                    ),
                    441: (
                        "wagtail.blocks.ListBlock",
                        (440,),
                        {"help_text": "Adicione os depoimentos"},
                    ),
                    442: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 434), ("description", 435), ("testimonials", 441)]],
                        {},
                    ),
                    443: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo do beneficio",
                            "label": "Título principal",
                            "required": True,
                        },
                    ),
                    444: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Titulo do beneficio",
                            "label": "Descrição principal",
                            "required": False,
                        },
                    ),
                    445: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 1", "required": False},
                    ),
                    446: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Metodologia ensino–aplicação",
                            "label": "Título do benefício 1",
                            "required": True,
                        },
                    ),
                    447: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 2", "required": False},
                    ),
                    448: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 2",
                            "required": True,
                        },
                    ),
                    449: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 3", "required": False},
                    ),
                    450: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 3",
                            "required": True,
                        },
                    ),
                    451: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 4", "required": False},
                    ),
                    452: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 4",
                            "required": True,
                        },
                    ),
                    453: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 443),
                                ("description", 444),
                                ("image_1", 445),
                                ("title_1", 446),
                                ("image_2", 447),
                                ("title_2", 448),
                                ("image_3", 449),
                                ("title_3", 450),
                                ("image_4", 451),
                                ("title_4", 452),
                            ]
                        ],
                        {},
                    ),
                    454: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("solid", "Solid - Fundo colorido"),
                                ("outline", "Outline - Apenas contorno"),
                            ],
                            "help_text": "Estilo visual dos botões",
                        },
                    ),
                    455: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Texto do botão", "required": True},
                    ),
                    456: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão vai direcionar (opcional)",
                            "required": False,
                        },
                    ),
                    457: (
                        "wagtail.blocks.StructBlock",
                        [[("label", 455), ("url", 456)]],
                        {},
                    ),
                    458: (
                        "wagtail.blocks.ListBlock",
                        (457,),
                        {
                            "help_text": "Adicione botões ao grupo (entre 1 e 10)",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    459: (
                        "wagtail.blocks.StructBlock",
                        [[("style", 454), ("buttons", 458)]],
                        {},
                    ),
                    460: ("wagtail.blocks.PageChooserBlock", (), {"required": True}),
                    461: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 81), ("page", 460)]],
                        {},
                    ),
                    462: ("wagtail.blocks.ListBlock", (461,), {}),
                    463: (
                        "wagtail.blocks.StructBlock",
                        [[("label", 81), ("options", 462)]],
                        {},
                    ),
                    464: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    465: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 3, "label": "Number of pages to show"},
                    ),
                    466: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("indexed_by", 464), ("num_posts", 465)]],
                        {},
                    ),
                    467: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Curso",
                            "help_text": "Título principal sobre o curso",
                            "label": "Título do Curso",
                            "required": True,
                        },
                    ),
                    468: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva o curso",
                            "help_text": "Descrição geral do curso",
                            "label": "Descrição do Curso",
                            "required": True,
                        },
                    ),
                    469: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para destacar o curso",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    470: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva a modalidade do curso",
                            "help_text": "Descreva a modalidade do curso",
                            "label": "Descrição da Modalidade",
                            "required": True,
                        },
                    ),
                    471: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva o conteúdo do curso",
                            "help_text": "Descreva o conteúdo do curso",
                            "label": "Descrição do Curso",
                            "required": True,
                        },
                    ),
                    472: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva a metodologia do curso",
                            "help_text": "Descreva a metodologia do curso",
                            "label": "Descrição da Metodologia",
                            "required": True,
                        },
                    ),
                    473: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 467),
                                ("description", 468),
                                ("image", 469),
                                ("modalidade_description", 470),
                                ("curso_description", 471),
                                ("metodologia_description", 472),
                            ]
                        ],
                        {},
                    ),
                    474: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a mini preview of the selected page.",
                            "label": "Pagina de Formações",
                            "required": False,
                        },
                    ),
                    475: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("page", 474)]],
                        {},
                    ),
                    476: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Aplicar estilo escuro ao breadcrumb",
                            "label": "Tema Escuro",
                            "required": False,
                        },
                    ),
                    477: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/",
                            "help_text": "URL para o link da casa (padrão: /)",
                            "label": "URL da Página Inicial",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    478: (
                        "wagtail.blocks.StructBlock",
                        [[("dark_theme", 476), ("home_url", 477)]],
                        {},
                    ),
                    479: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/",
                            "label": "URL da Página Inicial",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    480: (
                        "wagtail.blocks.StructBlock",
                        [[("dark_theme", 476), ("home_url", 479)]],
                        {},
                    ),
                    481: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Estrutura do curso",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    482: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "1º Módulo",
                            "help_text": "Título do módulo (ex: 1º Módulo)",
                            "required": True,
                        },
                    ),
                    483: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descreva o módulo",
                            "help_text": "Descrição breve do módulo",
                            "required": True,
                        },
                    ),
                    484: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Item da lista de conteúdo do módulo",
                            "required": False,
                        },
                    ),
                    485: ("wagtail.blocks.ListBlock", (484,), {}),
                    486: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("module_title", 482),
                                ("module_description", 483),
                                ("module_items", 485),
                            ]
                        ],
                        {},
                    ),
                    487: (
                        "wagtail.blocks.ListBlock",
                        (486,),
                        {"help_text": "Adicione os módulos do curso", "min_num": 1},
                    ),
                    488: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 481), ("modules", 487)]],
                        {},
                    ),
                    489: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo do hero banner",
                            "required": False,
                        },
                    ),
                    490: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SEMINÁRIO DE INOVAÇÃO 2025",
                            "help_text": "Título principal do banner",
                            "max_length": 150,
                            "required": False,
                        },
                    ),
                    491: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Inovação e Transformação Digital na Administração Pública",
                            "help_text": "Subtítulo (opcional)",
                            "max_length": 300,
                            "required": False,
                        },
                    ),
                    492: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Participe do Seminário de Inovação 2025 e descubra as últimas tendências em inovação e transformação digital na administração pública.",
                            "help_text": "Texto descritivo (opcional)",
                            "required": False,
                        },
                    ),
                    493: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto descritivo",
                            "required": False,
                        },
                    ),
                    494: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Texto do botão", "max_length": 50},
                    ),
                    495: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Link do botão"},
                    ),
                    496: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primario", "Primário"),
                                ("secundario", "Secundário"),
                                ("outline", "Outline"),
                            ],
                            "help_text": "Tipo/estilo do botão",
                        },
                    ),
                    497: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor de fundo do botão",
                        },
                    ),
                    498: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do hover do botão",
                        },
                    ),
                    499: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("texto_botao", 494),
                                ("link_botao", 495),
                                ("tipo_botao", 496),
                                ("cor_fundo_botao", 497),
                                ("cor_texto_botao", 313),
                                ("cor_hover_botao", 498),
                            ]
                        ],
                        {"icon": "link", "label": "Botão Hero"},
                    ),
                    500: (
                        "wagtail.blocks.StreamBlock",
                        [[("botao_hero", 499)]],
                        {
                            "help_text": "Adicione até 3 botões no hero banner",
                            "max_num": 3,
                            "min_num": 0,
                            "required": False,
                        },
                    ),
                    501: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("0", "Sem overlay"),
                                ("0.3", "Overlay leve"),
                                ("0.5", "Overlay médio"),
                                ("0.7", "Overlay forte"),
                            ],
                            "help_text": "Opacidade do overlay escuro sobre a imagem",
                        },
                    ),
                    502: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 489),
                                ("titulo_principal", 490),
                                ("subtitulo", 491),
                                ("texto_descricao", 492),
                                ("cor_titulo", 308),
                                ("cor_subtitulo", 310),
                                ("cor_texto", 493),
                                ("botoes_hero", 500),
                                ("overlay_opacity", 501),
                            ]
                        ],
                        {},
                    ),
                    503: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo do banner (recomendado: 1920x600px)",
                            "required": False,
                        },
                    ),
                    504: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SEMANA DE INOVAÇÃO",
                            "help_text": "Nome do evento (ex: SEMANA DE INOVAÇÃO)",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    505: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título do evento",
                            "required": False,
                        },
                    ),
                    506: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "RESULTADO",
                            "help_text": "Tag que aparece no centro (ex: RESULTADO, NOVIDADE, IMPORTANTE)",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    507: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor de fundo da tag central",
                            "required": False,
                        },
                    ),
                    508: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto da tag central",
                            "required": False,
                        },
                    ),
                    509: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "CHAMADA PÚBLICA PARA ATIVIDADES",
                            "help_text": "Título principal do banner",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    510: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Texto do botão (ex: Resultado Atividades Online)",
                            "max_length": 100,
                        },
                    ),
                    511: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar (opcional)",
                            "required": False,
                        },
                    ),
                    512: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Ou escolha uma página interna do site",
                            "required": False,
                        },
                    ),
                    513: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("preenchido", "Preenchido"),
                                ("outline", "Outline (apenas borda)"),
                                ("texto", "Apenas texto"),
                            ],
                            "help_text": "Estilo visual do botão",
                        },
                    ),
                    514: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor de fundo do botão (para tipo preenchido)",
                        },
                    ),
                    515: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor da borda do botão (para tipo outline)",
                        },
                    ),
                    516: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do fundo no hover",
                        },
                    ),
                    517: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#00777D", "Enap"),
                                ("#58606E", "Enap Cinza"),
                                ("#AFF0ED", "Enap Azul"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#000000", "Preto"),
                                ("#2F2F2F", "Cinza Escuro"),
                                ("#4A4A4A", "Cinza Médio"),
                            ],
                            "help_text": "Cor do texto no hover",
                        },
                    ),
                    518: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Abrir link em nova aba?",
                            "required": False,
                        },
                    ),
                    519: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Sem ícone"),
                                ("download", "Download"),
                                ("external-link", "Link externo"),
                                ("file-text", "Documento"),
                                ("calendar", "Calendário"),
                                ("users", "Usuários"),
                                ("award", "Prêmio"),
                                ("info", "Informação"),
                                ("play", "Play"),
                                ("mail", "Email"),
                            ],
                            "help_text": "Ícone do botão (opcional)",
                            "required": False,
                        },
                    ),
                    520: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("texto", 510),
                                ("link", 511),
                                ("pagina_interna", 512),
                                ("tipo_botao", 513),
                                ("cor_fundo", 514),
                                ("cor_texto", 313),
                                ("cor_borda", 515),
                                ("cor_hover_fundo", 516),
                                ("cor_hover_texto", 517),
                                ("abrir_nova_aba", 518),
                                ("icone", 519),
                            ]
                        ],
                        {"icon": "link", "label": "Botão"},
                    ),
                    521: (
                        "wagtail.blocks.StreamBlock",
                        [[("botao", 520)]],
                        {
                            "help_text": "Adicione de 1 a 6 botões. Recomendado: máximo 3 botões para melhor visual.",
                            "max_num": 6,
                            "min_num": 1,
                            "required": False,
                        },
                    ),
                    522: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno (400px)"),
                                ("medio", "Médio (500px)"),
                                ("grande", "Grande (600px)"),
                                ("extra-grande", "Extra Grande (700px)"),
                                ("auto", "Automático (baseado no conteúdo)"),
                            ],
                            "help_text": "Altura do banner",
                        },
                    ),
                    523: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("esquerda", "Alinhado à esquerda"),
                                ("centro", "Centralizado"),
                                ("direita", "Alinhado à direita"),
                            ],
                            "help_text": "Alinhamento do conteúdo de texto",
                        },
                    ),
                    524: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("compacto", "Compacto"),
                                ("normal", "Normal"),
                                ("espaçoso", "Espaçoso"),
                            ],
                            "help_text": "Espaçamento entre os botões",
                        },
                    ),
                    525: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 503),
                                ("titulo_evento", 504),
                                ("cor_titulo_evento", 505),
                                ("tag_central", 506),
                                ("cor_fundo_tag", 507),
                                ("cor_texto_tag", 508),
                                ("titulo_principal", 509),
                                ("cor_titulo_principal", 308),
                                ("botoes", 521),
                                ("altura_banner", 522),
                                ("alinhamento_conteudo", 523),
                                ("espacamento_botoes", 524),
                            ]
                        ],
                        {},
                    ),
                    526: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Vídeo",
                            "label": "Título do Vídeo",
                            "required": False,
                        },
                    ),
                    527: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.youtube.com/watch?v=example",
                            "label": "URL do Vídeo",
                            "required": False,
                        },
                    ),
                    528: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Descrição", "required": False},
                    ),
                    529: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 526), ("video_url", 527), ("descricao", 528)]],
                        {},
                    ),
                    530: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título da seção (opcional)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    531: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título",
                            "required": False,
                        },
                    ),
                    532: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Número/valor (ex: 500+, 95%)", "max_length": 20},
                    ),
                    533: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Descrição do número", "max_length": 100},
                    ),
                    534: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do número",
                            "required": False,
                        },
                    ),
                    535: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor da descrição",
                            "required": False,
                        },
                    ),
                    536: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("numero", 532),
                                ("descricao", 533),
                                ("cor_numero", 534),
                                ("cor_descricao", 535),
                            ]
                        ],
                        {"icon": "plus", "label": "Estatística"},
                    ),
                    537: (
                        "wagtail.blocks.StreamBlock",
                        [[("estatistica", 536)]],
                        {
                            "help_text": "Adicione entre 2 e 8 estatísticas",
                            "max_num": 8,
                            "min_num": 2,
                        },
                    ),
                    538: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 304),
                                ("titulo", 530),
                                ("cor_titulo", 531),
                                ("estatisticas", 537),
                            ]
                        ],
                        {},
                    ),
                    539: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "ASSINE NOSSA NEWSLETTER",
                            "label": "Título",
                            "required": False,
                        },
                    ),
                    540: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Fique por dentro das novidades e eventos da Semana de Inovação.",
                            "label": "Texto",
                            "required": False,
                        },
                    ),
                    541: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem", "required": False},
                    ),
                    542: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 539), ("texto", 540), ("imagem", 541)]],
                        {},
                    ),
                    543: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo da seção (opcional)",
                            "required": False,
                        },
                    ),
                    544: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                (
                                    "texto-esquerda",
                                    "Texto à esquerda, Spotify à direita",
                                ),
                                (
                                    "texto-direita",
                                    "Texto à direita, Spotify à esquerda",
                                ),
                                ("texto-topo", "Texto no topo, Spotify embaixo"),
                            ],
                            "help_text": "Layout da seção",
                        },
                    ),
                    545: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "INOVAR NO GOVERNO PODE? PODE!",
                            "help_text": "Título principal da seção",
                            "max_length": 200,
                        },
                    ),
                    546: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "O InovaPod é o podcast oficial da ENAP, produzido pela Gnova - laboratório de inovação da ENAP. Ouça entrevistas e debates com especialistas e líderes, discutindo tendências e práticas inovadoras na administração pública.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Descrição do podcast em rich text",
                        },
                    ),
                    547: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto da descrição",
                            "required": False,
                        },
                    ),
                    548: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Mostrar botão de ação?",
                            "required": False,
                        },
                    ),
                    549: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "OUÇA AGORA",
                            "help_text": "Texto do botão",
                            "max_length": 100,
                        },
                    ),
                    550: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar",
                            "required": False,
                        },
                    ),
                    551: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": '<iframe style="border-radius:12px" src="https://open.spotify.com/embed/show/..." width="100%" height="352" frameBorder="0" allowfullscreen="" allow="autoplay; clipboard-write; encrypted-media; fullscreen; picture-in-picture" loading="lazy"></iframe>',
                            "help_text": "Código embed do Spotify (cole o código HTML completo do iframe)",
                        },
                    ),
                    552: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ouça o InovaPod",
                            "help_text": "Título do player Spotify (opcional, aparece acima do player)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    553: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título do Spotify",
                            "required": False,
                        },
                    ),
                    554: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno (2rem)"),
                                ("medio", "Médio (4rem)"),
                                ("grande", "Grande (6rem)"),
                                ("extra-grande", "Extra Grande (8rem)"),
                            ],
                            "help_text": "Espaçamento interno da seção",
                        },
                    ),
                    555: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("0", "Sem bordas arredondadas"),
                                ("8px", "Bordas suaves"),
                                ("12px", "Bordas médias"),
                                ("16px", "Bordas arredondadas"),
                                ("24px", "Bordas muito arredondadas"),
                            ],
                            "help_text": "Bordas arredondadas do player",
                        },
                    ),
                    556: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Adicionar sombra ao player do Spotify?",
                            "required": False,
                        },
                    ),
                    557: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 543),
                                ("cor_fundo", 304),
                                ("layout_tipo", 544),
                                ("titulo", 545),
                                ("cor_titulo", 531),
                                ("descricao", 546),
                                ("cor_descricao", 547),
                                ("mostrar_botao", 548),
                                ("texto_botao", 549),
                                ("link_botao", 550),
                                ("pagina_interna_botao", 512),
                                ("tipo_botao", 513),
                                ("cor_fundo_botao", 497),
                                ("cor_texto_botao", 313),
                                ("cor_borda_botao", 515),
                                ("cor_hover_fundo_botao", 516),
                                ("abrir_nova_aba_botao", 518),
                                ("spotify_embed_code", 551),
                                ("spotify_titulo", 552),
                                ("cor_titulo_spotify", 553),
                                ("espacamento_secao", 554),
                                ("border_radius_player", 555),
                                ("sombra_player", 556),
                            ]
                        ],
                        {},
                    ),
                    558: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo da seção", "required": False},
                    ),
                    559: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Patrocinadores do Evento",
                            "help_text": "Título principal da seção",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    560: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem principal em destaque",
                            "required": False,
                        },
                    ),
                    561: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem da galeria"},
                    ),
                    562: (
                        "wagtail.blocks.StructBlock",
                        [[("imagem", 561)]],
                        {"icon": "image", "label": "Foto"},
                    ),
                    563: (
                        "wagtail.blocks.StreamBlock",
                        [[("foto", 562)]],
                        {
                            "help_text": "Adicione quantas fotos quiser na galeria",
                            "min_num": 0,
                            "required": False,
                        },
                    ),
                    564: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_background", 558),
                                ("titulo", 559),
                                ("cor_titulo", 531),
                                ("imagem_destaque", 560),
                                ("galeria_fotos", 563),
                            ]
                        ],
                        {},
                    ),
                    565: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-primary", "Primary"),
                                ("btn-secondary", "Secondary"),
                                ("btn-success", "Success"),
                                ("btn-danger", "Danger"),
                                ("btn-warning", "Warning"),
                                ("btn-info", "Info"),
                                ("btn-link", "Link"),
                                ("btn-light", "Light"),
                                ("btn-dark", "Dark"),
                                ("btn-outline-primary", "Outline Primary"),
                                ("btn-outline-secondary", "Outline Secondary"),
                                ("btn-outline-success", "Outline Success"),
                                ("btn-outline-danger", "Outline Danger"),
                                ("btn-outline-warning", "Outline Warning"),
                                ("btn-outline-info", "Outline Info"),
                                ("btn-outline-light", "Outline Light"),
                                ("btn-outline-dark", "Outline Dark"),
                            ],
                            "label": "Button Style",
                            "required": False,
                        },
                    ),
                    566: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-sm", "Small"),
                                ("", "Default"),
                                ("btn-lg", "Large"),
                            ],
                            "label": "Button Size",
                            "required": False,
                        },
                    ),
                    567: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("button_style", 565),
                                ("button_size", 566),
                                ("button_title", 200),
                                ("downloadable_file", 198),
                            ]
                        ],
                        {},
                    ),
                    568: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    569: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("indexed_by", 568), ("num_posts", 465)]],
                        {},
                    ),
                    570: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "#ID da seção", "max_length": 255, "required": False},
                    ),
                    571: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("bg-white", "Fundo branco"),
                                ("bg-blue", "Fundo blue"),
                                ("bg-gray", "Fundo cinza"),
                                ("bg-whitetwo", "Fundo branco alternativo"),
                                ("bg-darkgreen", "Fundo verde escuro"),
                            ],
                            "help_text": "Escolha a cor de fundo para a seção",
                            "label": "Cor de fundo",
                        },
                    ),
                    572: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Titulo", "max_length": 255, "required": False},
                    ),
                    573: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Subtitulo",
                            "required": False,
                        },
                    ),
                    574: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("cards-gri-1", "1 card por linha"),
                                ("cards-gri-2", "Até 2 cards"),
                                ("cards-gri-3", "Até 3 cards"),
                                ("cards-gri-4", "Até 4 cards"),
                            ],
                            "help_text": "Escolha os limites de card por linha para essa grid.",
                            "label": "Card por linha",
                        },
                    ),
                    575: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-primary", "Tipo primário"),
                                ("card-secondary", "Tipo secundário"),
                                ("card-terciary", "Tipo terciário"),
                                ("card-bgimage", "Tipo BG Image"),
                                ("card-horizontal", "Tipo Horizontal"),
                                (
                                    "card-horizontal-reverse",
                                    "Tipo Horizontal Invertido",
                                ),
                            ],
                            "help_text": "Escolha o tipo/cor do card",
                            "label": "Tipo de card",
                        },
                    ),
                    576: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Image", "max_length": 255, "required": False},
                    ),
                    577: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Body",
                        },
                    ),
                    578: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 204)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 3,
                            "required": False,
                        },
                    ),
                    579: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("type", 575),
                                ("image", 576),
                                ("title", 200),
                                ("description", 577),
                                ("link", 578),
                            ]
                        ],
                        {},
                    ),
                    580: (
                        "wagtail.blocks.StreamBlock",
                        [[("enap_card", 579), ("card_curso", 206)]],
                        {"label": "Conteúdo"},
                    ),
                    581: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("grid", 574), ("content", 580)]],
                        {},
                    ),
                    582: ("enap_designsystem.blocks.html_blocks.RichTextBlock", (), {}),
                    583: ("wagtail.blocks.CharBlock", (), {"required": False}),
                    584: (
                        "wagtail.blocks.StructBlock",
                        [[("image", 406), ("caption", 583)]],
                        {},
                    ),
                    585: ("wagtail.blocks.TextBlock", (), {"required": True}),
                    586: (
                        "wagtail.blocks.StructBlock",
                        [[("quote", 585), ("attribution", 583)]],
                        {},
                    ),
                    587: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Perguntas Frequentes",
                            "help_text": "Título principal da seção de accordions (opcional)",
                            "label": "Título da Seção",
                            "required": False,
                        },
                    ),
                    588: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Pergunta",
                            "help_text": "Título que será mostrado no accordion (pergunta)",
                            "label": "Título do Accordion",
                            "required": True,
                        },
                    ),
                    589: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Resposta detalhada para a pergunta do accordion.",
                            "help_text": "Conteúdo que será exibido quando o accordion for expandido",
                            "label": "Resposta do Accordion",
                            "required": True,
                        },
                    ),
                    590: (
                        "wagtail.blocks.StructBlock",
                        [[("accordion_title", 588), ("accordion_response", 589)]],
                        {},
                    ),
                    591: (
                        "wagtail.blocks.ListBlock",
                        (590,),
                        {
                            "help_text": "Adicione quantas perguntas e respostas desejar",
                            "label": "Itens do Accordion",
                            "min_num": 1,
                        },
                    ),
                    592: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("section_title", 587),
                                ("highlight_color", 133),
                                ("accordion_items", 591),
                            ]
                        ],
                        {},
                    ),
                    593: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Fale", "max_length": 100},
                    ),
                    594: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Conosco", "max_length": 100},
                    ),
                    595: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Entre em contato com a Biblioteca Graciliano Ramos"
                        },
                    ),
                    596: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Telefone", "max_length": 100},
                    ),
                    597: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "(61) 2020-3139", "required": False},
                    ),
                    598: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "E-mail", "max_length": 100},
                    ),
                    599: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "biblioteca@enap.gov.br", "required": False},
                    ),
                    600: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Endereço", "max_length": 100},
                    ),
                    601: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "SPO Área Especial 2A - Térreo\nBrasília-DF - CEP: 70610-900",
                            "required": False,
                        },
                    ),
                    602: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Horário de Funcionamento", "max_length": 100},
                    ),
                    603: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Segunda a sexta-feira das 9h às 19h00",
                            "required": False,
                        },
                    ),
                    604: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3839.7410214087293!2d-47.91252422392779!3d-15.783966284838556!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x935a3aec4bdd315d%3A0xe4b35324fd775722!2sEscola%20Nacional%20de%20Administra%C3%A7%C3%A3o%20P%C3%BAblica%20(Enap)!5e0!3m2!1spt-BR!2sbr!4v1650293487600!5m2!1spt-BR!2sbr",
                            "required": True,
                        },
                    ),
                    605: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_prefix", 593),
                                ("title_highlight", 594),
                                ("description", 595),
                                ("phone_title", 596),
                                ("phone", 597),
                                ("email_title", 598),
                                ("email", 599),
                                ("address_title", 600),
                                ("address", 601),
                                ("hours_title", 602),
                                ("hours", 603),
                                ("map_embed_url", 604),
                                ("highlight_color", 76),
                            ]
                        ],
                        {},
                    ),
                    606: (
                        "wagtail.blocks.StreamBlock",
                        [
                            [
                                ("enap_cardgrid", 581),
                                ("enap_accordion", 179),
                                ("richtext", 582),
                                ("button", 204),
                                ("image", 584),
                                ("quote", 586),
                                ("preview_courses", 475),
                                ("noticias_carousel", 466),
                                ("enap_herofeature", 409),
                                ("feature_course", 415),
                                ("feature_estrutura", 488),
                                ("section_card_title_center", 249),
                                ("accordion", 592),
                                ("section_tabs_cards", 265),
                                ("cta_imagem", 277),
                                ("container_info", 291),
                                ("sobre_linhas", 303),
                                ("contato", 605),
                                ("form_contato", 337),
                                ("evento", 352),
                                ("hero_animada", 362),
                                ("banner_search", 380),
                                ("texto_imagem", 405),
                                ("hero", 142),
                                ("aviso", 187),
                                ("galeria_moderna", 224),
                                ("team_moderna", 233),
                                ("cta_2", 238),
                            ]
                        ],
                        {"label": "Conteúdo"},
                    ),
                    607: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("id_slug", 570),
                                ("custom_class", 571),
                                ("title", 572),
                                ("subtitle", 573),
                                ("content", 606),
                            ]
                        ],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="enapcomponentes",
            name="body",
            field=wagtail.fields.StreamField(
                [
                    ("enap_herobanner", 3),
                    ("formulario_snippet", 5),
                    ("chatbot_ia", 10),
                    ("section_carousel", 59),
                    ("enap_carousel", 31),
                    ("programa_cards", 42),
                    ("formulario", 61),
                    ("carousel_option", 66),
                    ("cta_destaque", 46),
                    ("loc", 72),
                    ("carousel", 74),
                    ("navbarflutuante", 86),
                    ("bannertopics", 95),
                    ("QuoteModern", 101),
                    ("carousel_green", 112),
                    ("feature_list_text", 122),
                    ("banner_image_cta", 129),
                    ("hero", 142),
                    ("feature_list", 149),
                    ("service_cards", 156),
                    ("topic_links", 163),
                    ("citizen_server", 173),
                    ("accordion", 179),
                    ("aviso", 187),
                    ("carrossel_cursos", 213),
                    ("galeria_moderna", 224),
                    ("team_moderna", 233),
                    ("cta_2", 238),
                    ("section_card_title_center", 249),
                    ("section_tabs_cards", 265),
                    ("cta_imagem", 277),
                    ("container_info", 291),
                    ("sobre_linhas", 303),
                    ("contato", 315),
                    ("form_contato", 337),
                    ("evento", 352),
                    ("hero_animada", 362),
                    ("banner_search", 380),
                    ("navbar", 390),
                    ("secao_adesao", 399),
                    ("texto_imagem", 405),
                    ("enap_herofeature", 409),
                    ("banner", 3),
                    ("feature_course", 415),
                    ("feature_processo_seletivo", 424),
                    ("team_carousel", 433),
                    ("testimonials_carousel", 442),
                    ("why_choose", 453),
                    ("enap_accordion", 179),
                    ("button_group", 459),
                    ("dropdown", 463),
                    ("courses_carousel", 466),
                    ("course_intro_topics", 473),
                    ("preview_courses", 475),
                    ("breadcrumb", 478),
                    ("auto_breadcrumb", 480),
                    ("feature_estrutura", 488),
                    ("hero_banner", 502),
                    ("banner_resultado", 525),
                    ("video", 529),
                    ("estatisticas", 538),
                    ("newsletter", 542),
                    ("podcast_spotify", 557),
                    ("patrocinadores", 564),
                    ("download", 567),
                    ("noticias_carousel", 466),
                    ("eventos_carousel", 569),
                    ("enap_section", 607),
                ],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Background Image", "required": False},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Banner",
                            "label": "Title",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    2: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descrição do banner. Edite este texto para personalizar o conteúdo.",
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Description",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 0), ("title", 1), ("description", 2)]],
                        {},
                    ),
                    4: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.FormularioSnippet",),
                        {"help_text": "Escolha o formulário a ser exibido"},
                    ),
                    5: ("wagtail.blocks.StructBlock", [[("formulario", 4)]], {}),
                    6: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.ChatbotWidget",),
                        {
                            "help_text": "Escolha a configuração visual do chatbot",
                            "label": "Widget do Chatbot",
                        },
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Deixe vazio para usar o título do widget",
                            "required": False,
                        },
                    ),
                    8: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se marcado, só aparece nesta página específica",
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se marcado, remove o chatbot global desta página",
                            "required": False,
                        },
                    ),
                    10: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("chatbot_widget", 6),
                                ("titulo_personalizado", 7),
                                ("mostrar_apenas_nesta_pagina", 8),
                                ("desabilitar_chatbot_global", 9),
                            ]
                        ],
                        {},
                    ),
                    11: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título opcional acima do carrossel",
                            "label": "Título do Carrossel",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    12: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título que aparece sobre a imagem",
                            "label": "Título do Slide",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    13: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "Subtítulo ou descrição do slide",
                            "label": "Subtítulo",
                            "max_length": 300,
                            "required": False,
                        },
                    ),
                    14: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para telas grandes (desktop/tablet)",
                            "label": "Imagem Desktop",
                        },
                    ),
                    15: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para dispositivos móveis",
                            "label": "Imagem Mobile",
                        },
                    ),
                    16: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Se deve exibir o botão no slide",
                            "label": "Mostrar Botão",
                            "required": False,
                        },
                    ),
                    17: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "Texto que aparece no botão",
                            "label": "Texto do Botão",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    18: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar",
                            "label": "Link do Botão",
                            "required": False,
                        },
                    ),
                    19: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primario", "Primário (Azul)"),
                                ("secundario", "Secundário (Branco)"),
                                ("outline", "Outline (Borda)"),
                            ],
                            "help_text": "Estilo visual do botão",
                            "label": "Estilo do Botão",
                        },
                    ),
                    20: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("centro", "Centro"),
                                ("esquerda", "Esquerda"),
                                ("direita", "Direita"),
                                ("inferior-esquerda", "Inferior Esquerda"),
                                ("inferior-centro", "Inferior Centro"),
                                ("inferior-direita", "Inferior Direita"),
                            ],
                            "help_text": "Onde posicionar o texto e botão na imagem",
                            "label": "Posição do Conteúdo",
                        },
                    ),
                    21: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Adicionar overlay escuro para melhor legibilidade",
                            "label": "Overlay Escuro",
                            "required": False,
                        },
                    ),
                    22: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 12),
                                ("subtitulo", 13),
                                ("imagem_desktop", 14),
                                ("imagem_mobile", 15),
                                ("mostrar_botao", 16),
                                ("texto_botao", 17),
                                ("link_botao", 18),
                                ("estilo_botao", 19),
                                ("posicao_conteudo", 20),
                                ("overlay_escuro", 21),
                            ]
                        ],
                        {},
                    ),
                    23: (
                        "wagtail.blocks.ListBlock",
                        (22,),
                        {
                            "help_text": "Adicione os slides do carrossel",
                            "label": "Slides",
                            "max_num": 8,
                            "min_num": 1,
                        },
                    ),
                    24: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("400px", "Baixa (400px)"),
                                ("500px", "Média (500px)"),
                                ("600px", "Alta (600px)"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura do carrossel no desktop",
                            "label": "Altura Desktop",
                        },
                    ),
                    25: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("250px", "Baixa (250px)"),
                                ("300px", "Média (300px)"),
                                ("400px", "Alta (400px)"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura do carrossel no mobile",
                            "label": "Altura Mobile",
                        },
                    ),
                    26: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Se o carrossel deve rodar automaticamente",
                            "label": "Autoplay",
                            "required": False,
                        },
                    ),
                    27: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 5,
                            "help_text": "Tempo entre as transições automáticas",
                            "label": "Intervalo Autoplay (segundos)",
                            "max_value": 15,
                            "min_value": 2,
                        },
                    ),
                    28: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Pontos indicadores na parte inferior",
                            "label": "Mostrar Indicadores",
                            "required": False,
                        },
                    ),
                    29: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Setas de navegação lateral",
                            "label": "Mostrar Setas",
                            "required": False,
                        },
                    ),
                    30: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("slide", "Deslizar"), ("fade", "Fade")],
                            "help_text": "Tipo de transição entre slides",
                            "label": "Efeito de Transição",
                        },
                    ),
                    31: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("slides", 23),
                                ("altura_desktop", 24),
                                ("altura_mobile", 25),
                                ("autoplay", 26),
                                ("intervalo_autoplay", 27),
                                ("mostrar_indicadores", 28),
                                ("mostrar_setas", 29),
                                ("efeito_transicao", 30),
                            ]
                        ],
                        {},
                    ),
                    32: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Programa",
                            "help_text": "Título principal da seção",
                            "label": "Título Principal",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    33: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "de Desenvolvimento Inicial",
                            "help_text": "Subtítulo que aparece abaixo do título principal",
                            "label": "Subtítulo",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    34: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será usada como background da seção",
                            "label": "Imagem de Fundo",
                        },
                    ),
                    35: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("direita", "Direita"),
                                ("esquerda", "Esquerda"),
                            ],
                            "help_text": "Define se os cards ficam à direita ou esquerda do título",
                            "label": "Posição dos Cards",
                        },
                    ),
                    36: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Logo que aparece no card",
                            "label": "Logo do Programa",
                            "required": False,
                        },
                    ),
                    37: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Ex: Programa de Desenvolvimento Inicial para Cargos de Nível Intermediário",
                            "label": "Título do Programa",
                            "max_length": 200,
                        },
                    ),
                    38: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Ex: 271h, 280h",
                            "label": "Duração",
                            "max_length": 50,
                        },
                    ),
                    39: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o card deve direcionar quando clicado",
                            "label": "Link do Programa",
                            "required": False,
                        },
                    ),
                    40: (
                        "wagtail.blocks.StructBlock",
                        [[("logo", 36), ("titulo", 37), ("duracao", 38), ("link", 39)]],
                        {},
                    ),
                    41: (
                        "wagtail.blocks.ListBlock",
                        (40,),
                        {
                            "help_text": "Adicione até 4 cards de programas",
                            "label": "Cards dos Programas",
                            "max_num": 4,
                            "min_num": 1,
                        },
                    ),
                    42: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_principal", 32),
                                ("subtitulo", 33),
                                ("imagem_fundo", 34),
                                ("posicao_cards", 35),
                                ("cards", 41),
                            ]
                        ],
                        {},
                    ),
                    43: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Data de Início da Formação",
                            "help_text": "Título principal do componente",
                            "label": "Título",
                            "max_length": 100,
                        },
                    ),
                    44: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem personalizada para o ícone (opcional, padrão será ícone de relógio)",
                            "label": "Ícone Personalizado",
                            "required": False,
                        },
                    ),
                    45: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "A formação começa no dia 15 de janeiro de 2024. Inscrições abertas até 10 de janeiro.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Texto com as informações sobre a formação",
                            "label": "Descrição",
                        },
                    ),
                    46: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 43),
                                ("icone_personalizado", 44),
                                ("descricao", 45),
                            ]
                        ],
                        {},
                    ),
                    47: (
                        "wagtail.blocks.StreamBlock",
                        [
                            [
                                ("enap_carousel", 31),
                                ("programa_cards", 42),
                                ("cta_destaque", 46),
                            ]
                        ],
                        {
                            "help_text": "Escolha qual tipo de seção será este slide",
                            "label": "Seção do Slide",
                        },
                    ),
                    48: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título que identifica este slide no admin (não aparece no frontend)",
                            "label": "Título do Slide (Opcional)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    49: (
                        "wagtail.blocks.StructBlock",
                        [[("secao", 47), ("titulo_slide", 48)]],
                        {},
                    ),
                    50: (
                        "wagtail.blocks.ListBlock",
                        (49,),
                        {
                            "help_text": "Adicione as seções que farão parte do carrossel",
                            "label": "Slides/Seções",
                            "max_num": 6,
                            "min_num": 2,
                        },
                    ),
                    51: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se o carrossel deve rodar automaticamente",
                            "label": "Autoplay",
                            "required": False,
                        },
                    ),
                    52: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 8,
                            "help_text": "Tempo entre as transições (recomendado: 8-15 segundos para seções)",
                            "label": "Intervalo Autoplay (segundos)",
                            "max_value": 20,
                            "min_value": 3,
                        },
                    ),
                    53: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Pontos/números indicadores na parte inferior",
                            "label": "Mostrar Indicadores",
                            "required": False,
                        },
                    ),
                    54: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Setas de navegação lateral",
                            "label": "Mostrar Navegação",
                            "required": False,
                        },
                    ),
                    55: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pontos", "Pontos"),
                                ("numeros", "Números"),
                                ("barras", "Barras de Progresso"),
                            ],
                            "help_text": "Como mostrar os indicadores",
                            "label": "Estilo dos Indicadores",
                        },
                    ),
                    56: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("inferior", "Inferior"),
                                ("superior", "Superior"),
                                ("lateral", "Lateral"),
                            ],
                            "help_text": "Onde posicionar os controles de navegação",
                            "label": "Posição dos Controles",
                        },
                    ),
                    57: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("auto", "Automática"),
                                ("400px", "400px"),
                                ("500px", "500px"),
                                ("600px", "600px"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura mínima do carrossel",
                            "label": "Altura Mínima",
                        },
                    ),
                    58: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("slide", "Deslizar"),
                                ("fade", "Fade"),
                                ("slide-vertical", "Deslizar Vertical"),
                            ],
                            "help_text": "Tipo de transição entre seções",
                            "label": "Efeito de Transição",
                        },
                    ),
                    59: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_carrossel", 11),
                                ("slides", 50),
                                ("autoplay", 51),
                                ("intervalo_autoplay", 52),
                                ("mostrar_indicadores", 53),
                                ("mostrar_navegacao", 54),
                                ("estilo_indicadores", 55),
                                ("posicao_controles", 56),
                                ("altura_minima", 57),
                                ("efeito_transicao", 58),
                            ]
                        ],
                        {},
                    ),
                    60: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Título do formulário", "required": False},
                    ),
                    61: ("wagtail.blocks.StructBlock", [[("titulo", 60)]], {}),
                    62: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo para o slide", "required": True},
                    ),
                    63: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("title_center", "Título centralizado"),
                                (
                                    "title_desc_left",
                                    "Título e descrição à esquerda com grafismo",
                                ),
                                ("blank", "Slide em branco"),
                            ],
                            "help_text": "Escolha o formato do slide",
                        },
                    ),
                    64: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título do slide (não usado no formato em branco)",
                            "required": False,
                        },
                    ),
                    65: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "Descrição do slide (usado apenas no formato 'Título e descrição à esquerda')",
                            "required": False,
                        },
                    ),
                    66: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("background_image", 62),
                                ("slide_type", 63),
                                ("title", 64),
                                ("description", 65),
                            ]
                        ],
                        {},
                    ),
                    67: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Local",
                            "help_text": "Título da seção (ex: Local, Onde Estamos)",
                            "label": "Título da Seção",
                            "max_length": 50,
                        },
                    ),
                    68: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enap - Escola Nacional de Administração Pública",
                            "help_text": "Nome completo da instituição",
                            "label": "Nome da Instituição",
                            "max_length": 200,
                        },
                    ),
                    69: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Asa Sul • SPO Área Especial 2-A • CEP 70.610-900 • Brasília/DF",
                            "help_text": "Endereço completo com CEP e cidade",
                            "label": "Endereço Completo",
                            "max_length": 300,
                        },
                    ),
                    70: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Cole aqui o link completo do Google Maps (ex: https://maps.google.com/...)",
                            "label": "Link do Google Maps",
                        },
                    ),
                    71: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão para abrir rotas no Google Maps",
                            "label": "Mostrar Botão de Rotas",
                            "required": False,
                        },
                    ),
                    72: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 67),
                                ("nome_instituicao", 68),
                                ("endereco_completo", 69),
                                ("google_maps_url", 70),
                                ("mostrar_botao_rotas", 71),
                            ]
                        ],
                        {},
                    ),
                    73: (
                        "wagtail.blocks.ListBlock",
                        (66,),
                        {
                            "help_text": "Adicione slides ao carrossel (entre 1 e 10)",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    74: ("wagtail.blocks.StructBlock", [[("slides", 73)]], {}),
                    75: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Logo image for the navigation bar",
                            "required": True,
                        },
                    ),
                    76: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de fundo do botão",
                            "label": "Cor do Botão",
                        },
                    ),
                    77: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Entrar",
                            "help_text": "Text for the login button",
                            "required": True,
                        },
                    ),
                    78: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL for the login button",
                            "required": True,
                        },
                    ),
                    79: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acervo",
                            "help_text": "Text for the call-to-action button",
                            "required": True,
                        },
                    ),
                    80: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL for the call-to-action button",
                            "required": True,
                        },
                    ),
                    81: ("wagtail.blocks.CharBlock", (), {"required": True}),
                    82: ("wagtail.blocks.URLBlock", (), {"required": True}),
                    83: ("wagtail.blocks.BooleanBlock", (), {"required": False}),
                    84: (
                        "wagtail.blocks.StructBlock",
                        [[("link_text", 81), ("link_url", 82), ("is_active", 83)]],
                        {},
                    ),
                    85: ("wagtail.blocks.ListBlock", (84,), {}),
                    86: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("logo_image", 75),
                                ("primary_color", 76),
                                ("accent_color", 76),
                                ("button_color", 76),
                                ("button_text_color", 76),
                                ("login_button_text", 77),
                                ("login_button_url", 78),
                                ("cta_button_text", 79),
                                ("cta_button_url", 80),
                                ("nav_items", 85),
                            ]
                        ],
                        {},
                    ),
                    87: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo do Componente",
                            "help_text": "Título principal do componente",
                            "label": "Título",
                            "max_length": 100,
                        },
                    ),
                    88: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Sub Titulo do Componente",
                            "help_text": "Informação e/ou descrição",
                            "label": "Sub Titulo",
                            "max_length": 200,
                        },
                    ),
                    89: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição do Componente",
                            "help_text": "Descrição com mais detalhes",
                            "label": "Descrição",
                        },
                    ),
                    90: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será exibida como fundo do componente",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    91: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Título do Item", "max_length": 100},
                    ),
                    92: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL completa (ex: https://exemplo.com)",
                            "label": "URL do Link",
                        },
                    ),
                    93: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 91), ("url", 92)]],
                        {"icon": "link", "label": "Item do Menu"},
                    ),
                    94: (
                        "wagtail.blocks.StreamBlock",
                        [[("item_link", 93)]],
                        {
                            "help_text": "Adicione quantos itens de menu desejar",
                            "label": "Itens do Menu",
                            "required": False,
                        },
                    ),
                    95: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 87),
                                ("periodo_info", 88),
                                ("descricao", 89),
                                ("imagem_fundo", 90),
                                ("itens_menu", 94),
                            ]
                        ],
                        {},
                    ),
                    96: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Adicione uma foto da pessoa sendo citada. Recomendação: imagem no formato retrato com pelo menos 500x700px.",
                            "label": "Foto da Pessoa",
                        },
                    ),
                    97: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "O texto da citação. Não é necessário adicionar aspas, elas serão adicionadas automaticamente.",
                            "label": "Texto da Citação",
                        },
                    ),
                    98: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Nome da pessoa sendo citada.",
                            "label": "Nome do Autor",
                            "max_length": 100,
                        },
                    ),
                    99: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Cargo, profissão ou título da pessoa (opcional).",
                            "label": "Título/Cargo do Autor",
                            "max_length": 150,
                            "required": False,
                        },
                    ),
                    100: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("default", "Padrão (Branco)"),
                                ("blue", "Azul"),
                                ("green", "Verde"),
                            ],
                            "help_text": "Escolha um tema de cor para a citação.",
                            "label": "Tema de Cor",
                        },
                    ),
                    101: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("person_image", 96),
                                ("quote_text", 97),
                                ("author_name", 98),
                                ("author_title", 99),
                                ("color_theme", 100),
                            ]
                        ],
                        {},
                    ),
                    102: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ethos Público",
                            "label": "Tag",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    103: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Servir: a essência do serviço público",
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Título",
                            "required": False,
                        },
                    ),
                    104: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Subtítulo",
                            "required": False,
                        },
                    ),
                    105: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem"},
                    ),
                    106: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Título", "max_length": 100},
                    ),
                    107: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Descrição",
                        },
                    ),
                    108: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acesse o curso",
                            "label": "Texto do link",
                            "max_length": 50,
                        },
                    ),
                    109: ("wagtail.blocks.URLBlock", (), {"label": "URL do link"}),
                    110: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 105),
                                ("title", 106),
                                ("description", 107),
                                ("link_text", 108),
                                ("link_url", 109),
                            ]
                        ],
                        {},
                    ),
                    111: (
                        "wagtail.blocks.ListBlock",
                        (110,),
                        {"label": "Itens do Carrossel", "min_num": 1},
                    ),
                    112: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tag", 102),
                                ("title", 103),
                                ("subtitle", 104),
                                ("items", 111),
                            ]
                        ],
                        {},
                    ),
                    113: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Main featured image", "required": True},
                    ),
                    114: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Featured title", "required": True},
                    ),
                    115: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Featured description (optional)",
                            "required": False,
                        },
                    ),
                    116: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Item thumbnail", "required": True},
                    ),
                    117: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Item title", "required": True},
                    ),
                    118: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Item description", "required": True},
                    ),
                    119: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link URL (entire card will be clickable)",
                            "required": False,
                        },
                    ),
                    120: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 116),
                                ("title", 117),
                                ("description", 118),
                                ("link", 119),
                            ]
                        ],
                        {},
                    ),
                    121: (
                        "wagtail.blocks.ListBlock",
                        (120,),
                        {
                            "default": [
                                {
                                    "description": "<p>Descrição do item</p>",
                                    "title": "Exemplo de item",
                                }
                            ],
                            "help_text": "Add as many items as you want in the grid",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    122: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("featured_image", 113),
                                ("featured_title", 114),
                                ("featured_description", 115),
                                ("list_items", 121),
                            ]
                        ],
                        {},
                    ),
                    123: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Servir: a essência do serviço público",
                            "label": "Título",
                            "max_length": 200,
                            "required": True,
                        },
                    ),
                    124: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": 'A ideia do "Propósito do Servir" destaca que trabalhar no serviço público vai além de cumprir uma função; é um compromisso verdadeiro com a sociedade.',
                            "label": "Descrição",
                            "required": True,
                        },
                    ),
                    125: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Se não fornecida, será usado fundo verde padrão",
                            "label": "Imagem de fundo (opcional)",
                            "required": False,
                        },
                    ),
                    126: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem principal", "required": True},
                    ),
                    127: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "VEJA O VÍDEO",
                            "label": "Texto do botão de vídeo",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    128: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
                            "help_text": "Link para o vídeo (YouTube, Vimeo, etc)",
                            "label": "URL do vídeo",
                            "required": False,
                        },
                    ),
                    129: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tag", 102),
                                ("title", 123),
                                ("description", 124),
                                ("background_image", 125),
                                ("hero_image", 126),
                                ("video_text", 127),
                                ("video_url", 128),
                            ]
                        ],
                        {},
                    ),
                    130: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Texto do Título Principal",
                            "help_text": "Texto principal do hero",
                            "label": "Título Principal",
                            "required": True,
                        },
                    ),
                    131: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Texto do Subtítulo",
                            "help_text": "Texto de apoio abaixo do título",
                            "label": "Subtítulo",
                            "required": True,
                        },
                    ),
                    132: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor principal dos elementos destacados",
                            "label": "Cor Primária",
                        },
                    ),
                    133: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de destaque secundária",
                            "label": "Cor de Destaque",
                        },
                    ),
                    134: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco (#FFFFFF)"),
                                ("#F8F9FA", "Cinza Claro (#F8F9FA)"),
                                ("#000000", "Preto (#000000)"),
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de fundo da seção (se não usar imagem)",
                            "label": "Cor de Fundo",
                        },
                    ),
                    135: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "Texto do botão principal",
                            "label": "Texto do Botão Primário",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    136: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL do botão principal",
                            "label": "Link do Botão Primário",
                            "required": False,
                        },
                    ),
                    137: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Assistir vídeo",
                            "help_text": "Texto do botão secundário",
                            "label": "Texto do Botão Secundário",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    138: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL do botão secundário",
                            "label": "Link do Botão Secundário",
                            "required": False,
                        },
                    ),
                    139: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir ícone de play no botão secundário",
                            "label": "Mostrar Ícone de Play",
                            "required": False,
                        },
                    ),
                    140: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão de play sobreposto na imagem de fundo",
                            "label": "Mostrar Botão de Play na Imagem",
                            "required": False,
                        },
                    ),
                    141: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo da seção hero",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    142: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 130),
                                ("subtitle", 131),
                                ("primary_color", 132),
                                ("accent_color", 133),
                                ("background_color", 134),
                                ("primary_button_text", 135),
                                ("primary_button_url", 136),
                                ("secondary_button_text", 137),
                                ("secondary_button_url", 138),
                                ("show_play_icon", 139),
                                ("show_play_button", 140),
                                ("background_image", 141),
                            ]
                        ],
                        {},
                    ),
                    143: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Featured item title", "required": True},
                    ),
                    144: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Featured item description", "required": True},
                    ),
                    145: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link for the featured item",
                            "label": "URL do link",
                            "required": True,
                        },
                    ),
                    146: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Item image", "required": True},
                    ),
                    147: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 146),
                                ("title", 117),
                                ("description", 118),
                                ("link_url", 109),
                            ]
                        ],
                        {},
                    ),
                    148: (
                        "wagtail.blocks.ListBlock",
                        (147,),
                        {
                            "help_text": "Add items to be displayed on the right side",
                            "min_num": 1,
                        },
                    ),
                    149: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("featured_image", 113),
                                ("featured_title", 143),
                                ("featured_description", 144),
                                ("featured_link_url", 145),
                                ("list_items", 148),
                            ]
                        ],
                        {},
                    ),
                    150: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Card image", "required": True},
                    ),
                    151: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Card title", "required": True},
                    ),
                    152: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Card description", "required": True},
                    ),
                    153: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Optional link for the card", "required": False},
                    ),
                    154: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 150),
                                ("title", 151),
                                ("description", 152),
                                ("link", 153),
                            ]
                        ],
                        {},
                    ),
                    155: (
                        "wagtail.blocks.ListBlock",
                        (154,),
                        {"help_text": "Add as many cards as you want", "min_num": 1},
                    ),
                    156: ("wagtail.blocks.StructBlock", [[("cards", 155)]], {}),
                    157: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ethos Público: Compromisso de servir",
                            "label": "Título do tópico 1",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    158: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 1",
                            "label": "Link do tópico 1",
                            "required": True,
                        },
                    ),
                    159: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cidadania ativa",
                            "label": "Título do tópico 2",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    160: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 2",
                            "label": "Link do tópico 2",
                            "required": True,
                        },
                    ),
                    161: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Estado e Desenvolvimento",
                            "label": "Título do tópico 3",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    162: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 3",
                            "label": "Link do tópico 3",
                            "required": True,
                        },
                    ),
                    163: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("topic1_title", 157),
                                ("topic1_link", 158),
                                ("topic2_title", 159),
                                ("topic2_link", 160),
                                ("topic3_title", 161),
                                ("topic3_link", 162),
                            ]
                        ],
                        {},
                    ),
                    164: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Titulo (e.g. 'Olhar cidadão, servidor atuante, Estado capaz')",
                            "required": True,
                        },
                    ),
                    165: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "help_text": "Descrição (e.g. 'A Enap é uma escola pública federal vinculada ao Ministério da Gestão e da Inovação em Serviços Públicos (MGI)')",
                            "required": True,
                        },
                    ),
                    166: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Tag (e.g. 'Servir')", "required": False},
                    ),
                    167: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("medium", "Banner Médio"),
                                ("large", "Banner Grande"),
                            ],
                            "help_text": "Escolha o tamanho do banner",
                        },
                    ),
                    168: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("center", "Texto Centralizado"),
                                ("bottom", "Texto Inferior"),
                                ("overlay", "Texto com Linha"),
                            ],
                            "help_text": "Choose the text display style",
                        },
                    ),
                    169: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "ID da seção para âncoras/navegação (e.g. 'clima', 'transformacao', 'cuidar')",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    170: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo"},
                    ),
                    171: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"help_text": "Vídeo de fundo"},
                    ),
                    172: (
                        "wagtail.blocks.StreamBlock",
                        [[("image", 170), ("video", 171)]],
                        {
                            "help_text": "Escolha uma imagem ou vídeo de fundo",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    173: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 164),
                                ("description", 165),
                                ("small_text", 166),
                                ("banner_size", 167),
                                ("style_choice", 168),
                                ("section_id", 169),
                                ("background_media", 172),
                            ]
                        ],
                        {},
                    ),
                    174: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    175: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    176: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    177: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 174),
                                ("custom_css_class", 175),
                                ("custom_id", 176),
                            ]
                        ],
                        {},
                    ),
                    178: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.EnapAccordionSnippet",),
                        {},
                    ),
                    179: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("accordion", 178)]],
                        {},
                    ),
                    180: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Aviso Importante",
                            "help_text": "O título principal do aviso",
                            "label": "Título do Aviso",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    181: (
                        "wagtail.blocks.DateBlock",
                        (),
                        {
                            "default": datetime.date(2025, 6, 24),
                            "help_text": "Data associada ao aviso",
                            "label": "Data do Aviso",
                            "required": True,
                        },
                    ),
                    182: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Por favor, leia atentamente as informações abaixo para garantir que você esteja ciente de todas as atualizações importantes.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "O texto principal do aviso",
                            "label": "Conteúdo do Aviso",
                            "required": True,
                        },
                    ),
                    183: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem exibida ao lado do aviso",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    184: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Importante",
                            "help_text": "O texto exibido na tag destacada (ex: Importante, Urgente)",
                            "label": "Texto da Tag",
                            "max_length": 20,
                            "required": True,
                        },
                    ),
                    185: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "O texto a ser exibido no botão",
                            "label": "Texto do Botão",
                            "max_length": 30,
                            "required": True,
                        },
                    ),
                    186: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL para onde o botão direciona",
                            "label": "Link do Botão",
                            "required": True,
                        },
                    ),
                    187: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 180),
                                ("data", 181),
                                ("texto", 182),
                                ("imagem", 183),
                                ("cor_borda", 133),
                                ("tag_texto", 184),
                                ("cor_tag", 133),
                                ("botao_texto", 185),
                                ("botao_link", 186),
                                ("cor_botao", 133),
                            ]
                        ],
                        {},
                    ),
                    188: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-curso-em-breve", "Curso em breve"),
                                ("card-curso-aberto", "Curso aberto"),
                                ("card-curso-andamento", "Curso em andamento"),
                                ("card-curso-encerrado", "Curso encerrado"),
                            ],
                            "help_text": "Escolha o status do curso",
                            "label": "Status do curso",
                        },
                    ),
                    189: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Curso de Exemplo",
                            "label": "Título do curso",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    190: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descrição do curso de exemplo.",
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Descrição",
                        },
                    ),
                    191: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "40 horas",
                            "label": "Carga horária",
                            "max_length": 50,
                            "required": True,
                        },
                    ),
                    192: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("presencial", "Presencial"),
                                ("online", "Online"),
                                ("hibrido", "Híbrido"),
                            ],
                            "label": "Modalidade",
                        },
                    ),
                    193: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor que será aplicada no texto destacado e nos cards",
                            "label": "Cor de Destaque",
                        },
                    ),
                    194: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Category",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    195: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Label",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    196: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 174),
                                ("custom_css_class", 175),
                                ("custom_id", 176),
                                ("ga_tracking_event_category", 194),
                                ("ga_tracking_event_label", 195),
                            ]
                        ],
                        {},
                    ),
                    197: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {"label": "Page link", "required": False},
                    ),
                    198: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    199: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Other link", "max_length": 255, "required": False},
                    ),
                    200: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    201: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primary", "Tipo primário"),
                                ("secondary", "Tipo secundário"),
                                ("terciary", "Tipo terciário"),
                            ],
                            "help_text": "Escolha o tipo do botão",
                            "label": "Tipo de botão",
                        },
                    ),
                    202: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("small", "Pequeno"),
                                ("medium", "Médio"),
                                ("large", "Grande"),
                                ("extra-large", "Extra grande"),
                            ],
                            "help_text": "Escolha o tamanho do botão",
                            "label": "Tamanho",
                        },
                    ),
                    203: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"label": "Icone", "required": False},
                    ),
                    204: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 196),
                                ("page_link", 197),
                                ("doc_link", 198),
                                ("other_link", 199),
                                ("button_title", 200),
                                ("type_class", 201),
                                ("size_class", 202),
                                ("icone_bool", 203),
                            ]
                        ],
                        {},
                    ),
                    205: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 204)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    206: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("type", 188),
                                ("title", 189),
                                ("description", 190),
                                ("carga_horaria", 191),
                                ("modalidade", 192),
                                ("highlight_color", 193),
                                ("link", 205),
                            ]
                        ],
                        {},
                    ),
                    207: (
                        "wagtail.blocks.StreamBlock",
                        [[("card", 206)]],
                        {
                            "help_text": "Adicione os cards de curso que deseja exibir no carrossel",
                            "label": "Cards de Curso",
                            "min_num": 1,
                        },
                    ),
                    208: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 1,
                            "help_text": "Número de cards visíveis em dispositivos móveis",
                            "label": "Cards por visualização (Mobile)",
                            "max_value": 2,
                            "min_value": 1,
                        },
                    ),
                    209: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 2,
                            "help_text": "Número de cards visíveis em tablets",
                            "label": "Cards por visualização (Tablet)",
                            "max_value": 3,
                            "min_value": 1,
                        },
                    ),
                    210: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 3,
                            "help_text": "Número de cards visíveis em desktops",
                            "label": "Cards por visualização (Desktop)",
                            "max_value": 4,
                            "min_value": 1,
                        },
                    ),
                    211: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Ativar rolagem automática do carrossel",
                            "label": "Auto-play",
                            "required": False,
                        },
                    ),
                    212: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 5000,
                            "help_text": "Tempo de espera entre slides em milissegundos (1000 = 1 segundo)",
                            "label": "Tempo de auto-play",
                            "min_value": 1000,
                            "required": False,
                        },
                    ),
                    213: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cards", 207),
                                ("slidesPerView_mobile", 208),
                                ("slidesPerView_tablet", 209),
                                ("slidesPerView_desktop", 210),
                                ("auto_play", 211),
                                ("auto_play_delay", 212),
                            ]
                        ],
                        {},
                    ),
                    214: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Galeria de Eventos",
                            "help_text": "Título que aparecerá no topo da seção de galeria",
                            "label": "Título da Seção",
                        },
                    ),
                    215: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Subtítulo da Seção",
                        },
                    ),
                    216: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Todos", "label": "Nome da Categoria"},
                    ),
                    217: ("wagtail.blocks.StructBlock", [[("nome", 216)]], {}),
                    218: (
                        "wagtail.blocks.ListBlock",
                        (217,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os itens da galeria",
                            "label": "Categorias da Galeria",
                        },
                    ),
                    219: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Título do Item", "label": "Título do Item"},
                    ),
                    220: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Categoria 1",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    221: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do item da galeria",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    222: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 219), ("categoria", 220), ("imagem", 221)]],
                        {},
                    ),
                    223: (
                        "wagtail.blocks.ListBlock",
                        (222,),
                        {
                            "help_text": "Adicione os itens que serão exibidos na galeria",
                            "label": "Itens da Galeria",
                        },
                    ),
                    224: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 214),
                                ("subtitulo_secao", 215),
                                ("cor_principal", 133),
                                ("cor_secundaria", 133),
                                ("categorias", 218),
                                ("itens_galeria", 223),
                            ]
                        ],
                        {},
                    ),
                    225: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Temos uma rica experiência de diversos backgrounds",
                            "label": "Título",
                            "max_length": 200,
                        },
                    ),
                    226: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Nossa filosofia é simples: reunir pessoas talentosas e oferecer a elas os recursos e suporte para fazer seu melhor trabalho.",
                            "label": "Subtítulo",
                        },
                    ),
                    227: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Recomendado: 270x320px ou proporção similar",
                            "label": "Foto",
                            "required": False,
                        },
                    ),
                    228: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do Membro",
                            "label": "Nome",
                            "max_length": 100,
                        },
                    ),
                    229: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do Membro",
                            "label": "Cargo",
                            "max_length": 150,
                        },
                    ),
                    230: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link para LinkedIn, Lattes ou perfil profissional",
                            "label": "Link do Perfil",
                            "required": False,
                        },
                    ),
                    231: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("photo", 227),
                                ("name", 228),
                                ("role", 229),
                                ("links_perfil", 230),
                            ]
                        ],
                        {"icon": "user", "label": "Membro da Equipe"},
                    ),
                    232: (
                        "wagtail.blocks.ListBlock",
                        (231,),
                        {
                            "help_text": "Adicione os membros da equipe que aparecerão no carrossel",
                            "label": "Membros da Equipe",
                            "min_num": 1,
                        },
                    ),
                    233: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 225), ("subtitle", 226), ("team_members", 232)]],
                        {},
                    ),
                    234: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Gnova: Leitura ao ar livre",
                            "help_text": "Texto do badge no topo da seção hero",
                            "required": True,
                        },
                    ),
                    235: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Espaço para promover a rotatividade de livros e leitura ao ar livre.",
                            "help_text": "Título principal da seção hero",
                            "required": True,
                        },
                    ),
                    236: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Um jardim interativo onde os livros podem ser trocados, lidos e apreciados em um ambiente natural.</p><p>Área para workshops, contação de histórias e eventos culturais.</p>",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Descrição da seção hero (aceita formatação básica)",
                            "required": True,
                        },
                    ),
                    237: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem da seção hero (ideal: 1200x800px)",
                            "required": False,
                        },
                    ),
                    238: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("hero_badge", 234),
                                ("hero_title", 235),
                                ("hero_description", 236),
                                ("hero_image", 237),
                            ]
                        ],
                        {},
                    ),
                    239: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "label": "Título da Seção",
                            "required": False,
                        },
                    ),
                    240: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "",
                            "help_text": "Parte do título que terá gradiente (opcional)",
                            "label": "Texto Destacado",
                            "required": False,
                        },
                    ),
                    241: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Subtítulo da seção com informações relevantes.</p>",
                            "label": "Subtítulo da Seção",
                            "required": False,
                        },
                    ),
                    242: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Card",
                            "label": "Título do Card",
                            "required": False,
                        },
                    ),
                    243: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Descrição detalhada do card com informações importantes para o usuário.</p>",
                            "label": "Descrição do Card",
                            "required": False,
                        },
                    ),
                    244: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "fa-solid fa-star",
                            "help_text": "Cole o código do Font Awesome aqui (ex: 'fa-solid fa-book')",
                            "label": "Classe do Ícone",
                            "required": True,
                        },
                    ),
                    245: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acessar",
                            "label": "Texto do Link",
                            "required": False,
                        },
                    ),
                    246: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://gov.br/",
                            "label": "URL do Link",
                            "required": False,
                        },
                    ),
                    247: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 242),
                                ("description", 243),
                                ("icon_class", 244),
                                ("link_text", 245),
                                ("link_url", 246),
                            ]
                        ],
                        {},
                    ),
                    248: (
                        "wagtail.blocks.ListBlock",
                        (247,),
                        {
                            "help_text": "Adicione os cards da seção (a cor será aplicada automaticamente)",
                            "label": "Cards",
                        },
                    ),
                    249: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 239),
                                ("highlight_text", 240),
                                ("highlight_color", 193),
                                ("subtitle", 241),
                                ("cards", 248),
                            ]
                        ],
                        {},
                    ),
                    250: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "label": "Título da Seção",
                            "required": True,
                        },
                    ),
                    251: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Subtítulo da seção com informações relevantes.</p>",
                            "label": "Subtítulo da Seção",
                            "required": True,
                        },
                    ),
                    252: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Aba",
                            "label": "Título da Aba",
                            "required": True,
                        },
                    ),
                    253: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "label": "Ativar por padrão",
                            "required": False,
                        },
                    ),
                    254: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "fa-solid fa-star",
                            "help_text": "Cole o código do Font Awesome aqui (ex: 'fa-solid fa-book')",
                            "label": "Classe do Ícone",
                            "required": False,
                        },
                    ),
                    255: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Insira um código de cor HEX (ex: #5E17EB)",
                            "label": "Cor de Destaque",
                            "required": True,
                        },
                    ),
                    256: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 242),
                                ("description", 243),
                                ("icon_class", 254),
                                ("link_text", 245),
                                ("link_url", 246),
                                ("highlight_color", 255),
                            ]
                        ],
                        {},
                    ),
                    257: (
                        "wagtail.blocks.ListBlock",
                        (256,),
                        {"default": [], "label": "Cards"},
                    ),
                    258: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("grid", "Grid - Cards em forma de grade"),
                                ("list", "Lista - Cards em formato de lista"),
                            ],
                            "label": "Tipo de Layout",
                        },
                    ),
                    259: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("2", "2 Colunas"),
                                ("3", "3 Colunas"),
                                ("4", "4 Colunas"),
                                ("5", "5 Colunas"),
                            ],
                            "label": "Número de Colunas",
                        },
                    ),
                    260: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tab_title", 252),
                                ("is_default_active", 253),
                                ("cards", 257),
                                ("layout_type", 258),
                                ("columns", 259),
                            ]
                        ],
                        {},
                    ),
                    261: (
                        "wagtail.blocks.ListBlock",
                        (260,),
                        {"default": [], "label": "Abas"},
                    ),
                    262: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Selecione a cor principal do componente",
                            "label": "Cor Primária",
                        },
                    ),
                    263: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Selecione a cor secundária do componente",
                            "label": "Cor Secundária",
                        },
                    ),
                    264: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FFFFFF",
                            "help_text": "Cor de fundo da seção (ex: #FFFFFF)",
                            "label": "Cor de Fundo",
                            "required": True,
                        },
                    ),
                    265: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 250),
                                ("highlight_text", 240),
                                ("subtitle", 251),
                                ("tabs", 261),
                                ("primary_color", 262),
                                ("secondary_color", 263),
                                ("background_color", 264),
                            ]
                        ],
                        {},
                    ),
                    266: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Novidade",
                            "help_text": "Texto que aparece no badge superior",
                            "label": "Texto do Badge",
                            "max_length": 50,
                        },
                    ),
                    267: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Conheça a",
                            "help_text": "Primeira parte do título",
                            "label": "Título Principal",
                            "max_length": 100,
                        },
                    ),
                    268: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Parte do título que terá gradiente (opcional)",
                            "label": "Título Destacado",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    269: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Uma iniciativa da Diretoria de Inovação que nasce da necessidade e do desejo de transformar a biblioteca em um espaço de construção de conhecimento, colaboração e inovação.",
                            "help_text": "Texto descritivo do CTA",
                            "label": "Descrição",
                        },
                    ),
                    270: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "label": "Texto do Botão",
                            "max_length": 50,
                        },
                    ),
                    271: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"default": "google.com", "label": "Link do Botão"},
                    ),
                    272: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor inicial do gradiente do título destacado",
                            "label": "Cor Inicial do Gradiente",
                        },
                    ),
                    273: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor final do gradiente do título destacado",
                            "label": "Cor Final do Gradiente",
                        },
                    ),
                    274: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco (#FFFFFF)"),
                                ("#000000", "Preto (#000000)"),
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor do texto do botão",
                            "label": "Cor do Texto do Botão",
                        },
                    ),
                    275: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparece na parte superior",
                            "label": "Imagem Superior",
                            "required": True,
                        },
                    ),
                    276: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparece na parte inferior",
                            "label": "Imagem Inferior",
                            "required": True,
                        },
                    ),
                    277: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("badge_text", 266),
                                ("title", 267),
                                ("highlighted_title", 268),
                                ("description", 269),
                                ("button_text", 270),
                                ("button_link", 271),
                                ("gradient_start_color", 272),
                                ("gradient_end_color", 273),
                                ("button_color", 76),
                                ("button_text_color", 274),
                                ("top_image", 275),
                                ("bottom_image", 276),
                            ]
                        ],
                        {},
                    ),
                    278: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nossas",
                            "help_text": "Primeira parte do título",
                            "label": "Prefixo do Título",
                            "max_length": 100,
                        },
                    ),
                    279: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo Destacado",
                            "help_text": "Parte do título que terá destaque visual",
                            "label": "Título Destacado",
                            "max_length": 100,
                        },
                    ),
                    280: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Acesse bases de dados com livros e periódicos eletrônicos, nacionais e internacionais, sobre administração pública e áreas correlatas",
                            "help_text": "Texto descritivo da seção",
                            "label": "Descrição",
                        },
                    ),
                    281: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor principal do componente aplicada aos elementos destacados",
                            "label": "Cor de Destaque",
                        },
                    ),
                    282: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Portal de Periódicos da Capes",
                            "label": "Título da Base de Dados",
                            "max_length": 100,
                        },
                    ),
                    283: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "A Biblioteca da Enap disponibiliza acesso a bases de dados com livros e periódicos eletrônicos, nacionais e internacionais. O acesso ao Portal é vinculado à rede da Enap, mas alunos, pesquisadores, professores e servidores têm acesso remoto.",
                            "label": "Descrição da Base de Dados",
                        },
                    ),
                    284: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "JSTOR",
                            "label": "Nome da Base",
                            "max_length": 100,
                        },
                    ),
                    285: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Base multidisciplinar com mais de 2.600 periódicos acadêmicos, livros e fontes primárias.",
                            "label": "Informações da Base",
                        },
                    ),
                    286: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.jstor.org/",
                            "help_text": "Link para acessar a base de dados",
                            "label": "Link da Base",
                            "required": False,
                        },
                    ),
                    287: (
                        "wagtail.blocks.StructBlock",
                        [[("name", 284), ("info", 285), ("link", 286)]],
                        {},
                    ),
                    288: (
                        "wagtail.blocks.ListBlock",
                        (287,),
                        {"label": "Cards das Bases"},
                    ),
                    289: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("database_title", 282),
                                ("database_description", 283),
                                ("cards", 288),
                            ]
                        ],
                        {"label": "Seção de Base de Dados"},
                    ),
                    290: (
                        "wagtail.blocks.StreamBlock",
                        [[("section", 289)]],
                        {"label": "Seções de Conteúdo"},
                    ),
                    291: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_prefix", 278),
                                ("title_highlight", 279),
                                ("description", 280),
                                ("highlight_color", 281),
                                ("content_sections", 290),
                            ]
                        ],
                        {},
                    ),
                    292: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Sobre a Biblioteca",
                            "help_text": "Título principal da página",
                        },
                    ),
                    293: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca",
                            "help_text": "Palavra do título que será destacada com gradiente",
                        },
                    ),
                    294: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Referência em Administração Pública e Gestão Governamental",
                            "help_text": "Subtítulo ou descrição breve",
                        },
                    ),
                    295: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "book",
                            "help_text": "Código do ícone do FontAwesome (ex: book, home). Use apenas o nome sem 'fa-'.",
                        },
                    ),
                    296: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "help_text": "Título desta seção",
                        },
                    ),
                    297: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Conteúdo da seção...</p>",
                            "help_text": "Conteúdo detalhado desta seção",
                        },
                    ),
                    298: (
                        "wagtail.blocks.StructBlock",
                        [[("icone_fa", 295), ("titulo_secao", 296), ("conteudo", 297)]],
                        {},
                    ),
                    299: (
                        "wagtail.blocks.ListBlock",
                        (298,),
                        {
                            "help_text": "Adicione seções com ícones, títulos e conteúdo",
                            "min_num": 1,
                        },
                    ),
                    300: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão de ação ao final",
                            "required": False,
                        },
                    ),
                    301: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acesse o Regulamento",
                            "help_text": "Texto do botão de ação",
                            "required": False,
                        },
                    ),
                    302: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "Link para onde o botão direciona",
                            "required": False,
                        },
                    ),
                    303: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 133),
                                ("cor_secundaria", 133),
                                ("titulo", 292),
                                ("palavra_destaque", 293),
                                ("subtitulo", 294),
                                ("secoes", 299),
                                ("mostrar_botao_acao", 300),
                                ("texto_botao", 301),
                                ("link_botao", 302),
                            ]
                        ],
                        {},
                    ),
                    304: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#F5F7FA", "Azul Enap"),
                                ("#FCFCFC", "Cinza Enap"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#FFFFFF", "Branco"),
                                ("#F8F9FA", "Cinza Muito Claro"),
                            ],
                            "help_text": "Cor de fundo da seção",
                        },
                    ),
                    305: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que ficará na lateral esquerda",
                            "required": False,
                        },
                    ),
                    306: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Imagem ilustrativa",
                            "help_text": "Texto alternativo da imagem",
                            "max_length": 100,
                        },
                    ),
                    307: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Fale Conosco",
                            "help_text": "Título principal (ex: Fale Conosco)",
                            "max_length": 100,
                        },
                    ),
                    308: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título principal",
                            "required": False,
                        },
                    ),
                    309: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Envie sua mensagem",
                            "help_text": "Subtítulo do formulário (ex: Envie sua mensagem)",
                            "max_length": 200,
                        },
                    ),
                    310: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do subtítulo",
                            "required": False,
                        },
                    ),
                    311: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor do botão de enviar",
                        },
                    ),
                    312: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do botão ao passar o mouse",
                        },
                    ),
                    313: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#00777D", "Enap"),
                                ("#58606E", "Enap Cinza"),
                                ("#AFF0ED", "Enap Azul"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#000000", "Preto"),
                                ("#2F2F2F", "Cinza Escuro"),
                                ("#4A4A4A", "Cinza Médio"),
                            ],
                            "help_text": "Cor do texto do botão",
                        },
                    ),
                    314: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar",
                            "help_text": "Texto do botão",
                            "max_length": 50,
                        },
                    ),
                    315: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 304),
                                ("imagem", 305),
                                ("alt_imagem", 306),
                                ("titulo_principal", 307),
                                ("cor_titulo_principal", 308),
                                ("subtitulo", 309),
                                ("cor_subtitulo", 310),
                                ("cor_botao", 311),
                                ("cor_hover_botao", 312),
                                ("cor_texto_botao", 313),
                                ("texto_botao", 314),
                            ]
                        ],
                        {},
                    ),
                    316: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Fale Conosco",
                            "help_text": "Título principal do formulário",
                            "required": False,
                        },
                    ),
                    317: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Entre em contato conosco para esclarecer dúvidas, enviar sugestões ou solicitar informações.",
                            "help_text": "Texto de introdução",
                            "required": False,
                        },
                    ),
                    318: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Envie sua mensagem",
                            "help_text": "Título da seção do formulário",
                        },
                    ),
                    319: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir texto informando sobre campos obrigatórios",
                            "required": False,
                        },
                    ),
                    320: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "* Campo obrigatório",
                            "help_text": "Texto exibido para informar sobre campos obrigatórios",
                            "required": False,
                        },
                    ),
                    321: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar mensagem",
                            "help_text": "Texto do botão de envio",
                        },
                    ),
                    322: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir opção para enviar cópia para o remetente",
                            "required": False,
                        },
                    ),
                    323: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar cópia para mim (opcional)",
                            "help_text": "Texto da opção para enviar cópia",
                            "required": False,
                        },
                    ),
                    324: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Informações de Contato",
                            "help_text": "Título da seção de informações de contato",
                        },
                    ),
                    325: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Campus Asa Sul",
                            "help_text": "Título do endereço",
                            "required": False,
                        },
                    ),
                    326: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SAIS AE 2A Térreo - Enap Campus Asa Sul – Brasília-DF",
                            "help_text": "Endereço completo",
                            "required": False,
                        },
                    ),
                    327: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Horário de Funcionamento",
                            "help_text": "Título do horário de funcionamento",
                            "required": False,
                        },
                    ),
                    328: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Segunda a sexta-feira das 9h às 18h00",
                            "help_text": "Horário de funcionamento",
                            "required": False,
                        },
                    ),
                    329: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Telefone",
                            "help_text": "Título do telefone",
                            "required": False,
                        },
                    ),
                    330: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "(61) 2020-3139",
                            "help_text": "Número de telefone",
                            "required": False,
                        },
                    ),
                    331: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "E-mail",
                            "help_text": "Título do e-mail",
                            "required": False,
                        },
                    ),
                    332: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "biblioteca@enap.gov.br",
                            "help_text": "Endereço de e-mail",
                            "required": False,
                        },
                    ),
                    333: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir mapa de localização",
                            "required": False,
                        },
                    ),
                    334: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do mapa (opcional, se preferir usar uma imagem estática)",
                            "required": False,
                        },
                    ),
                    335: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://maps.google.com",
                            "help_text": "Link para o mapa (ex: Google Maps)",
                            "required": False,
                        },
                    ),
                    336: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Visualizar Localização - Google Maps",
                            "help_text": "Texto do link para o mapa",
                            "required": False,
                        },
                    ),
                    337: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 133),
                                ("titulo", 316),
                                ("subtitulo", 317),
                                ("titulo_formulario", 318),
                                ("mostrar_texto_obrigatorio", 319),
                                ("texto_obrigatorio", 320),
                                ("texto_botao", 321),
                                ("mostrar_checkbox_copia", 322),
                                ("texto_checkbox_copia", 323),
                                ("titulo_informacoes", 324),
                                ("endereco_titulo", 325),
                                ("endereco", 326),
                                ("horario_titulo", 327),
                                ("horario", 328),
                                ("telefone_titulo", 329),
                                ("telefone", 330),
                                ("email_titulo", 331),
                                ("email", 332),
                                ("mostrar_mapa", 333),
                                ("imagem_mapa", 334),
                                ("link_mapa", 335),
                                ("texto_link_mapa", 336),
                            ]
                        ],
                        {},
                    ),
                    338: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Próximos Eventos",
                            "help_text": "Título que aparecerá no topo da seção de eventos",
                            "label": "Título da Seção",
                        },
                    ),
                    339: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Participe de nossa programação diversificada de eventos presenciais e online",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Descrição da Seção",
                        },
                    ),
                    340: (
                        "wagtail.blocks.ListBlock",
                        (217,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os eventos",
                            "label": "Categorias de Eventos",
                        },
                    ),
                    341: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Novo Evento", "label": "Título do Evento"},
                    ),
                    342: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Geral",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    343: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do Evento", "required": False},
                    ),
                    344: (
                        "wagtail.blocks.DateBlock",
                        (),
                        {
                            "default": datetime.date(2025, 6, 24),
                            "label": "Data do Evento",
                        },
                    ),
                    345: (
                        "wagtail.blocks.TimeBlock",
                        (),
                        {"default": datetime.time(9, 0), "label": "Hora de Início"},
                    ),
                    346: (
                        "wagtail.blocks.TimeBlock",
                        (),
                        {"default": datetime.time(17, 0), "label": "Hora de Término"},
                    ),
                    347: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "A definir", "label": "Local"},
                    ),
                    348: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição do evento será adicionada em breve.",
                            "label": "Descrição do Evento",
                        },
                    ),
                    349: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 50, "label": "Vagas Disponíveis", "min_value": 0},
                    ),
                    350: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 341),
                                ("categoria", 342),
                                ("imagem", 343),
                                ("data", 344),
                                ("hora_inicio", 345),
                                ("hora_fim", 346),
                                ("local", 347),
                                ("descricao", 348),
                                ("vagas_disponiveis", 349),
                            ]
                        ],
                        {},
                    ),
                    351: (
                        "wagtail.blocks.ListBlock",
                        (350,),
                        {
                            "help_text": "Adicione os eventos que serão exibidos",
                            "label": "Lista de Eventos",
                        },
                    ),
                    352: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 338),
                                ("descricao_secao", 339),
                                ("cor_principal", 133),
                                ("categorias", 340),
                                ("eventos", 351),
                            ]
                        ],
                        {},
                    ),
                    353: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Título principal do banner",
                            "label": "Título",
                        },
                    ),
                    354: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Futuro",
                            "help_text": "Parte do título que receberá o efeito gradiente",
                            "label": "Texto com Destaque",
                        },
                    ),
                    355: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Reimaginando a experiência da biblioteca tradicional com tecnologia",
                            "help_text": "Texto descritivo que aparecerá abaixo do título",
                            "label": "Descrição",
                        },
                    ),
                    356: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Novo Projeto",
                            "help_text": "Texto que aparece no badge acima do título",
                            "label": "Texto do Badge",
                            "required": False,
                        },
                    ),
                    357: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Selecione uma imagem para o lado direito do banner",
                            "label": "Imagem do Banner",
                        },
                    ),
                    358: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ver Próximos Eventos",
                            "help_text": "Texto do botão principal",
                            "label": "Texto do Botão Principal",
                        },
                    ),
                    359: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#eventos",
                            "help_text": "Link para onde o botão principal levará (URL ou #anchor)",
                            "label": "Link do Botão Principal",
                        },
                    ),
                    360: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba Mais",
                            "help_text": "Texto do botão secundário",
                            "label": "Texto do Botão Secundário",
                            "required": False,
                        },
                    ),
                    361: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#sobre",
                            "help_text": "Link para onde o botão secundário levará (URL ou #anchor)",
                            "label": "Link do Botão Secundário",
                            "required": False,
                        },
                    ),
                    362: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 353),
                                ("texto_destaque", 354),
                                ("descricao", 355),
                                ("badge_texto", 356),
                                ("imagem", 357),
                                ("botao_principal_texto", 358),
                                ("botao_principal_link", 359),
                                ("botao_secundario_texto", 360),
                                ("botao_secundario_link", 361),
                                ("cor_principal", 133),
                                ("cor_secundaria", 133),
                            ]
                        ],
                        {},
                    ),
                    363: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Cor principal para textos e elementos (ex: #4a4a4a)",
                            "label": "Cor Primária",
                        },
                    ),
                    364: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF8502",
                            "help_text": "Cor de destaque para títulos e botões (ex: #FF8502)",
                            "label": "Cor Secundária",
                        },
                    ),
                    365: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FFA135",
                            "help_text": "Cor para efeitos de hover (ex: #FFA135)",
                            "label": "Cor de Hover",
                        },
                    ),
                    366: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Descubra a",
                            "help_text": "Primeira parte do título do banner",
                            "label": "Título Principal",
                        },
                    ),
                    367: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca Graciliano Ramos",
                            "help_text": "Segunda parte do título que aparecerá com destaque",
                            "label": "Título em Destaque",
                        },
                    ),
                    368: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Referência em Administração Pública e Gestão Governamental com mais de 29 mil obras em seu acervo",
                            "help_text": "Texto descritivo abaixo do título",
                            "label": "Subtítulo",
                        },
                    ),
                    369: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será utilizada como fundo do banner",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    370: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "O que você procura? Digite palavras-chave...",
                            "help_text": "Texto que aparecerá como sugestão no campo de busca",
                            "label": "Texto do Placeholder",
                        },
                    ),
                    371: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Buscar",
                            "help_text": "Texto que aparecerá no botão de busca",
                            "label": "Texto do Botão",
                        },
                    ),
                    372: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/busca/",
                            "help_text": "URL para onde o formulário de busca será enviado",
                            "label": "URL da Busca",
                        },
                    ),
                    373: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Segunda a sexta das 9h às 19h",
                            "help_text": "Texto que aparecerá como informação adicional",
                            "label": "Texto do Badge Informativo",
                            "required": False,
                        },
                    ),
                    374: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparecerá no lado direito do banner",
                            "label": "Imagem Principal",
                        },
                    ),
                    375: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Mostrar os badges de informação flutuantes ao redor da imagem",
                            "label": "Mostrar Badges Flutuantes",
                            "required": False,
                        },
                    ),
                    376: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "📚",
                            "help_text": "Emoji ou ícone para o primeiro badge",
                            "label": "Ícone do Badge 1",
                            "required": False,
                        },
                    ),
                    377: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "29 mil obras impressas",
                            "help_text": "Texto que aparecerá no primeiro badge",
                            "label": "Texto do Badge 1",
                            "required": False,
                        },
                    ),
                    378: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "🌐",
                            "help_text": "Emoji ou ícone para o segundo badge",
                            "label": "Ícone do Badge 2",
                            "required": False,
                        },
                    ),
                    379: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acervo digital completo",
                            "help_text": "Texto que aparecerá no segundo badge",
                            "label": "Texto do Badge 2",
                            "required": False,
                        },
                    ),
                    380: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 363),
                                ("cor_secundaria", 364),
                                ("cor_accent", 365),
                                ("titulo_principal", 366),
                                ("titulo_destaque", 367),
                                ("subtitulo", 368),
                                ("imagem_background", 369),
                                ("texto_placeholder", 370),
                                ("texto_botao", 371),
                                ("url_busca", 372),
                                ("texto_badge", 373),
                                ("imagem_principal", 374),
                                ("mostrar_badges", 375),
                                ("badge1_icone", 376),
                                ("badge1_texto", 377),
                                ("badge2_icone", 378),
                                ("badge2_texto", 379),
                            ]
                        ],
                        {},
                    ),
                    381: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Upload your logo image", "required": False},
                    ),
                    382: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Color code for the 7px bottom border and hover effects (e.g. #3182ce)",
                            "required": False,
                        },
                    ),
                    383: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Portal",
                            "help_text": "Text for the portal button",
                            "required": False,
                        },
                    ),
                    384: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "URL for the portal button",
                            "required": False,
                        },
                    ),
                    385: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Menu item text", "required": False},
                    ),
                    386: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Menu item URL", "required": False},
                    ),
                    387: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"help_text": "Highlight this menu item", "required": False},
                    ),
                    388: (
                        "wagtail.blocks.StructBlock",
                        [[("text", 385), ("url", 386), ("featured", 387)]],
                        {},
                    ),
                    389: (
                        "wagtail.blocks.ListBlock",
                        (388,),
                        {
                            "default": [
                                {"featured": False, "text": "Início", "url": "#"},
                                {"featured": False, "text": "Acervo", "url": "#acervo"},
                                {
                                    "featured": False,
                                    "text": "Áreas Temáticas",
                                    "url": "#areas-tematicas",
                                },
                                {
                                    "featured": False,
                                    "text": "Bases de Dados",
                                    "url": "#bases-dados",
                                },
                                {"featured": False, "text": "Sobre", "url": "#sobre"},
                                {
                                    "featured": False,
                                    "text": "Contato",
                                    "url": "#contato",
                                },
                            ]
                        },
                    ),
                    390: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("logo", 381),
                                ("border_color", 382),
                                ("portal_text", 383),
                                ("portal_url", 384),
                                ("menu_items", 389),
                            ]
                        ],
                        {},
                    ),
                    391: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Como aderir ao Enap Aqui?",
                            "help_text": "Título da seção informativa (coluna esquerda)",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título",
                        },
                    ),
                    392: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>A adesão ao Programa Enap Aqui é feita por meio da assinatura de um Acordo de Adesão, formalizado pela instituição interessada.</p><p>O Acordo de Adesão ao Enap Aqui expressa o compromisso da instituição com a promoção de ações formativas voltadas a servidores públicos locais, por meio de uma abordagem híbrida que integra cursos a distância e oficinas presenciais, com foco em temas estratégicos para a gestão pública.</p>",
                            "help_text": "Texto explicativo sobre o processo de adesão",
                            "required": True,
                            "verbose_name": "Texto informativo",
                        },
                    ),
                    393: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Torne-se um parceiro Enap Aqui",
                            "help_text": "Título do cartão verde de destaque",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título do destaque",
                        },
                    ),
                    394: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Faça parte do Enap Aqui e acompanhe o processo:</p>",
                            "help_text": "Texto curto para o cartão verde de destaque",
                            "required": True,
                            "verbose_name": "Texto do destaque",
                        },
                    ),
                    395: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Aderir ao Enap Aqui",
                            "help_text": "Texto que será exibido no botão",
                            "max_length": 50,
                            "required": True,
                            "verbose_name": "Texto do botão",
                        },
                    ),
                    396: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "URL para onde o botão vai redirecionar",
                            "required": True,
                            "verbose_name": "URL do botão",
                        },
                    ),
                    397: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#1F4D4D",
                            "help_text": "Código hexadecimal da cor de fundo do cartão verde (ex: #1F4D4D)",
                            "max_length": 7,
                            "required": False,
                            "verbose_name": "Cor de fundo do destaque",
                        },
                    ),
                    398: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno"),
                                ("medio", "Médio"),
                                ("grande", "Grande"),
                            ],
                            "help_text": "Espaçamento vertical da seção",
                            "verbose_name": "Espaçamento",
                        },
                    ),
                    399: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_informativo", 391),
                                ("texto_informativo", 392),
                                ("titulo_destaque", 393),
                                ("texto_destaque", 394),
                                ("texto_botao", 395),
                                ("url_botao", 396),
                                ("cor_fundo_destaque", 397),
                                ("espaco_vertical", 398),
                            ]
                        ],
                        {},
                    ),
                    400: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título da seção",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título",
                        },
                    ),
                    401: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "help_text": "Conteúdo em texto",
                            "required": True,
                            "verbose_name": "Texto",
                        },
                    ),
                    402: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de destaque",
                            "required": True,
                            "verbose_name": "Imagem",
                        },
                    ),
                    403: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("direita", "Imagem à direita"),
                                ("esquerda", "Imagem à esquerda"),
                            ],
                            "help_text": "Posição da imagem em relação ao texto",
                            "verbose_name": "Posição da imagem",
                        },
                    ),
                    404: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("normal", "Normal"),
                                ("arredondada", "Cantos arredondados"),
                                ("circular", "Circular"),
                                ("cobertura", "Cobertura completa"),
                            ],
                            "help_text": "Estilo de exibição da imagem",
                            "verbose_name": "Estilo da imagem",
                        },
                    ),
                    405: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 400),
                                ("texto", 401),
                                ("imagem", 402),
                                ("posicao_imagem", 403),
                                ("estilo_imagem", 404),
                            ]
                        ],
                        {},
                    ),
                    406: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": True},
                    ),
                    407: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"max_length": 255, "required": True},
                    ),
                    408: ("wagtail.blocks.RichTextBlock", (), {"required": True}),
                    409: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("background_image", 406),
                                ("title", 407),
                                ("description", 408),
                            ]
                        ],
                        {},
                    ),
                    410: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da feature",
                            "help_text": "Primeiro título da feature",
                            "required": True,
                        },
                    ),
                    411: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição da feature",
                            "help_text": "Primeira descrição da feature",
                            "required": True,
                        },
                    ),
                    412: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da feature",
                            "help_text": "Segundo título da feature",
                            "required": True,
                        },
                    ),
                    413: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição da feature",
                            "help_text": "Segunda descrição da feature",
                            "required": True,
                        },
                    ),
                    414: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem da feature do curso", "required": False},
                    ),
                    415: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_1", 410),
                                ("description_1", 411),
                                ("title_2", 412),
                                ("description_2", 413),
                                ("image", 414),
                            ]
                        ],
                        {},
                    ),
                    416: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Processo seletivo",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    417: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Sobre o processo seletivo",
                            "help_text": "Descrição do processo seletivo",
                            "required": True,
                        },
                    ),
                    418: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Inscrição",
                            "help_text": "Título do primeiro módulo",
                            "required": True,
                        },
                    ),
                    419: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do primeiro módulo",
                            "required": True,
                        },
                    ),
                    420: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Seleção",
                            "help_text": "Título do segundo módulo",
                            "required": True,
                        },
                    ),
                    421: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do segundo módulo",
                            "required": True,
                        },
                    ),
                    422: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Resultado",
                            "help_text": "Título do terceiro módulo",
                            "required": True,
                        },
                    ),
                    423: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do terceiro módulo",
                            "required": True,
                        },
                    ),
                    424: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 416),
                                ("description", 417),
                                ("module1_title", 418),
                                ("module1_description", 419),
                                ("module2_title", 420),
                                ("module2_description", 421),
                                ("module3_title", 422),
                                ("module3_description", 423),
                            ]
                        ],
                        {},
                    ),
                    425: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nossa Equipe",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    426: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Equipe de desenvolvedores e etc",
                            "help_text": "Descrição da seção da equipe",
                            "required": True,
                        },
                    ),
                    427: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ver todos",
                            "help_text": "Texto do botão 'ver todos'",
                            "required": False,
                        },
                    ),
                    428: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Nome do membro da equipe", "required": True},
                    ),
                    429: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Cargo/função do membro", "required": True},
                    ),
                    430: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Foto do membro da equipe", "required": False},
                    ),
                    431: (
                        "wagtail.blocks.StructBlock",
                        [[("name", 428), ("role", 429), ("image", 430)]],
                        {},
                    ),
                    432: (
                        "wagtail.blocks.ListBlock",
                        (431,),
                        {
                            "collapsed": False,
                            "default": [
                                {"image": None, "name": "Membro 1", "role": "Cargo 1"},
                                {"image": None, "name": "Membro 2", "role": "Cargo 2"},
                                {"image": None, "name": "Membro 3", "role": "Cargo 3"},
                                {"image": None, "name": "Membro 4", "role": "Cargo 4"},
                            ],
                            "help_text": "Adicione os membros da equipe",
                        },
                    ),
                    433: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 425),
                                ("description", 426),
                                ("view_all_text", 427),
                                ("members", 432),
                            ]
                        ],
                        {},
                    ),
                    434: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Depoimentos",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    435: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"help_text": "Descrição opcional da seção", "required": False},
                    ),
                    436: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do profissional",
                            "help_text": "Nome da pessoa",
                            "required": True,
                        },
                    ),
                    437: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do profissional",
                            "help_text": "Cargo ou posição da pessoa",
                            "required": True,
                        },
                    ),
                    438: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Depoimento da pessoa",
                            "required": True,
                        },
                    ),
                    439: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Foto da pessoa", "required": False},
                    ),
                    440: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("name", 436),
                                ("position", 437),
                                ("testimonial", 438),
                                ("image", 439),
                            ]
                        ],
                        {},
                    ),
                    441: (
                        "wagtail.blocks.ListBlock",
                        (440,),
                        {"help_text": "Adicione os depoimentos"},
                    ),
                    442: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 434), ("description", 435), ("testimonials", 441)]],
                        {},
                    ),
                    443: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo do beneficio",
                            "label": "Título principal",
                            "required": True,
                        },
                    ),
                    444: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Titulo do beneficio",
                            "label": "Descrição principal",
                            "required": False,
                        },
                    ),
                    445: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 1", "required": False},
                    ),
                    446: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Metodologia ensino–aplicação",
                            "label": "Título do benefício 1",
                            "required": True,
                        },
                    ),
                    447: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 2", "required": False},
                    ),
                    448: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 2",
                            "required": True,
                        },
                    ),
                    449: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 3", "required": False},
                    ),
                    450: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 3",
                            "required": True,
                        },
                    ),
                    451: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 4", "required": False},
                    ),
                    452: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 4",
                            "required": True,
                        },
                    ),
                    453: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 443),
                                ("description", 444),
                                ("image_1", 445),
                                ("title_1", 446),
                                ("image_2", 447),
                                ("title_2", 448),
                                ("image_3", 449),
                                ("title_3", 450),
                                ("image_4", 451),
                                ("title_4", 452),
                            ]
                        ],
                        {},
                    ),
                    454: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("solid", "Solid - Fundo colorido"),
                                ("outline", "Outline - Apenas contorno"),
                            ],
                            "help_text": "Estilo visual dos botões",
                        },
                    ),
                    455: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Texto do botão", "required": True},
                    ),
                    456: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão vai direcionar (opcional)",
                            "required": False,
                        },
                    ),
                    457: (
                        "wagtail.blocks.StructBlock",
                        [[("label", 455), ("url", 456)]],
                        {},
                    ),
                    458: (
                        "wagtail.blocks.ListBlock",
                        (457,),
                        {
                            "help_text": "Adicione botões ao grupo (entre 1 e 10)",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    459: (
                        "wagtail.blocks.StructBlock",
                        [[("style", 454), ("buttons", 458)]],
                        {},
                    ),
                    460: ("wagtail.blocks.PageChooserBlock", (), {"required": True}),
                    461: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 81), ("page", 460)]],
                        {},
                    ),
                    462: ("wagtail.blocks.ListBlock", (461,), {}),
                    463: (
                        "wagtail.blocks.StructBlock",
                        [[("label", 81), ("options", 462)]],
                        {},
                    ),
                    464: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    465: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 3, "label": "Number of pages to show"},
                    ),
                    466: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("indexed_by", 464), ("num_posts", 465)]],
                        {},
                    ),
                    467: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Curso",
                            "help_text": "Título principal sobre o curso",
                            "label": "Título do Curso",
                            "required": True,
                        },
                    ),
                    468: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva o curso",
                            "help_text": "Descrição geral do curso",
                            "label": "Descrição do Curso",
                            "required": True,
                        },
                    ),
                    469: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para destacar o curso",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    470: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva a modalidade do curso",
                            "help_text": "Descreva a modalidade do curso",
                            "label": "Descrição da Modalidade",
                            "required": True,
                        },
                    ),
                    471: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva o conteúdo do curso",
                            "help_text": "Descreva o conteúdo do curso",
                            "label": "Descrição do Curso",
                            "required": True,
                        },
                    ),
                    472: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva a metodologia do curso",
                            "help_text": "Descreva a metodologia do curso",
                            "label": "Descrição da Metodologia",
                            "required": True,
                        },
                    ),
                    473: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 467),
                                ("description", 468),
                                ("image", 469),
                                ("modalidade_description", 470),
                                ("curso_description", 471),
                                ("metodologia_description", 472),
                            ]
                        ],
                        {},
                    ),
                    474: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a mini preview of the selected page.",
                            "label": "Pagina de Formações",
                            "required": False,
                        },
                    ),
                    475: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("page", 474)]],
                        {},
                    ),
                    476: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Aplicar estilo escuro ao breadcrumb",
                            "label": "Tema Escuro",
                            "required": False,
                        },
                    ),
                    477: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/",
                            "help_text": "URL para o link da casa (padrão: /)",
                            "label": "URL da Página Inicial",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    478: (
                        "wagtail.blocks.StructBlock",
                        [[("dark_theme", 476), ("home_url", 477)]],
                        {},
                    ),
                    479: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/",
                            "label": "URL da Página Inicial",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    480: (
                        "wagtail.blocks.StructBlock",
                        [[("dark_theme", 476), ("home_url", 479)]],
                        {},
                    ),
                    481: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Estrutura do curso",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    482: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "1º Módulo",
                            "help_text": "Título do módulo (ex: 1º Módulo)",
                            "required": True,
                        },
                    ),
                    483: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descreva o módulo",
                            "help_text": "Descrição breve do módulo",
                            "required": True,
                        },
                    ),
                    484: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Item da lista de conteúdo do módulo",
                            "required": False,
                        },
                    ),
                    485: ("wagtail.blocks.ListBlock", (484,), {}),
                    486: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("module_title", 482),
                                ("module_description", 483),
                                ("module_items", 485),
                            ]
                        ],
                        {},
                    ),
                    487: (
                        "wagtail.blocks.ListBlock",
                        (486,),
                        {"help_text": "Adicione os módulos do curso", "min_num": 1},
                    ),
                    488: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 481), ("modules", 487)]],
                        {},
                    ),
                    489: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo do hero banner",
                            "required": False,
                        },
                    ),
                    490: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SEMINÁRIO DE INOVAÇÃO 2025",
                            "help_text": "Título principal do banner",
                            "max_length": 150,
                            "required": False,
                        },
                    ),
                    491: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Inovação e Transformação Digital na Administração Pública",
                            "help_text": "Subtítulo (opcional)",
                            "max_length": 300,
                            "required": False,
                        },
                    ),
                    492: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Participe do Seminário de Inovação 2025 e descubra as últimas tendências em inovação e transformação digital na administração pública.",
                            "help_text": "Texto descritivo (opcional)",
                            "required": False,
                        },
                    ),
                    493: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto descritivo",
                            "required": False,
                        },
                    ),
                    494: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Texto do botão", "max_length": 50},
                    ),
                    495: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Link do botão"},
                    ),
                    496: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primario", "Primário"),
                                ("secundario", "Secundário"),
                                ("outline", "Outline"),
                            ],
                            "help_text": "Tipo/estilo do botão",
                        },
                    ),
                    497: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor de fundo do botão",
                        },
                    ),
                    498: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do hover do botão",
                        },
                    ),
                    499: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("texto_botao", 494),
                                ("link_botao", 495),
                                ("tipo_botao", 496),
                                ("cor_fundo_botao", 497),
                                ("cor_texto_botao", 313),
                                ("cor_hover_botao", 498),
                            ]
                        ],
                        {"icon": "link", "label": "Botão Hero"},
                    ),
                    500: (
                        "wagtail.blocks.StreamBlock",
                        [[("botao_hero", 499)]],
                        {
                            "help_text": "Adicione até 3 botões no hero banner",
                            "max_num": 3,
                            "min_num": 0,
                            "required": False,
                        },
                    ),
                    501: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("0", "Sem overlay"),
                                ("0.3", "Overlay leve"),
                                ("0.5", "Overlay médio"),
                                ("0.7", "Overlay forte"),
                            ],
                            "help_text": "Opacidade do overlay escuro sobre a imagem",
                        },
                    ),
                    502: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 489),
                                ("titulo_principal", 490),
                                ("subtitulo", 491),
                                ("texto_descricao", 492),
                                ("cor_titulo", 308),
                                ("cor_subtitulo", 310),
                                ("cor_texto", 493),
                                ("botoes_hero", 500),
                                ("overlay_opacity", 501),
                            ]
                        ],
                        {},
                    ),
                    503: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo do banner (recomendado: 1920x600px)",
                            "required": False,
                        },
                    ),
                    504: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SEMANA DE INOVAÇÃO",
                            "help_text": "Nome do evento (ex: SEMANA DE INOVAÇÃO)",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    505: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título do evento",
                            "required": False,
                        },
                    ),
                    506: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "RESULTADO",
                            "help_text": "Tag que aparece no centro (ex: RESULTADO, NOVIDADE, IMPORTANTE)",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    507: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor de fundo da tag central",
                            "required": False,
                        },
                    ),
                    508: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto da tag central",
                            "required": False,
                        },
                    ),
                    509: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "CHAMADA PÚBLICA PARA ATIVIDADES",
                            "help_text": "Título principal do banner",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    510: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Texto do botão (ex: Resultado Atividades Online)",
                            "max_length": 100,
                        },
                    ),
                    511: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar (opcional)",
                            "required": False,
                        },
                    ),
                    512: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Ou escolha uma página interna do site",
                            "required": False,
                        },
                    ),
                    513: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("preenchido", "Preenchido"),
                                ("outline", "Outline (apenas borda)"),
                                ("texto", "Apenas texto"),
                            ],
                            "help_text": "Estilo visual do botão",
                        },
                    ),
                    514: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor de fundo do botão (para tipo preenchido)",
                        },
                    ),
                    515: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor da borda do botão (para tipo outline)",
                        },
                    ),
                    516: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do fundo no hover",
                        },
                    ),
                    517: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#00777D", "Enap"),
                                ("#58606E", "Enap Cinza"),
                                ("#AFF0ED", "Enap Azul"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#000000", "Preto"),
                                ("#2F2F2F", "Cinza Escuro"),
                                ("#4A4A4A", "Cinza Médio"),
                            ],
                            "help_text": "Cor do texto no hover",
                        },
                    ),
                    518: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Abrir link em nova aba?",
                            "required": False,
                        },
                    ),
                    519: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Sem ícone"),
                                ("download", "Download"),
                                ("external-link", "Link externo"),
                                ("file-text", "Documento"),
                                ("calendar", "Calendário"),
                                ("users", "Usuários"),
                                ("award", "Prêmio"),
                                ("info", "Informação"),
                                ("play", "Play"),
                                ("mail", "Email"),
                            ],
                            "help_text": "Ícone do botão (opcional)",
                            "required": False,
                        },
                    ),
                    520: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("texto", 510),
                                ("link", 511),
                                ("pagina_interna", 512),
                                ("tipo_botao", 513),
                                ("cor_fundo", 514),
                                ("cor_texto", 313),
                                ("cor_borda", 515),
                                ("cor_hover_fundo", 516),
                                ("cor_hover_texto", 517),
                                ("abrir_nova_aba", 518),
                                ("icone", 519),
                            ]
                        ],
                        {"icon": "link", "label": "Botão"},
                    ),
                    521: (
                        "wagtail.blocks.StreamBlock",
                        [[("botao", 520)]],
                        {
                            "help_text": "Adicione de 1 a 6 botões. Recomendado: máximo 3 botões para melhor visual.",
                            "max_num": 6,
                            "min_num": 1,
                            "required": False,
                        },
                    ),
                    522: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno (400px)"),
                                ("medio", "Médio (500px)"),
                                ("grande", "Grande (600px)"),
                                ("extra-grande", "Extra Grande (700px)"),
                                ("auto", "Automático (baseado no conteúdo)"),
                            ],
                            "help_text": "Altura do banner",
                        },
                    ),
                    523: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("esquerda", "Alinhado à esquerda"),
                                ("centro", "Centralizado"),
                                ("direita", "Alinhado à direita"),
                            ],
                            "help_text": "Alinhamento do conteúdo de texto",
                        },
                    ),
                    524: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("compacto", "Compacto"),
                                ("normal", "Normal"),
                                ("espaçoso", "Espaçoso"),
                            ],
                            "help_text": "Espaçamento entre os botões",
                        },
                    ),
                    525: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 503),
                                ("titulo_evento", 504),
                                ("cor_titulo_evento", 505),
                                ("tag_central", 506),
                                ("cor_fundo_tag", 507),
                                ("cor_texto_tag", 508),
                                ("titulo_principal", 509),
                                ("cor_titulo_principal", 308),
                                ("botoes", 521),
                                ("altura_banner", 522),
                                ("alinhamento_conteudo", 523),
                                ("espacamento_botoes", 524),
                            ]
                        ],
                        {},
                    ),
                    526: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Vídeo",
                            "label": "Título do Vídeo",
                            "required": False,
                        },
                    ),
                    527: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.youtube.com/watch?v=example",
                            "label": "URL do Vídeo",
                            "required": False,
                        },
                    ),
                    528: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Descrição", "required": False},
                    ),
                    529: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 526), ("video_url", 527), ("descricao", 528)]],
                        {},
                    ),
                    530: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título da seção (opcional)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    531: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título",
                            "required": False,
                        },
                    ),
                    532: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Número/valor (ex: 500+, 95%)", "max_length": 20},
                    ),
                    533: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Descrição do número", "max_length": 100},
                    ),
                    534: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do número",
                            "required": False,
                        },
                    ),
                    535: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor da descrição",
                            "required": False,
                        },
                    ),
                    536: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("numero", 532),
                                ("descricao", 533),
                                ("cor_numero", 534),
                                ("cor_descricao", 535),
                            ]
                        ],
                        {"icon": "plus", "label": "Estatística"},
                    ),
                    537: (
                        "wagtail.blocks.StreamBlock",
                        [[("estatistica", 536)]],
                        {
                            "help_text": "Adicione entre 2 e 8 estatísticas",
                            "max_num": 8,
                            "min_num": 2,
                        },
                    ),
                    538: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 304),
                                ("titulo", 530),
                                ("cor_titulo", 531),
                                ("estatisticas", 537),
                            ]
                        ],
                        {},
                    ),
                    539: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "ASSINE NOSSA NEWSLETTER",
                            "label": "Título",
                            "required": False,
                        },
                    ),
                    540: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Fique por dentro das novidades e eventos da Semana de Inovação.",
                            "label": "Texto",
                            "required": False,
                        },
                    ),
                    541: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem", "required": False},
                    ),
                    542: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 539), ("texto", 540), ("imagem", 541)]],
                        {},
                    ),
                    543: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo da seção (opcional)",
                            "required": False,
                        },
                    ),
                    544: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                (
                                    "texto-esquerda",
                                    "Texto à esquerda, Spotify à direita",
                                ),
                                (
                                    "texto-direita",
                                    "Texto à direita, Spotify à esquerda",
                                ),
                                ("texto-topo", "Texto no topo, Spotify embaixo"),
                            ],
                            "help_text": "Layout da seção",
                        },
                    ),
                    545: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "INOVAR NO GOVERNO PODE? PODE!",
                            "help_text": "Título principal da seção",
                            "max_length": 200,
                        },
                    ),
                    546: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "O InovaPod é o podcast oficial da ENAP, produzido pela Gnova - laboratório de inovação da ENAP. Ouça entrevistas e debates com especialistas e líderes, discutindo tendências e práticas inovadoras na administração pública.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Descrição do podcast em rich text",
                        },
                    ),
                    547: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto da descrição",
                            "required": False,
                        },
                    ),
                    548: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Mostrar botão de ação?",
                            "required": False,
                        },
                    ),
                    549: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "OUÇA AGORA",
                            "help_text": "Texto do botão",
                            "max_length": 100,
                        },
                    ),
                    550: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar",
                            "required": False,
                        },
                    ),
                    551: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": '<iframe style="border-radius:12px" src="https://open.spotify.com/embed/show/..." width="100%" height="352" frameBorder="0" allowfullscreen="" allow="autoplay; clipboard-write; encrypted-media; fullscreen; picture-in-picture" loading="lazy"></iframe>',
                            "help_text": "Código embed do Spotify (cole o código HTML completo do iframe)",
                        },
                    ),
                    552: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ouça o InovaPod",
                            "help_text": "Título do player Spotify (opcional, aparece acima do player)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    553: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título do Spotify",
                            "required": False,
                        },
                    ),
                    554: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno (2rem)"),
                                ("medio", "Médio (4rem)"),
                                ("grande", "Grande (6rem)"),
                                ("extra-grande", "Extra Grande (8rem)"),
                            ],
                            "help_text": "Espaçamento interno da seção",
                        },
                    ),
                    555: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("0", "Sem bordas arredondadas"),
                                ("8px", "Bordas suaves"),
                                ("12px", "Bordas médias"),
                                ("16px", "Bordas arredondadas"),
                                ("24px", "Bordas muito arredondadas"),
                            ],
                            "help_text": "Bordas arredondadas do player",
                        },
                    ),
                    556: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Adicionar sombra ao player do Spotify?",
                            "required": False,
                        },
                    ),
                    557: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 543),
                                ("cor_fundo", 304),
                                ("layout_tipo", 544),
                                ("titulo", 545),
                                ("cor_titulo", 531),
                                ("descricao", 546),
                                ("cor_descricao", 547),
                                ("mostrar_botao", 548),
                                ("texto_botao", 549),
                                ("link_botao", 550),
                                ("pagina_interna_botao", 512),
                                ("tipo_botao", 513),
                                ("cor_fundo_botao", 497),
                                ("cor_texto_botao", 313),
                                ("cor_borda_botao", 515),
                                ("cor_hover_fundo_botao", 516),
                                ("abrir_nova_aba_botao", 518),
                                ("spotify_embed_code", 551),
                                ("spotify_titulo", 552),
                                ("cor_titulo_spotify", 553),
                                ("espacamento_secao", 554),
                                ("border_radius_player", 555),
                                ("sombra_player", 556),
                            ]
                        ],
                        {},
                    ),
                    558: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo da seção", "required": False},
                    ),
                    559: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Patrocinadores do Evento",
                            "help_text": "Título principal da seção",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    560: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem principal em destaque",
                            "required": False,
                        },
                    ),
                    561: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem da galeria"},
                    ),
                    562: (
                        "wagtail.blocks.StructBlock",
                        [[("imagem", 561)]],
                        {"icon": "image", "label": "Foto"},
                    ),
                    563: (
                        "wagtail.blocks.StreamBlock",
                        [[("foto", 562)]],
                        {
                            "help_text": "Adicione quantas fotos quiser na galeria",
                            "min_num": 0,
                            "required": False,
                        },
                    ),
                    564: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_background", 558),
                                ("titulo", 559),
                                ("cor_titulo", 531),
                                ("imagem_destaque", 560),
                                ("galeria_fotos", 563),
                            ]
                        ],
                        {},
                    ),
                    565: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-primary", "Primary"),
                                ("btn-secondary", "Secondary"),
                                ("btn-success", "Success"),
                                ("btn-danger", "Danger"),
                                ("btn-warning", "Warning"),
                                ("btn-info", "Info"),
                                ("btn-link", "Link"),
                                ("btn-light", "Light"),
                                ("btn-dark", "Dark"),
                                ("btn-outline-primary", "Outline Primary"),
                                ("btn-outline-secondary", "Outline Secondary"),
                                ("btn-outline-success", "Outline Success"),
                                ("btn-outline-danger", "Outline Danger"),
                                ("btn-outline-warning", "Outline Warning"),
                                ("btn-outline-info", "Outline Info"),
                                ("btn-outline-light", "Outline Light"),
                                ("btn-outline-dark", "Outline Dark"),
                            ],
                            "label": "Button Style",
                            "required": False,
                        },
                    ),
                    566: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-sm", "Small"),
                                ("", "Default"),
                                ("btn-lg", "Large"),
                            ],
                            "label": "Button Size",
                            "required": False,
                        },
                    ),
                    567: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("button_style", 565),
                                ("button_size", 566),
                                ("button_title", 200),
                                ("downloadable_file", 198),
                            ]
                        ],
                        {},
                    ),
                    568: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    569: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("indexed_by", 568), ("num_posts", 465)]],
                        {},
                    ),
                    570: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "#ID da seção", "max_length": 255, "required": False},
                    ),
                    571: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("bg-white", "Fundo branco"),
                                ("bg-blue", "Fundo blue"),
                                ("bg-gray", "Fundo cinza"),
                                ("bg-whitetwo", "Fundo branco alternativo"),
                                ("bg-darkgreen", "Fundo verde escuro"),
                            ],
                            "help_text": "Escolha a cor de fundo para a seção",
                            "label": "Cor de fundo",
                        },
                    ),
                    572: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Titulo", "max_length": 255, "required": False},
                    ),
                    573: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Subtitulo",
                            "required": False,
                        },
                    ),
                    574: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("cards-gri-1", "1 card por linha"),
                                ("cards-gri-2", "Até 2 cards"),
                                ("cards-gri-3", "Até 3 cards"),
                                ("cards-gri-4", "Até 4 cards"),
                            ],
                            "help_text": "Escolha os limites de card por linha para essa grid.",
                            "label": "Card por linha",
                        },
                    ),
                    575: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-primary", "Tipo primário"),
                                ("card-secondary", "Tipo secundário"),
                                ("card-terciary", "Tipo terciário"),
                                ("card-bgimage", "Tipo BG Image"),
                                ("card-horizontal", "Tipo Horizontal"),
                                (
                                    "card-horizontal-reverse",
                                    "Tipo Horizontal Invertido",
                                ),
                            ],
                            "help_text": "Escolha o tipo/cor do card",
                            "label": "Tipo de card",
                        },
                    ),
                    576: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Image", "max_length": 255, "required": False},
                    ),
                    577: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Body",
                        },
                    ),
                    578: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 204)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 3,
                            "required": False,
                        },
                    ),
                    579: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("type", 575),
                                ("image", 576),
                                ("title", 200),
                                ("description", 577),
                                ("link", 578),
                            ]
                        ],
                        {},
                    ),
                    580: (
                        "wagtail.blocks.StreamBlock",
                        [[("enap_card", 579), ("card_curso", 206)]],
                        {"label": "Conteúdo"},
                    ),
                    581: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("grid", 574), ("content", 580)]],
                        {},
                    ),
                    582: ("enap_designsystem.blocks.html_blocks.RichTextBlock", (), {}),
                    583: ("wagtail.blocks.CharBlock", (), {"required": False}),
                    584: (
                        "wagtail.blocks.StructBlock",
                        [[("image", 406), ("caption", 583)]],
                        {},
                    ),
                    585: ("wagtail.blocks.TextBlock", (), {"required": True}),
                    586: (
                        "wagtail.blocks.StructBlock",
                        [[("quote", 585), ("attribution", 583)]],
                        {},
                    ),
                    587: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Perguntas Frequentes",
                            "help_text": "Título principal da seção de accordions (opcional)",
                            "label": "Título da Seção",
                            "required": False,
                        },
                    ),
                    588: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Pergunta",
                            "help_text": "Título que será mostrado no accordion (pergunta)",
                            "label": "Título do Accordion",
                            "required": True,
                        },
                    ),
                    589: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Resposta detalhada para a pergunta do accordion.",
                            "help_text": "Conteúdo que será exibido quando o accordion for expandido",
                            "label": "Resposta do Accordion",
                            "required": True,
                        },
                    ),
                    590: (
                        "wagtail.blocks.StructBlock",
                        [[("accordion_title", 588), ("accordion_response", 589)]],
                        {},
                    ),
                    591: (
                        "wagtail.blocks.ListBlock",
                        (590,),
                        {
                            "help_text": "Adicione quantas perguntas e respostas desejar",
                            "label": "Itens do Accordion",
                            "min_num": 1,
                        },
                    ),
                    592: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("section_title", 587),
                                ("highlight_color", 133),
                                ("accordion_items", 591),
                            ]
                        ],
                        {},
                    ),
                    593: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Fale", "max_length": 100},
                    ),
                    594: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Conosco", "max_length": 100},
                    ),
                    595: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Entre em contato com a Biblioteca Graciliano Ramos"
                        },
                    ),
                    596: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Telefone", "max_length": 100},
                    ),
                    597: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "(61) 2020-3139", "required": False},
                    ),
                    598: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "E-mail", "max_length": 100},
                    ),
                    599: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "biblioteca@enap.gov.br", "required": False},
                    ),
                    600: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Endereço", "max_length": 100},
                    ),
                    601: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "SPO Área Especial 2A - Térreo\nBrasília-DF - CEP: 70610-900",
                            "required": False,
                        },
                    ),
                    602: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Horário de Funcionamento", "max_length": 100},
                    ),
                    603: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Segunda a sexta-feira das 9h às 19h00",
                            "required": False,
                        },
                    ),
                    604: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3839.7410214087293!2d-47.91252422392779!3d-15.783966284838556!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x935a3aec4bdd315d%3A0xe4b35324fd775722!2sEscola%20Nacional%20de%20Administra%C3%A7%C3%A3o%20P%C3%BAblica%20(Enap)!5e0!3m2!1spt-BR!2sbr!4v1650293487600!5m2!1spt-BR!2sbr",
                            "required": True,
                        },
                    ),
                    605: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_prefix", 593),
                                ("title_highlight", 594),
                                ("description", 595),
                                ("phone_title", 596),
                                ("phone", 597),
                                ("email_title", 598),
                                ("email", 599),
                                ("address_title", 600),
                                ("address", 601),
                                ("hours_title", 602),
                                ("hours", 603),
                                ("map_embed_url", 604),
                                ("highlight_color", 76),
                            ]
                        ],
                        {},
                    ),
                    606: (
                        "wagtail.blocks.StreamBlock",
                        [
                            [
                                ("enap_cardgrid", 581),
                                ("enap_accordion", 179),
                                ("richtext", 582),
                                ("button", 204),
                                ("image", 584),
                                ("quote", 586),
                                ("preview_courses", 475),
                                ("noticias_carousel", 466),
                                ("enap_herofeature", 409),
                                ("feature_course", 415),
                                ("feature_estrutura", 488),
                                ("section_card_title_center", 249),
                                ("accordion", 592),
                                ("section_tabs_cards", 265),
                                ("cta_imagem", 277),
                                ("container_info", 291),
                                ("sobre_linhas", 303),
                                ("contato", 605),
                                ("form_contato", 337),
                                ("evento", 352),
                                ("hero_animada", 362),
                                ("banner_search", 380),
                                ("texto_imagem", 405),
                                ("hero", 142),
                                ("aviso", 187),
                                ("galeria_moderna", 224),
                                ("team_moderna", 233),
                                ("cta_2", 238),
                            ]
                        ],
                        {"label": "Conteúdo"},
                    ),
                    607: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("id_slug", 570),
                                ("custom_class", 571),
                                ("title", 572),
                                ("subtitle", 573),
                                ("content", 606),
                            ]
                        ],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="enaptemplatev1",
            name="body_stream",
            field=wagtail.fields.StreamField(
                [
                    ("enap_herobanner", 3),
                    ("formulario_snippet", 5),
                    ("chatbot_ia", 10),
                    ("section_carousel", 59),
                    ("enap_carousel", 31),
                    ("programa_cards", 42),
                    ("formulario", 61),
                    ("carousel_option", 66),
                    ("cta_destaque", 46),
                    ("loc", 72),
                    ("carousel", 74),
                    ("navbarflutuante", 86),
                    ("bannertopics", 95),
                    ("QuoteModern", 101),
                    ("carousel_green", 112),
                    ("feature_list_text", 122),
                    ("banner_image_cta", 129),
                    ("hero", 142),
                    ("feature_list", 149),
                    ("service_cards", 156),
                    ("topic_links", 163),
                    ("citizen_server", 173),
                    ("accordion", 179),
                    ("aviso", 187),
                    ("carrossel_cursos", 213),
                    ("galeria_moderna", 224),
                    ("team_moderna", 233),
                    ("cta_2", 238),
                    ("section_card_title_center", 249),
                    ("section_tabs_cards", 265),
                    ("cta_imagem", 277),
                    ("container_info", 291),
                    ("sobre_linhas", 303),
                    ("contato", 315),
                    ("form_contato", 337),
                    ("evento", 352),
                    ("hero_animada", 362),
                    ("banner_search", 380),
                    ("navbar", 390),
                    ("secao_adesao", 399),
                    ("texto_imagem", 405),
                    ("enap_herofeature", 409),
                    ("banner", 3),
                    ("feature_course", 415),
                    ("feature_processo_seletivo", 424),
                    ("team_carousel", 433),
                    ("testimonials_carousel", 442),
                    ("why_choose", 453),
                    ("enap_accordion", 179),
                    ("button_group", 459),
                    ("dropdown", 463),
                    ("courses_carousel", 466),
                    ("course_intro_topics", 473),
                    ("preview_courses", 475),
                    ("breadcrumb", 478),
                    ("auto_breadcrumb", 480),
                    ("feature_estrutura", 488),
                    ("hero_banner", 502),
                    ("banner_resultado", 525),
                    ("video", 529),
                    ("estatisticas", 538),
                    ("newsletter", 542),
                    ("podcast_spotify", 557),
                    ("patrocinadores", 564),
                    ("download", 567),
                    ("noticias_carousel", 466),
                    ("eventos_carousel", 569),
                    ("enap_section", 607),
                ],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Background Image", "required": False},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Banner",
                            "label": "Title",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    2: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descrição do banner. Edite este texto para personalizar o conteúdo.",
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Description",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 0), ("title", 1), ("description", 2)]],
                        {},
                    ),
                    4: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.FormularioSnippet",),
                        {"help_text": "Escolha o formulário a ser exibido"},
                    ),
                    5: ("wagtail.blocks.StructBlock", [[("formulario", 4)]], {}),
                    6: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.ChatbotWidget",),
                        {
                            "help_text": "Escolha a configuração visual do chatbot",
                            "label": "Widget do Chatbot",
                        },
                    ),
                    7: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Deixe vazio para usar o título do widget",
                            "required": False,
                        },
                    ),
                    8: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se marcado, só aparece nesta página específica",
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se marcado, remove o chatbot global desta página",
                            "required": False,
                        },
                    ),
                    10: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("chatbot_widget", 6),
                                ("titulo_personalizado", 7),
                                ("mostrar_apenas_nesta_pagina", 8),
                                ("desabilitar_chatbot_global", 9),
                            ]
                        ],
                        {},
                    ),
                    11: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título opcional acima do carrossel",
                            "label": "Título do Carrossel",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    12: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título que aparece sobre a imagem",
                            "label": "Título do Slide",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    13: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "Subtítulo ou descrição do slide",
                            "label": "Subtítulo",
                            "max_length": 300,
                            "required": False,
                        },
                    ),
                    14: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para telas grandes (desktop/tablet)",
                            "label": "Imagem Desktop",
                        },
                    ),
                    15: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para dispositivos móveis",
                            "label": "Imagem Mobile",
                        },
                    ),
                    16: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Se deve exibir o botão no slide",
                            "label": "Mostrar Botão",
                            "required": False,
                        },
                    ),
                    17: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "Texto que aparece no botão",
                            "label": "Texto do Botão",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    18: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar",
                            "label": "Link do Botão",
                            "required": False,
                        },
                    ),
                    19: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primario", "Primário (Azul)"),
                                ("secundario", "Secundário (Branco)"),
                                ("outline", "Outline (Borda)"),
                            ],
                            "help_text": "Estilo visual do botão",
                            "label": "Estilo do Botão",
                        },
                    ),
                    20: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("centro", "Centro"),
                                ("esquerda", "Esquerda"),
                                ("direita", "Direita"),
                                ("inferior-esquerda", "Inferior Esquerda"),
                                ("inferior-centro", "Inferior Centro"),
                                ("inferior-direita", "Inferior Direita"),
                            ],
                            "help_text": "Onde posicionar o texto e botão na imagem",
                            "label": "Posição do Conteúdo",
                        },
                    ),
                    21: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Adicionar overlay escuro para melhor legibilidade",
                            "label": "Overlay Escuro",
                            "required": False,
                        },
                    ),
                    22: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 12),
                                ("subtitulo", 13),
                                ("imagem_desktop", 14),
                                ("imagem_mobile", 15),
                                ("mostrar_botao", 16),
                                ("texto_botao", 17),
                                ("link_botao", 18),
                                ("estilo_botao", 19),
                                ("posicao_conteudo", 20),
                                ("overlay_escuro", 21),
                            ]
                        ],
                        {},
                    ),
                    23: (
                        "wagtail.blocks.ListBlock",
                        (22,),
                        {
                            "help_text": "Adicione os slides do carrossel",
                            "label": "Slides",
                            "max_num": 8,
                            "min_num": 1,
                        },
                    ),
                    24: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("400px", "Baixa (400px)"),
                                ("500px", "Média (500px)"),
                                ("600px", "Alta (600px)"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura do carrossel no desktop",
                            "label": "Altura Desktop",
                        },
                    ),
                    25: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("250px", "Baixa (250px)"),
                                ("300px", "Média (300px)"),
                                ("400px", "Alta (400px)"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura do carrossel no mobile",
                            "label": "Altura Mobile",
                        },
                    ),
                    26: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Se o carrossel deve rodar automaticamente",
                            "label": "Autoplay",
                            "required": False,
                        },
                    ),
                    27: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 5,
                            "help_text": "Tempo entre as transições automáticas",
                            "label": "Intervalo Autoplay (segundos)",
                            "max_value": 15,
                            "min_value": 2,
                        },
                    ),
                    28: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Pontos indicadores na parte inferior",
                            "label": "Mostrar Indicadores",
                            "required": False,
                        },
                    ),
                    29: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Setas de navegação lateral",
                            "label": "Mostrar Setas",
                            "required": False,
                        },
                    ),
                    30: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("slide", "Deslizar"), ("fade", "Fade")],
                            "help_text": "Tipo de transição entre slides",
                            "label": "Efeito de Transição",
                        },
                    ),
                    31: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("slides", 23),
                                ("altura_desktop", 24),
                                ("altura_mobile", 25),
                                ("autoplay", 26),
                                ("intervalo_autoplay", 27),
                                ("mostrar_indicadores", 28),
                                ("mostrar_setas", 29),
                                ("efeito_transicao", 30),
                            ]
                        ],
                        {},
                    ),
                    32: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Programa",
                            "help_text": "Título principal da seção",
                            "label": "Título Principal",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    33: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "de Desenvolvimento Inicial",
                            "help_text": "Subtítulo que aparece abaixo do título principal",
                            "label": "Subtítulo",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    34: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será usada como background da seção",
                            "label": "Imagem de Fundo",
                        },
                    ),
                    35: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("direita", "Direita"),
                                ("esquerda", "Esquerda"),
                            ],
                            "help_text": "Define se os cards ficam à direita ou esquerda do título",
                            "label": "Posição dos Cards",
                        },
                    ),
                    36: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Logo que aparece no card",
                            "label": "Logo do Programa",
                            "required": False,
                        },
                    ),
                    37: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Ex: Programa de Desenvolvimento Inicial para Cargos de Nível Intermediário",
                            "label": "Título do Programa",
                            "max_length": 200,
                        },
                    ),
                    38: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Ex: 271h, 280h",
                            "label": "Duração",
                            "max_length": 50,
                        },
                    ),
                    39: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o card deve direcionar quando clicado",
                            "label": "Link do Programa",
                            "required": False,
                        },
                    ),
                    40: (
                        "wagtail.blocks.StructBlock",
                        [[("logo", 36), ("titulo", 37), ("duracao", 38), ("link", 39)]],
                        {},
                    ),
                    41: (
                        "wagtail.blocks.ListBlock",
                        (40,),
                        {
                            "help_text": "Adicione até 4 cards de programas",
                            "label": "Cards dos Programas",
                            "max_num": 4,
                            "min_num": 1,
                        },
                    ),
                    42: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_principal", 32),
                                ("subtitulo", 33),
                                ("imagem_fundo", 34),
                                ("posicao_cards", 35),
                                ("cards", 41),
                            ]
                        ],
                        {},
                    ),
                    43: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Data de Início da Formação",
                            "help_text": "Título principal do componente",
                            "label": "Título",
                            "max_length": 100,
                        },
                    ),
                    44: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem personalizada para o ícone (opcional, padrão será ícone de relógio)",
                            "label": "Ícone Personalizado",
                            "required": False,
                        },
                    ),
                    45: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "A formação começa no dia 15 de janeiro de 2024. Inscrições abertas até 10 de janeiro.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Texto com as informações sobre a formação",
                            "label": "Descrição",
                        },
                    ),
                    46: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 43),
                                ("icone_personalizado", 44),
                                ("descricao", 45),
                            ]
                        ],
                        {},
                    ),
                    47: (
                        "wagtail.blocks.StreamBlock",
                        [
                            [
                                ("enap_carousel", 31),
                                ("programa_cards", 42),
                                ("cta_destaque", 46),
                            ]
                        ],
                        {
                            "help_text": "Escolha qual tipo de seção será este slide",
                            "label": "Seção do Slide",
                        },
                    ),
                    48: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título que identifica este slide no admin (não aparece no frontend)",
                            "label": "Título do Slide (Opcional)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    49: (
                        "wagtail.blocks.StructBlock",
                        [[("secao", 47), ("titulo_slide", 48)]],
                        {},
                    ),
                    50: (
                        "wagtail.blocks.ListBlock",
                        (49,),
                        {
                            "help_text": "Adicione as seções que farão parte do carrossel",
                            "label": "Slides/Seções",
                            "max_num": 6,
                            "min_num": 2,
                        },
                    ),
                    51: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Se o carrossel deve rodar automaticamente",
                            "label": "Autoplay",
                            "required": False,
                        },
                    ),
                    52: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 8,
                            "help_text": "Tempo entre as transições (recomendado: 8-15 segundos para seções)",
                            "label": "Intervalo Autoplay (segundos)",
                            "max_value": 20,
                            "min_value": 3,
                        },
                    ),
                    53: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Pontos/números indicadores na parte inferior",
                            "label": "Mostrar Indicadores",
                            "required": False,
                        },
                    ),
                    54: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Setas de navegação lateral",
                            "label": "Mostrar Navegação",
                            "required": False,
                        },
                    ),
                    55: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pontos", "Pontos"),
                                ("numeros", "Números"),
                                ("barras", "Barras de Progresso"),
                            ],
                            "help_text": "Como mostrar os indicadores",
                            "label": "Estilo dos Indicadores",
                        },
                    ),
                    56: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("inferior", "Inferior"),
                                ("superior", "Superior"),
                                ("lateral", "Lateral"),
                            ],
                            "help_text": "Onde posicionar os controles de navegação",
                            "label": "Posição dos Controles",
                        },
                    ),
                    57: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("auto", "Automática"),
                                ("400px", "400px"),
                                ("500px", "500px"),
                                ("600px", "600px"),
                                ("100vh", "Tela Cheia"),
                            ],
                            "help_text": "Altura mínima do carrossel",
                            "label": "Altura Mínima",
                        },
                    ),
                    58: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("slide", "Deslizar"),
                                ("fade", "Fade"),
                                ("slide-vertical", "Deslizar Vertical"),
                            ],
                            "help_text": "Tipo de transição entre seções",
                            "label": "Efeito de Transição",
                        },
                    ),
                    59: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_carrossel", 11),
                                ("slides", 50),
                                ("autoplay", 51),
                                ("intervalo_autoplay", 52),
                                ("mostrar_indicadores", 53),
                                ("mostrar_navegacao", 54),
                                ("estilo_indicadores", 55),
                                ("posicao_controles", 56),
                                ("altura_minima", 57),
                                ("efeito_transicao", 58),
                            ]
                        ],
                        {},
                    ),
                    60: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Título do formulário", "required": False},
                    ),
                    61: ("wagtail.blocks.StructBlock", [[("titulo", 60)]], {}),
                    62: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo para o slide", "required": True},
                    ),
                    63: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("title_center", "Título centralizado"),
                                (
                                    "title_desc_left",
                                    "Título e descrição à esquerda com grafismo",
                                ),
                                ("blank", "Slide em branco"),
                            ],
                            "help_text": "Escolha o formato do slide",
                        },
                    ),
                    64: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título do slide (não usado no formato em branco)",
                            "required": False,
                        },
                    ),
                    65: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "Descrição do slide (usado apenas no formato 'Título e descrição à esquerda')",
                            "required": False,
                        },
                    ),
                    66: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("background_image", 62),
                                ("slide_type", 63),
                                ("title", 64),
                                ("description", 65),
                            ]
                        ],
                        {},
                    ),
                    67: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Local",
                            "help_text": "Título da seção (ex: Local, Onde Estamos)",
                            "label": "Título da Seção",
                            "max_length": 50,
                        },
                    ),
                    68: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enap - Escola Nacional de Administração Pública",
                            "help_text": "Nome completo da instituição",
                            "label": "Nome da Instituição",
                            "max_length": 200,
                        },
                    ),
                    69: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Asa Sul • SPO Área Especial 2-A • CEP 70.610-900 • Brasília/DF",
                            "help_text": "Endereço completo com CEP e cidade",
                            "label": "Endereço Completo",
                            "max_length": 300,
                        },
                    ),
                    70: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Cole aqui o link completo do Google Maps (ex: https://maps.google.com/...)",
                            "label": "Link do Google Maps",
                        },
                    ),
                    71: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão para abrir rotas no Google Maps",
                            "label": "Mostrar Botão de Rotas",
                            "required": False,
                        },
                    ),
                    72: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 67),
                                ("nome_instituicao", 68),
                                ("endereco_completo", 69),
                                ("google_maps_url", 70),
                                ("mostrar_botao_rotas", 71),
                            ]
                        ],
                        {},
                    ),
                    73: (
                        "wagtail.blocks.ListBlock",
                        (66,),
                        {
                            "help_text": "Adicione slides ao carrossel (entre 1 e 10)",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    74: ("wagtail.blocks.StructBlock", [[("slides", 73)]], {}),
                    75: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Logo image for the navigation bar",
                            "required": True,
                        },
                    ),
                    76: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de fundo do botão",
                            "label": "Cor do Botão",
                        },
                    ),
                    77: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Entrar",
                            "help_text": "Text for the login button",
                            "required": True,
                        },
                    ),
                    78: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL for the login button",
                            "required": True,
                        },
                    ),
                    79: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acervo",
                            "help_text": "Text for the call-to-action button",
                            "required": True,
                        },
                    ),
                    80: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL for the call-to-action button",
                            "required": True,
                        },
                    ),
                    81: ("wagtail.blocks.CharBlock", (), {"required": True}),
                    82: ("wagtail.blocks.URLBlock", (), {"required": True}),
                    83: ("wagtail.blocks.BooleanBlock", (), {"required": False}),
                    84: (
                        "wagtail.blocks.StructBlock",
                        [[("link_text", 81), ("link_url", 82), ("is_active", 83)]],
                        {},
                    ),
                    85: ("wagtail.blocks.ListBlock", (84,), {}),
                    86: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("logo_image", 75),
                                ("primary_color", 76),
                                ("accent_color", 76),
                                ("button_color", 76),
                                ("button_text_color", 76),
                                ("login_button_text", 77),
                                ("login_button_url", 78),
                                ("cta_button_text", 79),
                                ("cta_button_url", 80),
                                ("nav_items", 85),
                            ]
                        ],
                        {},
                    ),
                    87: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo do Componente",
                            "help_text": "Título principal do componente",
                            "label": "Título",
                            "max_length": 100,
                        },
                    ),
                    88: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Sub Titulo do Componente",
                            "help_text": "Informação e/ou descrição",
                            "label": "Sub Titulo",
                            "max_length": 200,
                        },
                    ),
                    89: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição do Componente",
                            "help_text": "Descrição com mais detalhes",
                            "label": "Descrição",
                        },
                    ),
                    90: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será exibida como fundo do componente",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    91: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Título do Item", "max_length": 100},
                    ),
                    92: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL completa (ex: https://exemplo.com)",
                            "label": "URL do Link",
                        },
                    ),
                    93: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 91), ("url", 92)]],
                        {"icon": "link", "label": "Item do Menu"},
                    ),
                    94: (
                        "wagtail.blocks.StreamBlock",
                        [[("item_link", 93)]],
                        {
                            "help_text": "Adicione quantos itens de menu desejar",
                            "label": "Itens do Menu",
                            "required": False,
                        },
                    ),
                    95: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 87),
                                ("periodo_info", 88),
                                ("descricao", 89),
                                ("imagem_fundo", 90),
                                ("itens_menu", 94),
                            ]
                        ],
                        {},
                    ),
                    96: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Adicione uma foto da pessoa sendo citada. Recomendação: imagem no formato retrato com pelo menos 500x700px.",
                            "label": "Foto da Pessoa",
                        },
                    ),
                    97: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "help_text": "O texto da citação. Não é necessário adicionar aspas, elas serão adicionadas automaticamente.",
                            "label": "Texto da Citação",
                        },
                    ),
                    98: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Nome da pessoa sendo citada.",
                            "label": "Nome do Autor",
                            "max_length": 100,
                        },
                    ),
                    99: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Cargo, profissão ou título da pessoa (opcional).",
                            "label": "Título/Cargo do Autor",
                            "max_length": 150,
                            "required": False,
                        },
                    ),
                    100: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("default", "Padrão (Branco)"),
                                ("blue", "Azul"),
                                ("green", "Verde"),
                            ],
                            "help_text": "Escolha um tema de cor para a citação.",
                            "label": "Tema de Cor",
                        },
                    ),
                    101: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("person_image", 96),
                                ("quote_text", 97),
                                ("author_name", 98),
                                ("author_title", 99),
                                ("color_theme", 100),
                            ]
                        ],
                        {},
                    ),
                    102: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ethos Público",
                            "label": "Tag",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    103: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Servir: a essência do serviço público",
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Título",
                            "required": False,
                        },
                    ),
                    104: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Subtítulo",
                            "required": False,
                        },
                    ),
                    105: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem"},
                    ),
                    106: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Título", "max_length": 100},
                    ),
                    107: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "link",
                                "ul",
                                "ol",
                                "h2",
                                "h3",
                            ],
                            "label": "Descrição",
                        },
                    ),
                    108: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acesse o curso",
                            "label": "Texto do link",
                            "max_length": 50,
                        },
                    ),
                    109: ("wagtail.blocks.URLBlock", (), {"label": "URL do link"}),
                    110: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 105),
                                ("title", 106),
                                ("description", 107),
                                ("link_text", 108),
                                ("link_url", 109),
                            ]
                        ],
                        {},
                    ),
                    111: (
                        "wagtail.blocks.ListBlock",
                        (110,),
                        {"label": "Itens do Carrossel", "min_num": 1},
                    ),
                    112: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tag", 102),
                                ("title", 103),
                                ("subtitle", 104),
                                ("items", 111),
                            ]
                        ],
                        {},
                    ),
                    113: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Main featured image", "required": True},
                    ),
                    114: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Featured title", "required": True},
                    ),
                    115: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Featured description (optional)",
                            "required": False,
                        },
                    ),
                    116: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Item thumbnail", "required": True},
                    ),
                    117: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Item title", "required": True},
                    ),
                    118: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Item description", "required": True},
                    ),
                    119: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link URL (entire card will be clickable)",
                            "required": False,
                        },
                    ),
                    120: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 116),
                                ("title", 117),
                                ("description", 118),
                                ("link", 119),
                            ]
                        ],
                        {},
                    ),
                    121: (
                        "wagtail.blocks.ListBlock",
                        (120,),
                        {
                            "default": [
                                {
                                    "description": "<p>Descrição do item</p>",
                                    "title": "Exemplo de item",
                                }
                            ],
                            "help_text": "Add as many items as you want in the grid",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    122: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("featured_image", 113),
                                ("featured_title", 114),
                                ("featured_description", 115),
                                ("list_items", 121),
                            ]
                        ],
                        {},
                    ),
                    123: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Servir: a essência do serviço público",
                            "label": "Título",
                            "max_length": 200,
                            "required": True,
                        },
                    ),
                    124: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": 'A ideia do "Propósito do Servir" destaca que trabalhar no serviço público vai além de cumprir uma função; é um compromisso verdadeiro com a sociedade.',
                            "label": "Descrição",
                            "required": True,
                        },
                    ),
                    125: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Se não fornecida, será usado fundo verde padrão",
                            "label": "Imagem de fundo (opcional)",
                            "required": False,
                        },
                    ),
                    126: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem principal", "required": True},
                    ),
                    127: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "VEJA O VÍDEO",
                            "label": "Texto do botão de vídeo",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    128: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
                            "help_text": "Link para o vídeo (YouTube, Vimeo, etc)",
                            "label": "URL do vídeo",
                            "required": False,
                        },
                    ),
                    129: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tag", 102),
                                ("title", 123),
                                ("description", 124),
                                ("background_image", 125),
                                ("hero_image", 126),
                                ("video_text", 127),
                                ("video_url", 128),
                            ]
                        ],
                        {},
                    ),
                    130: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Texto do Título Principal",
                            "help_text": "Texto principal do hero",
                            "label": "Título Principal",
                            "required": True,
                        },
                    ),
                    131: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Texto do Subtítulo",
                            "help_text": "Texto de apoio abaixo do título",
                            "label": "Subtítulo",
                            "required": True,
                        },
                    ),
                    132: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor principal dos elementos destacados",
                            "label": "Cor Primária",
                        },
                    ),
                    133: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de destaque secundária",
                            "label": "Cor de Destaque",
                        },
                    ),
                    134: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco (#FFFFFF)"),
                                ("#F8F9FA", "Cinza Claro (#F8F9FA)"),
                                ("#000000", "Preto (#000000)"),
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor de fundo da seção (se não usar imagem)",
                            "label": "Cor de Fundo",
                        },
                    ),
                    135: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "Texto do botão principal",
                            "label": "Texto do Botão Primário",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    136: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL do botão principal",
                            "label": "Link do Botão Primário",
                            "required": False,
                        },
                    ),
                    137: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Assistir vídeo",
                            "help_text": "Texto do botão secundário",
                            "label": "Texto do Botão Secundário",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    138: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL do botão secundário",
                            "label": "Link do Botão Secundário",
                            "required": False,
                        },
                    ),
                    139: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir ícone de play no botão secundário",
                            "label": "Mostrar Ícone de Play",
                            "required": False,
                        },
                    ),
                    140: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão de play sobreposto na imagem de fundo",
                            "label": "Mostrar Botão de Play na Imagem",
                            "required": False,
                        },
                    ),
                    141: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo da seção hero",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    142: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 130),
                                ("subtitle", 131),
                                ("primary_color", 132),
                                ("accent_color", 133),
                                ("background_color", 134),
                                ("primary_button_text", 135),
                                ("primary_button_url", 136),
                                ("secondary_button_text", 137),
                                ("secondary_button_url", 138),
                                ("show_play_icon", 139),
                                ("show_play_button", 140),
                                ("background_image", 141),
                            ]
                        ],
                        {},
                    ),
                    143: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Featured item title", "required": True},
                    ),
                    144: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Featured item description", "required": True},
                    ),
                    145: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link for the featured item",
                            "label": "URL do link",
                            "required": True,
                        },
                    ),
                    146: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Item image", "required": True},
                    ),
                    147: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 146),
                                ("title", 117),
                                ("description", 118),
                                ("link_url", 109),
                            ]
                        ],
                        {},
                    ),
                    148: (
                        "wagtail.blocks.ListBlock",
                        (147,),
                        {
                            "help_text": "Add items to be displayed on the right side",
                            "min_num": 1,
                        },
                    ),
                    149: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("featured_image", 113),
                                ("featured_title", 143),
                                ("featured_description", 144),
                                ("featured_link_url", 145),
                                ("list_items", 148),
                            ]
                        ],
                        {},
                    ),
                    150: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Card image", "required": True},
                    ),
                    151: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Card title", "required": True},
                    ),
                    152: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Card description", "required": True},
                    ),
                    153: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Optional link for the card", "required": False},
                    ),
                    154: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("image", 150),
                                ("title", 151),
                                ("description", 152),
                                ("link", 153),
                            ]
                        ],
                        {},
                    ),
                    155: (
                        "wagtail.blocks.ListBlock",
                        (154,),
                        {"help_text": "Add as many cards as you want", "min_num": 1},
                    ),
                    156: ("wagtail.blocks.StructBlock", [[("cards", 155)]], {}),
                    157: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ethos Público: Compromisso de servir",
                            "label": "Título do tópico 1",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    158: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 1",
                            "label": "Link do tópico 1",
                            "required": True,
                        },
                    ),
                    159: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cidadania ativa",
                            "label": "Título do tópico 2",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    160: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 2",
                            "label": "Link do tópico 2",
                            "required": True,
                        },
                    ),
                    161: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Estado e Desenvolvimento",
                            "label": "Título do tópico 3",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    162: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para 'Veja mais' do tópico 3",
                            "label": "Link do tópico 3",
                            "required": True,
                        },
                    ),
                    163: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("topic1_title", 157),
                                ("topic1_link", 158),
                                ("topic2_title", 159),
                                ("topic2_link", 160),
                                ("topic3_title", 161),
                                ("topic3_link", 162),
                            ]
                        ],
                        {},
                    ),
                    164: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Titulo (e.g. 'Olhar cidadão, servidor atuante, Estado capaz')",
                            "required": True,
                        },
                    ),
                    165: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "help_text": "Descrição (e.g. 'A Enap é uma escola pública federal vinculada ao Ministério da Gestão e da Inovação em Serviços Públicos (MGI)')",
                            "required": True,
                        },
                    ),
                    166: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Tag (e.g. 'Servir')", "required": False},
                    ),
                    167: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("medium", "Banner Médio"),
                                ("large", "Banner Grande"),
                            ],
                            "help_text": "Escolha o tamanho do banner",
                        },
                    ),
                    168: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("center", "Texto Centralizado"),
                                ("bottom", "Texto Inferior"),
                                ("overlay", "Texto com Linha"),
                            ],
                            "help_text": "Choose the text display style",
                        },
                    ),
                    169: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "ID da seção para âncoras/navegação (e.g. 'clima', 'transformacao', 'cuidar')",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    170: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo"},
                    ),
                    171: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"help_text": "Vídeo de fundo"},
                    ),
                    172: (
                        "wagtail.blocks.StreamBlock",
                        [[("image", 170), ("video", 171)]],
                        {
                            "help_text": "Escolha uma imagem ou vídeo de fundo",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    173: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 164),
                                ("description", 165),
                                ("small_text", 166),
                                ("banner_size", 167),
                                ("style_choice", 168),
                                ("section_id", 169),
                                ("background_media", 172),
                            ]
                        ],
                        {},
                    ),
                    174: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    175: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    176: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    177: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 174),
                                ("custom_css_class", 175),
                                ("custom_id", 176),
                            ]
                        ],
                        {},
                    ),
                    178: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.EnapAccordionSnippet",),
                        {},
                    ),
                    179: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("accordion", 178)]],
                        {},
                    ),
                    180: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Aviso Importante",
                            "help_text": "O título principal do aviso",
                            "label": "Título do Aviso",
                            "max_length": 100,
                            "required": True,
                        },
                    ),
                    181: (
                        "wagtail.blocks.DateBlock",
                        (),
                        {
                            "default": datetime.date(2025, 6, 24),
                            "help_text": "Data associada ao aviso",
                            "label": "Data do Aviso",
                            "required": True,
                        },
                    ),
                    182: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Por favor, leia atentamente as informações abaixo para garantir que você esteja ciente de todas as atualizações importantes.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "O texto principal do aviso",
                            "label": "Conteúdo do Aviso",
                            "required": True,
                        },
                    ),
                    183: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem exibida ao lado do aviso",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    184: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Importante",
                            "help_text": "O texto exibido na tag destacada (ex: Importante, Urgente)",
                            "label": "Texto da Tag",
                            "max_length": 20,
                            "required": True,
                        },
                    ),
                    185: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "help_text": "O texto a ser exibido no botão",
                            "label": "Texto do Botão",
                            "max_length": 30,
                            "required": True,
                        },
                    ),
                    186: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "google.com",
                            "help_text": "URL para onde o botão direciona",
                            "label": "Link do Botão",
                            "required": True,
                        },
                    ),
                    187: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 180),
                                ("data", 181),
                                ("texto", 182),
                                ("imagem", 183),
                                ("cor_borda", 133),
                                ("tag_texto", 184),
                                ("cor_tag", 133),
                                ("botao_texto", 185),
                                ("botao_link", 186),
                                ("cor_botao", 133),
                            ]
                        ],
                        {},
                    ),
                    188: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-curso-em-breve", "Curso em breve"),
                                ("card-curso-aberto", "Curso aberto"),
                                ("card-curso-andamento", "Curso em andamento"),
                                ("card-curso-encerrado", "Curso encerrado"),
                            ],
                            "help_text": "Escolha o status do curso",
                            "label": "Status do curso",
                        },
                    ),
                    189: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Curso de Exemplo",
                            "label": "Título do curso",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    190: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descrição do curso de exemplo.",
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Descrição",
                        },
                    ),
                    191: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "40 horas",
                            "label": "Carga horária",
                            "max_length": 50,
                            "required": True,
                        },
                    ),
                    192: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("presencial", "Presencial"),
                                ("online", "Online"),
                                ("hibrido", "Híbrido"),
                            ],
                            "label": "Modalidade",
                        },
                    ),
                    193: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor que será aplicada no texto destacado e nos cards",
                            "label": "Cor de Destaque",
                        },
                    ),
                    194: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Category",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    195: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Label",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    196: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 174),
                                ("custom_css_class", 175),
                                ("custom_id", 176),
                                ("ga_tracking_event_category", 194),
                                ("ga_tracking_event_label", 195),
                            ]
                        ],
                        {},
                    ),
                    197: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {"label": "Page link", "required": False},
                    ),
                    198: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    199: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Other link", "max_length": 255, "required": False},
                    ),
                    200: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    201: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primary", "Tipo primário"),
                                ("secondary", "Tipo secundário"),
                                ("terciary", "Tipo terciário"),
                            ],
                            "help_text": "Escolha o tipo do botão",
                            "label": "Tipo de botão",
                        },
                    ),
                    202: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("small", "Pequeno"),
                                ("medium", "Médio"),
                                ("large", "Grande"),
                                ("extra-large", "Extra grande"),
                            ],
                            "help_text": "Escolha o tamanho do botão",
                            "label": "Tamanho",
                        },
                    ),
                    203: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"label": "Icone", "required": False},
                    ),
                    204: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 196),
                                ("page_link", 197),
                                ("doc_link", 198),
                                ("other_link", 199),
                                ("button_title", 200),
                                ("type_class", 201),
                                ("size_class", 202),
                                ("icone_bool", 203),
                            ]
                        ],
                        {},
                    ),
                    205: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 204)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    206: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("type", 188),
                                ("title", 189),
                                ("description", 190),
                                ("carga_horaria", 191),
                                ("modalidade", 192),
                                ("highlight_color", 193),
                                ("link", 205),
                            ]
                        ],
                        {},
                    ),
                    207: (
                        "wagtail.blocks.StreamBlock",
                        [[("card", 206)]],
                        {
                            "help_text": "Adicione os cards de curso que deseja exibir no carrossel",
                            "label": "Cards de Curso",
                            "min_num": 1,
                        },
                    ),
                    208: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 1,
                            "help_text": "Número de cards visíveis em dispositivos móveis",
                            "label": "Cards por visualização (Mobile)",
                            "max_value": 2,
                            "min_value": 1,
                        },
                    ),
                    209: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 2,
                            "help_text": "Número de cards visíveis em tablets",
                            "label": "Cards por visualização (Tablet)",
                            "max_value": 3,
                            "min_value": 1,
                        },
                    ),
                    210: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 3,
                            "help_text": "Número de cards visíveis em desktops",
                            "label": "Cards por visualização (Desktop)",
                            "max_value": 4,
                            "min_value": 1,
                        },
                    ),
                    211: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Ativar rolagem automática do carrossel",
                            "label": "Auto-play",
                            "required": False,
                        },
                    ),
                    212: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 5000,
                            "help_text": "Tempo de espera entre slides em milissegundos (1000 = 1 segundo)",
                            "label": "Tempo de auto-play",
                            "min_value": 1000,
                            "required": False,
                        },
                    ),
                    213: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cards", 207),
                                ("slidesPerView_mobile", 208),
                                ("slidesPerView_tablet", 209),
                                ("slidesPerView_desktop", 210),
                                ("auto_play", 211),
                                ("auto_play_delay", 212),
                            ]
                        ],
                        {},
                    ),
                    214: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Galeria de Eventos",
                            "help_text": "Título que aparecerá no topo da seção de galeria",
                            "label": "Título da Seção",
                        },
                    ),
                    215: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Subtítulo da Seção",
                        },
                    ),
                    216: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Todos", "label": "Nome da Categoria"},
                    ),
                    217: ("wagtail.blocks.StructBlock", [[("nome", 216)]], {}),
                    218: (
                        "wagtail.blocks.ListBlock",
                        (217,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os itens da galeria",
                            "label": "Categorias da Galeria",
                        },
                    ),
                    219: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Título do Item", "label": "Título do Item"},
                    ),
                    220: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Categoria 1",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    221: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do item da galeria",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    222: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 219), ("categoria", 220), ("imagem", 221)]],
                        {},
                    ),
                    223: (
                        "wagtail.blocks.ListBlock",
                        (222,),
                        {
                            "help_text": "Adicione os itens que serão exibidos na galeria",
                            "label": "Itens da Galeria",
                        },
                    ),
                    224: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 214),
                                ("subtitulo_secao", 215),
                                ("cor_principal", 133),
                                ("cor_secundaria", 133),
                                ("categorias", 218),
                                ("itens_galeria", 223),
                            ]
                        ],
                        {},
                    ),
                    225: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Temos uma rica experiência de diversos backgrounds",
                            "label": "Título",
                            "max_length": 200,
                        },
                    ),
                    226: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Nossa filosofia é simples: reunir pessoas talentosas e oferecer a elas os recursos e suporte para fazer seu melhor trabalho.",
                            "label": "Subtítulo",
                        },
                    ),
                    227: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Recomendado: 270x320px ou proporção similar",
                            "label": "Foto",
                            "required": False,
                        },
                    ),
                    228: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do Membro",
                            "label": "Nome",
                            "max_length": 100,
                        },
                    ),
                    229: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do Membro",
                            "label": "Cargo",
                            "max_length": 150,
                        },
                    ),
                    230: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "Link para LinkedIn, Lattes ou perfil profissional",
                            "label": "Link do Perfil",
                            "required": False,
                        },
                    ),
                    231: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("photo", 227),
                                ("name", 228),
                                ("role", 229),
                                ("links_perfil", 230),
                            ]
                        ],
                        {"icon": "user", "label": "Membro da Equipe"},
                    ),
                    232: (
                        "wagtail.blocks.ListBlock",
                        (231,),
                        {
                            "help_text": "Adicione os membros da equipe que aparecerão no carrossel",
                            "label": "Membros da Equipe",
                            "min_num": 1,
                        },
                    ),
                    233: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 225), ("subtitle", 226), ("team_members", 232)]],
                        {},
                    ),
                    234: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Gnova: Leitura ao ar livre",
                            "help_text": "Texto do badge no topo da seção hero",
                            "required": True,
                        },
                    ),
                    235: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Espaço para promover a rotatividade de livros e leitura ao ar livre.",
                            "help_text": "Título principal da seção hero",
                            "required": True,
                        },
                    ),
                    236: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Um jardim interativo onde os livros podem ser trocados, lidos e apreciados em um ambiente natural.</p><p>Área para workshops, contação de histórias e eventos culturais.</p>",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Descrição da seção hero (aceita formatação básica)",
                            "required": True,
                        },
                    ),
                    237: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem da seção hero (ideal: 1200x800px)",
                            "required": False,
                        },
                    ),
                    238: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("hero_badge", 234),
                                ("hero_title", 235),
                                ("hero_description", 236),
                                ("hero_image", 237),
                            ]
                        ],
                        {},
                    ),
                    239: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "label": "Título da Seção",
                            "required": False,
                        },
                    ),
                    240: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "",
                            "help_text": "Parte do título que terá gradiente (opcional)",
                            "label": "Texto Destacado",
                            "required": False,
                        },
                    ),
                    241: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Subtítulo da seção com informações relevantes.</p>",
                            "label": "Subtítulo da Seção",
                            "required": False,
                        },
                    ),
                    242: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Card",
                            "label": "Título do Card",
                            "required": False,
                        },
                    ),
                    243: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Descrição detalhada do card com informações importantes para o usuário.</p>",
                            "label": "Descrição do Card",
                            "required": False,
                        },
                    ),
                    244: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "fa-solid fa-star",
                            "help_text": "Cole o código do Font Awesome aqui (ex: 'fa-solid fa-book')",
                            "label": "Classe do Ícone",
                            "required": True,
                        },
                    ),
                    245: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acessar",
                            "label": "Texto do Link",
                            "required": False,
                        },
                    ),
                    246: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://gov.br/",
                            "label": "URL do Link",
                            "required": False,
                        },
                    ),
                    247: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 242),
                                ("description", 243),
                                ("icon_class", 244),
                                ("link_text", 245),
                                ("link_url", 246),
                            ]
                        ],
                        {},
                    ),
                    248: (
                        "wagtail.blocks.ListBlock",
                        (247,),
                        {
                            "help_text": "Adicione os cards da seção (a cor será aplicada automaticamente)",
                            "label": "Cards",
                        },
                    ),
                    249: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 239),
                                ("highlight_text", 240),
                                ("highlight_color", 193),
                                ("subtitle", 241),
                                ("cards", 248),
                            ]
                        ],
                        {},
                    ),
                    250: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "label": "Título da Seção",
                            "required": True,
                        },
                    ),
                    251: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Subtítulo da seção com informações relevantes.</p>",
                            "label": "Subtítulo da Seção",
                            "required": True,
                        },
                    ),
                    252: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Aba",
                            "label": "Título da Aba",
                            "required": True,
                        },
                    ),
                    253: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "label": "Ativar por padrão",
                            "required": False,
                        },
                    ),
                    254: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "fa-solid fa-star",
                            "help_text": "Cole o código do Font Awesome aqui (ex: 'fa-solid fa-book')",
                            "label": "Classe do Ícone",
                            "required": False,
                        },
                    ),
                    255: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Insira um código de cor HEX (ex: #5E17EB)",
                            "label": "Cor de Destaque",
                            "required": True,
                        },
                    ),
                    256: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 242),
                                ("description", 243),
                                ("icon_class", 254),
                                ("link_text", 245),
                                ("link_url", 246),
                                ("highlight_color", 255),
                            ]
                        ],
                        {},
                    ),
                    257: (
                        "wagtail.blocks.ListBlock",
                        (256,),
                        {"default": [], "label": "Cards"},
                    ),
                    258: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("grid", "Grid - Cards em forma de grade"),
                                ("list", "Lista - Cards em formato de lista"),
                            ],
                            "label": "Tipo de Layout",
                        },
                    ),
                    259: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("2", "2 Colunas"),
                                ("3", "3 Colunas"),
                                ("4", "4 Colunas"),
                                ("5", "5 Colunas"),
                            ],
                            "label": "Número de Colunas",
                        },
                    ),
                    260: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("tab_title", 252),
                                ("is_default_active", 253),
                                ("cards", 257),
                                ("layout_type", 258),
                                ("columns", 259),
                            ]
                        ],
                        {},
                    ),
                    261: (
                        "wagtail.blocks.ListBlock",
                        (260,),
                        {"default": [], "label": "Abas"},
                    ),
                    262: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Selecione a cor principal do componente",
                            "label": "Cor Primária",
                        },
                    ),
                    263: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Selecione a cor secundária do componente",
                            "label": "Cor Secundária",
                        },
                    ),
                    264: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FFFFFF",
                            "help_text": "Cor de fundo da seção (ex: #FFFFFF)",
                            "label": "Cor de Fundo",
                            "required": True,
                        },
                    ),
                    265: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 250),
                                ("highlight_text", 240),
                                ("subtitle", 251),
                                ("tabs", 261),
                                ("primary_color", 262),
                                ("secondary_color", 263),
                                ("background_color", 264),
                            ]
                        ],
                        {},
                    ),
                    266: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Novidade",
                            "help_text": "Texto que aparece no badge superior",
                            "label": "Texto do Badge",
                            "max_length": 50,
                        },
                    ),
                    267: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Conheça a",
                            "help_text": "Primeira parte do título",
                            "label": "Título Principal",
                            "max_length": 100,
                        },
                    ),
                    268: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Parte do título que terá gradiente (opcional)",
                            "label": "Título Destacado",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    269: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Uma iniciativa da Diretoria de Inovação que nasce da necessidade e do desejo de transformar a biblioteca em um espaço de construção de conhecimento, colaboração e inovação.",
                            "help_text": "Texto descritivo do CTA",
                            "label": "Descrição",
                        },
                    ),
                    270: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba mais",
                            "label": "Texto do Botão",
                            "max_length": 50,
                        },
                    ),
                    271: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"default": "google.com", "label": "Link do Botão"},
                    ),
                    272: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor inicial do gradiente do título destacado",
                            "label": "Cor Inicial do Gradiente",
                        },
                    ),
                    273: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor final do gradiente do título destacado",
                            "label": "Cor Final do Gradiente",
                        },
                    ),
                    274: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FFFFFF", "Branco (#FFFFFF)"),
                                ("#000000", "Preto (#000000)"),
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor do texto do botão",
                            "label": "Cor do Texto do Botão",
                        },
                    ),
                    275: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparece na parte superior",
                            "label": "Imagem Superior",
                            "required": True,
                        },
                    ),
                    276: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparece na parte inferior",
                            "label": "Imagem Inferior",
                            "required": True,
                        },
                    ),
                    277: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("badge_text", 266),
                                ("title", 267),
                                ("highlighted_title", 268),
                                ("description", 269),
                                ("button_text", 270),
                                ("button_link", 271),
                                ("gradient_start_color", 272),
                                ("gradient_end_color", 273),
                                ("button_color", 76),
                                ("button_text_color", 274),
                                ("top_image", 275),
                                ("bottom_image", 276),
                            ]
                        ],
                        {},
                    ),
                    278: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nossas",
                            "help_text": "Primeira parte do título",
                            "label": "Prefixo do Título",
                            "max_length": 100,
                        },
                    ),
                    279: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo Destacado",
                            "help_text": "Parte do título que terá destaque visual",
                            "label": "Título Destacado",
                            "max_length": 100,
                        },
                    ),
                    280: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Acesse bases de dados com livros e periódicos eletrônicos, nacionais e internacionais, sobre administração pública e áreas correlatas",
                            "help_text": "Texto descritivo da seção",
                            "label": "Descrição",
                        },
                    ),
                    281: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#024248", "Verde ENAP (#024248)"),
                                ("#007D7A", "Verde Link ENAP (#007D7A)"),
                                ("#AD6BFC", "Roxo Gnova (#AD6BFC)"),
                                ("#B396FC", "Roxo Claro Gnova (#B396FC)"),
                            ],
                            "help_text": "Cor principal do componente aplicada aos elementos destacados",
                            "label": "Cor de Destaque",
                        },
                    ),
                    282: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Portal de Periódicos da Capes",
                            "label": "Título da Base de Dados",
                            "max_length": 100,
                        },
                    ),
                    283: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "A Biblioteca da Enap disponibiliza acesso a bases de dados com livros e periódicos eletrônicos, nacionais e internacionais. O acesso ao Portal é vinculado à rede da Enap, mas alunos, pesquisadores, professores e servidores têm acesso remoto.",
                            "label": "Descrição da Base de Dados",
                        },
                    ),
                    284: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "JSTOR",
                            "label": "Nome da Base",
                            "max_length": 100,
                        },
                    ),
                    285: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Base multidisciplinar com mais de 2.600 periódicos acadêmicos, livros e fontes primárias.",
                            "label": "Informações da Base",
                        },
                    ),
                    286: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.jstor.org/",
                            "help_text": "Link para acessar a base de dados",
                            "label": "Link da Base",
                            "required": False,
                        },
                    ),
                    287: (
                        "wagtail.blocks.StructBlock",
                        [[("name", 284), ("info", 285), ("link", 286)]],
                        {},
                    ),
                    288: (
                        "wagtail.blocks.ListBlock",
                        (287,),
                        {"label": "Cards das Bases"},
                    ),
                    289: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("database_title", 282),
                                ("database_description", 283),
                                ("cards", 288),
                            ]
                        ],
                        {"label": "Seção de Base de Dados"},
                    ),
                    290: (
                        "wagtail.blocks.StreamBlock",
                        [[("section", 289)]],
                        {"label": "Seções de Conteúdo"},
                    ),
                    291: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_prefix", 278),
                                ("title_highlight", 279),
                                ("description", 280),
                                ("highlight_color", 281),
                                ("content_sections", 290),
                            ]
                        ],
                        {},
                    ),
                    292: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Sobre a Biblioteca",
                            "help_text": "Título principal da página",
                        },
                    ),
                    293: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca",
                            "help_text": "Palavra do título que será destacada com gradiente",
                        },
                    ),
                    294: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Referência em Administração Pública e Gestão Governamental",
                            "help_text": "Subtítulo ou descrição breve",
                        },
                    ),
                    295: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "book",
                            "help_text": "Código do ícone do FontAwesome (ex: book, home). Use apenas o nome sem 'fa-'.",
                        },
                    ),
                    296: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da Seção",
                            "help_text": "Título desta seção",
                        },
                    ),
                    297: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Conteúdo da seção...</p>",
                            "help_text": "Conteúdo detalhado desta seção",
                        },
                    ),
                    298: (
                        "wagtail.blocks.StructBlock",
                        [[("icone_fa", 295), ("titulo_secao", 296), ("conteudo", 297)]],
                        {},
                    ),
                    299: (
                        "wagtail.blocks.ListBlock",
                        (298,),
                        {
                            "help_text": "Adicione seções com ícones, títulos e conteúdo",
                            "min_num": 1,
                        },
                    ),
                    300: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir botão de ação ao final",
                            "required": False,
                        },
                    ),
                    301: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acesse o Regulamento",
                            "help_text": "Texto do botão de ação",
                            "required": False,
                        },
                    ),
                    302: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "Link para onde o botão direciona",
                            "required": False,
                        },
                    ),
                    303: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 133),
                                ("cor_secundaria", 133),
                                ("titulo", 292),
                                ("palavra_destaque", 293),
                                ("subtitulo", 294),
                                ("secoes", 299),
                                ("mostrar_botao_acao", 300),
                                ("texto_botao", 301),
                                ("link_botao", 302),
                            ]
                        ],
                        {},
                    ),
                    304: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#F5F7FA", "Azul Enap"),
                                ("#FCFCFC", "Cinza Enap"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#FFFFFF", "Branco"),
                                ("#F8F9FA", "Cinza Muito Claro"),
                            ],
                            "help_text": "Cor de fundo da seção",
                        },
                    ),
                    305: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que ficará na lateral esquerda",
                            "required": False,
                        },
                    ),
                    306: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Imagem ilustrativa",
                            "help_text": "Texto alternativo da imagem",
                            "max_length": 100,
                        },
                    ),
                    307: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Fale Conosco",
                            "help_text": "Título principal (ex: Fale Conosco)",
                            "max_length": 100,
                        },
                    ),
                    308: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título principal",
                            "required": False,
                        },
                    ),
                    309: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Envie sua mensagem",
                            "help_text": "Subtítulo do formulário (ex: Envie sua mensagem)",
                            "max_length": 200,
                        },
                    ),
                    310: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do subtítulo",
                            "required": False,
                        },
                    ),
                    311: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor do botão de enviar",
                        },
                    ),
                    312: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do botão ao passar o mouse",
                        },
                    ),
                    313: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#00777D", "Enap"),
                                ("#58606E", "Enap Cinza"),
                                ("#AFF0ED", "Enap Azul"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#000000", "Preto"),
                                ("#2F2F2F", "Cinza Escuro"),
                                ("#4A4A4A", "Cinza Médio"),
                            ],
                            "help_text": "Cor do texto do botão",
                        },
                    ),
                    314: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar",
                            "help_text": "Texto do botão",
                            "max_length": 50,
                        },
                    ),
                    315: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 304),
                                ("imagem", 305),
                                ("alt_imagem", 306),
                                ("titulo_principal", 307),
                                ("cor_titulo_principal", 308),
                                ("subtitulo", 309),
                                ("cor_subtitulo", 310),
                                ("cor_botao", 311),
                                ("cor_hover_botao", 312),
                                ("cor_texto_botao", 313),
                                ("texto_botao", 314),
                            ]
                        ],
                        {},
                    ),
                    316: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Fale Conosco",
                            "help_text": "Título principal do formulário",
                            "required": False,
                        },
                    ),
                    317: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Entre em contato conosco para esclarecer dúvidas, enviar sugestões ou solicitar informações.",
                            "help_text": "Texto de introdução",
                            "required": False,
                        },
                    ),
                    318: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Envie sua mensagem",
                            "help_text": "Título da seção do formulário",
                        },
                    ),
                    319: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir texto informando sobre campos obrigatórios",
                            "required": False,
                        },
                    ),
                    320: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "* Campo obrigatório",
                            "help_text": "Texto exibido para informar sobre campos obrigatórios",
                            "required": False,
                        },
                    ),
                    321: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar mensagem",
                            "help_text": "Texto do botão de envio",
                        },
                    ),
                    322: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir opção para enviar cópia para o remetente",
                            "required": False,
                        },
                    ),
                    323: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Enviar cópia para mim (opcional)",
                            "help_text": "Texto da opção para enviar cópia",
                            "required": False,
                        },
                    ),
                    324: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Informações de Contato",
                            "help_text": "Título da seção de informações de contato",
                        },
                    ),
                    325: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Campus Asa Sul",
                            "help_text": "Título do endereço",
                            "required": False,
                        },
                    ),
                    326: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SAIS AE 2A Térreo - Enap Campus Asa Sul – Brasília-DF",
                            "help_text": "Endereço completo",
                            "required": False,
                        },
                    ),
                    327: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Horário de Funcionamento",
                            "help_text": "Título do horário de funcionamento",
                            "required": False,
                        },
                    ),
                    328: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Segunda a sexta-feira das 9h às 18h00",
                            "help_text": "Horário de funcionamento",
                            "required": False,
                        },
                    ),
                    329: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Telefone",
                            "help_text": "Título do telefone",
                            "required": False,
                        },
                    ),
                    330: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "(61) 2020-3139",
                            "help_text": "Número de telefone",
                            "required": False,
                        },
                    ),
                    331: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "E-mail",
                            "help_text": "Título do e-mail",
                            "required": False,
                        },
                    ),
                    332: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "biblioteca@enap.gov.br",
                            "help_text": "Endereço de e-mail",
                            "required": False,
                        },
                    ),
                    333: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Exibir mapa de localização",
                            "required": False,
                        },
                    ),
                    334: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem do mapa (opcional, se preferir usar uma imagem estática)",
                            "required": False,
                        },
                    ),
                    335: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://maps.google.com",
                            "help_text": "Link para o mapa (ex: Google Maps)",
                            "required": False,
                        },
                    ),
                    336: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Visualizar Localização - Google Maps",
                            "help_text": "Texto do link para o mapa",
                            "required": False,
                        },
                    ),
                    337: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 133),
                                ("titulo", 316),
                                ("subtitulo", 317),
                                ("titulo_formulario", 318),
                                ("mostrar_texto_obrigatorio", 319),
                                ("texto_obrigatorio", 320),
                                ("texto_botao", 321),
                                ("mostrar_checkbox_copia", 322),
                                ("texto_checkbox_copia", 323),
                                ("titulo_informacoes", 324),
                                ("endereco_titulo", 325),
                                ("endereco", 326),
                                ("horario_titulo", 327),
                                ("horario", 328),
                                ("telefone_titulo", 329),
                                ("telefone", 330),
                                ("email_titulo", 331),
                                ("email", 332),
                                ("mostrar_mapa", 333),
                                ("imagem_mapa", 334),
                                ("link_mapa", 335),
                                ("texto_link_mapa", 336),
                            ]
                        ],
                        {},
                    ),
                    338: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Próximos Eventos",
                            "help_text": "Título que aparecerá no topo da seção de eventos",
                            "label": "Título da Seção",
                        },
                    ),
                    339: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Participe de nossa programação diversificada de eventos presenciais e online",
                            "help_text": "Texto que aparecerá abaixo do título da seção",
                            "label": "Descrição da Seção",
                        },
                    ),
                    340: (
                        "wagtail.blocks.ListBlock",
                        (217,),
                        {
                            "help_text": "Defina as categorias que serão usadas para filtrar os eventos",
                            "label": "Categorias de Eventos",
                        },
                    ),
                    341: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Novo Evento", "label": "Título do Evento"},
                    ),
                    342: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Geral",
                            "help_text": "Deve corresponder exatamente ao nome de uma categoria definida acima",
                            "label": "Categoria",
                        },
                    ),
                    343: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do Evento", "required": False},
                    ),
                    344: (
                        "wagtail.blocks.DateBlock",
                        (),
                        {
                            "default": datetime.date(2025, 6, 24),
                            "label": "Data do Evento",
                        },
                    ),
                    345: (
                        "wagtail.blocks.TimeBlock",
                        (),
                        {"default": datetime.time(9, 0), "label": "Hora de Início"},
                    ),
                    346: (
                        "wagtail.blocks.TimeBlock",
                        (),
                        {"default": datetime.time(17, 0), "label": "Hora de Término"},
                    ),
                    347: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "A definir", "label": "Local"},
                    ),
                    348: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição do evento será adicionada em breve.",
                            "label": "Descrição do Evento",
                        },
                    ),
                    349: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 50, "label": "Vagas Disponíveis", "min_value": 0},
                    ),
                    350: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 341),
                                ("categoria", 342),
                                ("imagem", 343),
                                ("data", 344),
                                ("hora_inicio", 345),
                                ("hora_fim", 346),
                                ("local", 347),
                                ("descricao", 348),
                                ("vagas_disponiveis", 349),
                            ]
                        ],
                        {},
                    ),
                    351: (
                        "wagtail.blocks.ListBlock",
                        (350,),
                        {
                            "help_text": "Adicione os eventos que serão exibidos",
                            "label": "Lista de Eventos",
                        },
                    ),
                    352: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_secao", 338),
                                ("descricao_secao", 339),
                                ("cor_principal", 133),
                                ("categorias", 340),
                                ("eventos", 351),
                            ]
                        ],
                        {},
                    ),
                    353: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca do Futuro",
                            "help_text": "Título principal do banner",
                            "label": "Título",
                        },
                    ),
                    354: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Futuro",
                            "help_text": "Parte do título que receberá o efeito gradiente",
                            "label": "Texto com Destaque",
                        },
                    ),
                    355: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Reimaginando a experiência da biblioteca tradicional com tecnologia",
                            "help_text": "Texto descritivo que aparecerá abaixo do título",
                            "label": "Descrição",
                        },
                    ),
                    356: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Novo Projeto",
                            "help_text": "Texto que aparece no badge acima do título",
                            "label": "Texto do Badge",
                            "required": False,
                        },
                    ),
                    357: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Selecione uma imagem para o lado direito do banner",
                            "label": "Imagem do Banner",
                        },
                    ),
                    358: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ver Próximos Eventos",
                            "help_text": "Texto do botão principal",
                            "label": "Texto do Botão Principal",
                        },
                    ),
                    359: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#eventos",
                            "help_text": "Link para onde o botão principal levará (URL ou #anchor)",
                            "label": "Link do Botão Principal",
                        },
                    ),
                    360: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Saiba Mais",
                            "help_text": "Texto do botão secundário",
                            "label": "Texto do Botão Secundário",
                            "required": False,
                        },
                    ),
                    361: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#sobre",
                            "help_text": "Link para onde o botão secundário levará (URL ou #anchor)",
                            "label": "Link do Botão Secundário",
                            "required": False,
                        },
                    ),
                    362: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 353),
                                ("texto_destaque", 354),
                                ("descricao", 355),
                                ("badge_texto", 356),
                                ("imagem", 357),
                                ("botao_principal_texto", 358),
                                ("botao_principal_link", 359),
                                ("botao_secundario_texto", 360),
                                ("botao_secundario_link", 361),
                                ("cor_principal", 133),
                                ("cor_secundaria", 133),
                            ]
                        ],
                        {},
                    ),
                    363: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Cor principal para textos e elementos (ex: #4a4a4a)",
                            "label": "Cor Primária",
                        },
                    ),
                    364: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF8502",
                            "help_text": "Cor de destaque para títulos e botões (ex: #FF8502)",
                            "label": "Cor Secundária",
                        },
                    ),
                    365: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FFA135",
                            "help_text": "Cor para efeitos de hover (ex: #FFA135)",
                            "label": "Cor de Hover",
                        },
                    ),
                    366: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Descubra a",
                            "help_text": "Primeira parte do título do banner",
                            "label": "Título Principal",
                        },
                    ),
                    367: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Biblioteca Graciliano Ramos",
                            "help_text": "Segunda parte do título que aparecerá com destaque",
                            "label": "Título em Destaque",
                        },
                    ),
                    368: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Referência em Administração Pública e Gestão Governamental com mais de 29 mil obras em seu acervo",
                            "help_text": "Texto descritivo abaixo do título",
                            "label": "Subtítulo",
                        },
                    ),
                    369: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que será utilizada como fundo do banner",
                            "label": "Imagem de Fundo",
                            "required": False,
                        },
                    ),
                    370: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "O que você procura? Digite palavras-chave...",
                            "help_text": "Texto que aparecerá como sugestão no campo de busca",
                            "label": "Texto do Placeholder",
                        },
                    ),
                    371: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Buscar",
                            "help_text": "Texto que aparecerá no botão de busca",
                            "label": "Texto do Botão",
                        },
                    ),
                    372: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/busca/",
                            "help_text": "URL para onde o formulário de busca será enviado",
                            "label": "URL da Busca",
                        },
                    ),
                    373: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Segunda a sexta das 9h às 19h",
                            "help_text": "Texto que aparecerá como informação adicional",
                            "label": "Texto do Badge Informativo",
                            "required": False,
                        },
                    ),
                    374: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem que aparecerá no lado direito do banner",
                            "label": "Imagem Principal",
                        },
                    ),
                    375: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Mostrar os badges de informação flutuantes ao redor da imagem",
                            "label": "Mostrar Badges Flutuantes",
                            "required": False,
                        },
                    ),
                    376: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "📚",
                            "help_text": "Emoji ou ícone para o primeiro badge",
                            "label": "Ícone do Badge 1",
                            "required": False,
                        },
                    ),
                    377: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "29 mil obras impressas",
                            "help_text": "Texto que aparecerá no primeiro badge",
                            "label": "Texto do Badge 1",
                            "required": False,
                        },
                    ),
                    378: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "🌐",
                            "help_text": "Emoji ou ícone para o segundo badge",
                            "label": "Ícone do Badge 2",
                            "required": False,
                        },
                    ),
                    379: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Acervo digital completo",
                            "help_text": "Texto que aparecerá no segundo badge",
                            "label": "Texto do Badge 2",
                            "required": False,
                        },
                    ),
                    380: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_primaria", 363),
                                ("cor_secundaria", 364),
                                ("cor_accent", 365),
                                ("titulo_principal", 366),
                                ("titulo_destaque", 367),
                                ("subtitulo", 368),
                                ("imagem_background", 369),
                                ("texto_placeholder", 370),
                                ("texto_botao", 371),
                                ("url_busca", 372),
                                ("texto_badge", 373),
                                ("imagem_principal", 374),
                                ("mostrar_badges", 375),
                                ("badge1_icone", 376),
                                ("badge1_texto", 377),
                                ("badge2_icone", 378),
                                ("badge2_texto", 379),
                            ]
                        ],
                        {},
                    ),
                    381: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Upload your logo image", "required": False},
                    ),
                    382: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#FF7E38",
                            "help_text": "Color code for the 7px bottom border and hover effects (e.g. #3182ce)",
                            "required": False,
                        },
                    ),
                    383: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Portal",
                            "help_text": "Text for the portal button",
                            "required": False,
                        },
                    ),
                    384: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "URL for the portal button",
                            "required": False,
                        },
                    ),
                    385: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Menu item text", "required": False},
                    ),
                    386: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Menu item URL", "required": False},
                    ),
                    387: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"help_text": "Highlight this menu item", "required": False},
                    ),
                    388: (
                        "wagtail.blocks.StructBlock",
                        [[("text", 385), ("url", 386), ("featured", 387)]],
                        {},
                    ),
                    389: (
                        "wagtail.blocks.ListBlock",
                        (388,),
                        {
                            "default": [
                                {"featured": False, "text": "Início", "url": "#"},
                                {"featured": False, "text": "Acervo", "url": "#acervo"},
                                {
                                    "featured": False,
                                    "text": "Áreas Temáticas",
                                    "url": "#areas-tematicas",
                                },
                                {
                                    "featured": False,
                                    "text": "Bases de Dados",
                                    "url": "#bases-dados",
                                },
                                {"featured": False, "text": "Sobre", "url": "#sobre"},
                                {
                                    "featured": False,
                                    "text": "Contato",
                                    "url": "#contato",
                                },
                            ]
                        },
                    ),
                    390: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("logo", 381),
                                ("border_color", 382),
                                ("portal_text", 383),
                                ("portal_url", 384),
                                ("menu_items", 389),
                            ]
                        ],
                        {},
                    ),
                    391: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Como aderir ao Enap Aqui?",
                            "help_text": "Título da seção informativa (coluna esquerda)",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título",
                        },
                    ),
                    392: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>A adesão ao Programa Enap Aqui é feita por meio da assinatura de um Acordo de Adesão, formalizado pela instituição interessada.</p><p>O Acordo de Adesão ao Enap Aqui expressa o compromisso da instituição com a promoção de ações formativas voltadas a servidores públicos locais, por meio de uma abordagem híbrida que integra cursos a distância e oficinas presenciais, com foco em temas estratégicos para a gestão pública.</p>",
                            "help_text": "Texto explicativo sobre o processo de adesão",
                            "required": True,
                            "verbose_name": "Texto informativo",
                        },
                    ),
                    393: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Torne-se um parceiro Enap Aqui",
                            "help_text": "Título do cartão verde de destaque",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título do destaque",
                        },
                    ),
                    394: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "<p>Faça parte do Enap Aqui e acompanhe o processo:</p>",
                            "help_text": "Texto curto para o cartão verde de destaque",
                            "required": True,
                            "verbose_name": "Texto do destaque",
                        },
                    ),
                    395: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Aderir ao Enap Aqui",
                            "help_text": "Texto que será exibido no botão",
                            "max_length": 50,
                            "required": True,
                            "verbose_name": "Texto do botão",
                        },
                    ),
                    396: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "#",
                            "help_text": "URL para onde o botão vai redirecionar",
                            "required": True,
                            "verbose_name": "URL do botão",
                        },
                    ),
                    397: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "#1F4D4D",
                            "help_text": "Código hexadecimal da cor de fundo do cartão verde (ex: #1F4D4D)",
                            "max_length": 7,
                            "required": False,
                            "verbose_name": "Cor de fundo do destaque",
                        },
                    ),
                    398: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno"),
                                ("medio", "Médio"),
                                ("grande", "Grande"),
                            ],
                            "help_text": "Espaçamento vertical da seção",
                            "verbose_name": "Espaçamento",
                        },
                    ),
                    399: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo_informativo", 391),
                                ("texto_informativo", 392),
                                ("titulo_destaque", 393),
                                ("texto_destaque", 394),
                                ("texto_botao", 395),
                                ("url_botao", 396),
                                ("cor_fundo_destaque", 397),
                                ("espaco_vertical", 398),
                            ]
                        ],
                        {},
                    ),
                    400: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título da seção",
                            "max_length": 100,
                            "required": True,
                            "verbose_name": "Título",
                        },
                    ),
                    401: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "help_text": "Conteúdo em texto",
                            "required": True,
                            "verbose_name": "Texto",
                        },
                    ),
                    402: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de destaque",
                            "required": True,
                            "verbose_name": "Imagem",
                        },
                    ),
                    403: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("direita", "Imagem à direita"),
                                ("esquerda", "Imagem à esquerda"),
                            ],
                            "help_text": "Posição da imagem em relação ao texto",
                            "verbose_name": "Posição da imagem",
                        },
                    ),
                    404: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("normal", "Normal"),
                                ("arredondada", "Cantos arredondados"),
                                ("circular", "Circular"),
                                ("cobertura", "Cobertura completa"),
                            ],
                            "help_text": "Estilo de exibição da imagem",
                            "verbose_name": "Estilo da imagem",
                        },
                    ),
                    405: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("titulo", 400),
                                ("texto", 401),
                                ("imagem", 402),
                                ("posicao_imagem", 403),
                                ("estilo_imagem", 404),
                            ]
                        ],
                        {},
                    ),
                    406: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": True},
                    ),
                    407: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"max_length": 255, "required": True},
                    ),
                    408: ("wagtail.blocks.RichTextBlock", (), {"required": True}),
                    409: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("background_image", 406),
                                ("title", 407),
                                ("description", 408),
                            ]
                        ],
                        {},
                    ),
                    410: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da feature",
                            "help_text": "Primeiro título da feature",
                            "required": True,
                        },
                    ),
                    411: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição da feature",
                            "help_text": "Primeira descrição da feature",
                            "required": True,
                        },
                    ),
                    412: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título da feature",
                            "help_text": "Segundo título da feature",
                            "required": True,
                        },
                    ),
                    413: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descrição da feature",
                            "help_text": "Segunda descrição da feature",
                            "required": True,
                        },
                    ),
                    414: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem da feature do curso", "required": False},
                    ),
                    415: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_1", 410),
                                ("description_1", 411),
                                ("title_2", 412),
                                ("description_2", 413),
                                ("image", 414),
                            ]
                        ],
                        {},
                    ),
                    416: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Processo seletivo",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    417: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Sobre o processo seletivo",
                            "help_text": "Descrição do processo seletivo",
                            "required": True,
                        },
                    ),
                    418: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Inscrição",
                            "help_text": "Título do primeiro módulo",
                            "required": True,
                        },
                    ),
                    419: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do primeiro módulo",
                            "required": True,
                        },
                    ),
                    420: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Seleção",
                            "help_text": "Título do segundo módulo",
                            "required": True,
                        },
                    ),
                    421: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do segundo módulo",
                            "required": True,
                        },
                    ),
                    422: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Resultado",
                            "help_text": "Título do terceiro módulo",
                            "required": True,
                        },
                    ),
                    423: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Descrição do terceiro módulo",
                            "required": True,
                        },
                    ),
                    424: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 416),
                                ("description", 417),
                                ("module1_title", 418),
                                ("module1_description", 419),
                                ("module2_title", 420),
                                ("module2_description", 421),
                                ("module3_title", 422),
                                ("module3_description", 423),
                            ]
                        ],
                        {},
                    ),
                    425: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nossa Equipe",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    426: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Equipe de desenvolvedores e etc",
                            "help_text": "Descrição da seção da equipe",
                            "required": True,
                        },
                    ),
                    427: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ver todos",
                            "help_text": "Texto do botão 'ver todos'",
                            "required": False,
                        },
                    ),
                    428: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Nome do membro da equipe", "required": True},
                    ),
                    429: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {"help_text": "Cargo/função do membro", "required": True},
                    ),
                    430: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Foto do membro da equipe", "required": False},
                    ),
                    431: (
                        "wagtail.blocks.StructBlock",
                        [[("name", 428), ("role", 429), ("image", 430)]],
                        {},
                    ),
                    432: (
                        "wagtail.blocks.ListBlock",
                        (431,),
                        {
                            "collapsed": False,
                            "default": [
                                {"image": None, "name": "Membro 1", "role": "Cargo 1"},
                                {"image": None, "name": "Membro 2", "role": "Cargo 2"},
                                {"image": None, "name": "Membro 3", "role": "Cargo 3"},
                                {"image": None, "name": "Membro 4", "role": "Cargo 4"},
                            ],
                            "help_text": "Adicione os membros da equipe",
                        },
                    ),
                    433: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 425),
                                ("description", 426),
                                ("view_all_text", 427),
                                ("members", 432),
                            ]
                        ],
                        {},
                    ),
                    434: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Depoimentos",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    435: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"help_text": "Descrição opcional da seção", "required": False},
                    ),
                    436: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Nome do profissional",
                            "help_text": "Nome da pessoa",
                            "required": True,
                        },
                    ),
                    437: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Cargo do profissional",
                            "help_text": "Cargo ou posição da pessoa",
                            "required": True,
                        },
                    ),
                    438: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Lorem ipsum dolor sit amet, lorem ipsum dolor sit amet",
                            "help_text": "Depoimento da pessoa",
                            "required": True,
                        },
                    ),
                    439: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Foto da pessoa", "required": False},
                    ),
                    440: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("name", 436),
                                ("position", 437),
                                ("testimonial", 438),
                                ("image", 439),
                            ]
                        ],
                        {},
                    ),
                    441: (
                        "wagtail.blocks.ListBlock",
                        (440,),
                        {"help_text": "Adicione os depoimentos"},
                    ),
                    442: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 434), ("description", 435), ("testimonials", 441)]],
                        {},
                    ),
                    443: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Titulo do beneficio",
                            "label": "Título principal",
                            "required": True,
                        },
                    ),
                    444: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Titulo do beneficio",
                            "label": "Descrição principal",
                            "required": False,
                        },
                    ),
                    445: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 1", "required": False},
                    ),
                    446: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Metodologia ensino–aplicação",
                            "label": "Título do benefício 1",
                            "required": True,
                        },
                    ),
                    447: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 2", "required": False},
                    ),
                    448: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 2",
                            "required": True,
                        },
                    ),
                    449: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 3", "required": False},
                    ),
                    450: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 3",
                            "required": True,
                        },
                    ),
                    451: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem do benefício 4", "required": False},
                    ),
                    452: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Desenvolvimento de competências de forma inovadora",
                            "label": "Título do benefício 4",
                            "required": True,
                        },
                    ),
                    453: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 443),
                                ("description", 444),
                                ("image_1", 445),
                                ("title_1", 446),
                                ("image_2", 447),
                                ("title_2", 448),
                                ("image_3", 449),
                                ("title_3", 450),
                                ("image_4", 451),
                                ("title_4", 452),
                            ]
                        ],
                        {},
                    ),
                    454: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("solid", "Solid - Fundo colorido"),
                                ("outline", "Outline - Apenas contorno"),
                            ],
                            "help_text": "Estilo visual dos botões",
                        },
                    ),
                    455: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Texto do botão", "required": True},
                    ),
                    456: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão vai direcionar (opcional)",
                            "required": False,
                        },
                    ),
                    457: (
                        "wagtail.blocks.StructBlock",
                        [[("label", 455), ("url", 456)]],
                        {},
                    ),
                    458: (
                        "wagtail.blocks.ListBlock",
                        (457,),
                        {
                            "help_text": "Adicione botões ao grupo (entre 1 e 10)",
                            "max_num": 10,
                            "min_num": 1,
                        },
                    ),
                    459: (
                        "wagtail.blocks.StructBlock",
                        [[("style", 454), ("buttons", 458)]],
                        {},
                    ),
                    460: ("wagtail.blocks.PageChooserBlock", (), {"required": True}),
                    461: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 81), ("page", 460)]],
                        {},
                    ),
                    462: ("wagtail.blocks.ListBlock", (461,), {}),
                    463: (
                        "wagtail.blocks.StructBlock",
                        [[("label", 81), ("options", 462)]],
                        {},
                    ),
                    464: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    465: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 3, "label": "Number of pages to show"},
                    ),
                    466: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("indexed_by", 464), ("num_posts", 465)]],
                        {},
                    ),
                    467: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Título do Curso",
                            "help_text": "Título principal sobre o curso",
                            "label": "Título do Curso",
                            "required": True,
                        },
                    ),
                    468: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva o curso",
                            "help_text": "Descrição geral do curso",
                            "label": "Descrição do Curso",
                            "required": True,
                        },
                    ),
                    469: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem para destacar o curso",
                            "label": "Imagem",
                            "required": False,
                        },
                    ),
                    470: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva a modalidade do curso",
                            "help_text": "Descreva a modalidade do curso",
                            "label": "Descrição da Modalidade",
                            "required": True,
                        },
                    ),
                    471: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva o conteúdo do curso",
                            "help_text": "Descreva o conteúdo do curso",
                            "label": "Descrição do Curso",
                            "required": True,
                        },
                    ),
                    472: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Descreva a metodologia do curso",
                            "help_text": "Descreva a metodologia do curso",
                            "label": "Descrição da Metodologia",
                            "required": True,
                        },
                    ),
                    473: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title", 467),
                                ("description", 468),
                                ("image", 469),
                                ("modalidade_description", 470),
                                ("curso_description", 471),
                                ("metodologia_description", 472),
                            ]
                        ],
                        {},
                    ),
                    474: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a mini preview of the selected page.",
                            "label": "Pagina de Formações",
                            "required": False,
                        },
                    ),
                    475: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("page", 474)]],
                        {},
                    ),
                    476: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Aplicar estilo escuro ao breadcrumb",
                            "label": "Tema Escuro",
                            "required": False,
                        },
                    ),
                    477: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/",
                            "help_text": "URL para o link da casa (padrão: /)",
                            "label": "URL da Página Inicial",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    478: (
                        "wagtail.blocks.StructBlock",
                        [[("dark_theme", 476), ("home_url", 477)]],
                        {},
                    ),
                    479: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "/",
                            "label": "URL da Página Inicial",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    480: (
                        "wagtail.blocks.StructBlock",
                        [[("dark_theme", 476), ("home_url", 479)]],
                        {},
                    ),
                    481: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Estrutura do curso",
                            "help_text": "Título da seção",
                            "required": True,
                        },
                    ),
                    482: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "1º Módulo",
                            "help_text": "Título do módulo (ex: 1º Módulo)",
                            "required": True,
                        },
                    ),
                    483: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Descreva o módulo",
                            "help_text": "Descrição breve do módulo",
                            "required": True,
                        },
                    ),
                    484: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Item da lista de conteúdo do módulo",
                            "required": False,
                        },
                    ),
                    485: ("wagtail.blocks.ListBlock", (484,), {}),
                    486: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("module_title", 482),
                                ("module_description", 483),
                                ("module_items", 485),
                            ]
                        ],
                        {},
                    ),
                    487: (
                        "wagtail.blocks.ListBlock",
                        (486,),
                        {"help_text": "Adicione os módulos do curso", "min_num": 1},
                    ),
                    488: (
                        "wagtail.blocks.StructBlock",
                        [[("title", 481), ("modules", 487)]],
                        {},
                    ),
                    489: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo do hero banner",
                            "required": False,
                        },
                    ),
                    490: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SEMINÁRIO DE INOVAÇÃO 2025",
                            "help_text": "Título principal do banner",
                            "max_length": 150,
                            "required": False,
                        },
                    ),
                    491: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Inovação e Transformação Digital na Administração Pública",
                            "help_text": "Subtítulo (opcional)",
                            "max_length": 300,
                            "required": False,
                        },
                    ),
                    492: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Participe do Seminário de Inovação 2025 e descubra as últimas tendências em inovação e transformação digital na administração pública.",
                            "help_text": "Texto descritivo (opcional)",
                            "required": False,
                        },
                    ),
                    493: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto descritivo",
                            "required": False,
                        },
                    ),
                    494: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Texto do botão", "max_length": 50},
                    ),
                    495: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {"help_text": "Link do botão"},
                    ),
                    496: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("primario", "Primário"),
                                ("secundario", "Secundário"),
                                ("outline", "Outline"),
                            ],
                            "help_text": "Tipo/estilo do botão",
                        },
                    ),
                    497: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor de fundo do botão",
                        },
                    ),
                    498: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do hover do botão",
                        },
                    ),
                    499: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("texto_botao", 494),
                                ("link_botao", 495),
                                ("tipo_botao", 496),
                                ("cor_fundo_botao", 497),
                                ("cor_texto_botao", 313),
                                ("cor_hover_botao", 498),
                            ]
                        ],
                        {"icon": "link", "label": "Botão Hero"},
                    ),
                    500: (
                        "wagtail.blocks.StreamBlock",
                        [[("botao_hero", 499)]],
                        {
                            "help_text": "Adicione até 3 botões no hero banner",
                            "max_num": 3,
                            "min_num": 0,
                            "required": False,
                        },
                    ),
                    501: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("0", "Sem overlay"),
                                ("0.3", "Overlay leve"),
                                ("0.5", "Overlay médio"),
                                ("0.7", "Overlay forte"),
                            ],
                            "help_text": "Opacidade do overlay escuro sobre a imagem",
                        },
                    ),
                    502: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 489),
                                ("titulo_principal", 490),
                                ("subtitulo", 491),
                                ("texto_descricao", 492),
                                ("cor_titulo", 308),
                                ("cor_subtitulo", 310),
                                ("cor_texto", 493),
                                ("botoes_hero", 500),
                                ("overlay_opacity", 501),
                            ]
                        ],
                        {},
                    ),
                    503: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo do banner (recomendado: 1920x600px)",
                            "required": False,
                        },
                    ),
                    504: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "SEMANA DE INOVAÇÃO",
                            "help_text": "Nome do evento (ex: SEMANA DE INOVAÇÃO)",
                            "max_length": 100,
                            "required": False,
                        },
                    ),
                    505: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título do evento",
                            "required": False,
                        },
                    ),
                    506: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "RESULTADO",
                            "help_text": "Tag que aparece no centro (ex: RESULTADO, NOVIDADE, IMPORTANTE)",
                            "max_length": 50,
                            "required": False,
                        },
                    ),
                    507: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor de fundo da tag central",
                            "required": False,
                        },
                    ),
                    508: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto da tag central",
                            "required": False,
                        },
                    ),
                    509: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "CHAMADA PÚBLICA PARA ATIVIDADES",
                            "help_text": "Título principal do banner",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    510: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Texto do botão (ex: Resultado Atividades Online)",
                            "max_length": 100,
                        },
                    ),
                    511: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar (opcional)",
                            "required": False,
                        },
                    ),
                    512: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Ou escolha uma página interna do site",
                            "required": False,
                        },
                    ),
                    513: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("preenchido", "Preenchido"),
                                ("outline", "Outline (apenas borda)"),
                                ("texto", "Apenas texto"),
                            ],
                            "help_text": "Estilo visual do botão",
                        },
                    ),
                    514: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor de fundo do botão (para tipo preenchido)",
                        },
                    ),
                    515: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#EA1821", "Vermelho Cereja"),
                                ("#25552A", "Verde Floresta Escuro"),
                            ],
                            "help_text": "Cor da borda do botão (para tipo outline)",
                        },
                    ),
                    516: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#E6690F", "Laranja Escuro"),
                                ("#E6D220", "Amarelo Escuro"),
                                ("#2E7A8A", "Azul Petróleo Escuro"),
                                ("#6F7B22", "Verde Oliva Escuro"),
                                ("#C27B35", "Dourado Escuro"),
                                ("#D1141B", "Vermelho Cereja Escuro"),
                                ("#1E4420", "Verde Floresta Muito Escuro"),
                            ],
                            "help_text": "Cor do fundo no hover",
                        },
                    ),
                    517: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#00777D", "Enap"),
                                ("#58606E", "Enap Cinza"),
                                ("#AFF0ED", "Enap Azul"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#000000", "Preto"),
                                ("#2F2F2F", "Cinza Escuro"),
                                ("#4A4A4A", "Cinza Médio"),
                            ],
                            "help_text": "Cor do texto no hover",
                        },
                    ),
                    518: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "help_text": "Abrir link em nova aba?",
                            "required": False,
                        },
                    ),
                    519: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Sem ícone"),
                                ("download", "Download"),
                                ("external-link", "Link externo"),
                                ("file-text", "Documento"),
                                ("calendar", "Calendário"),
                                ("users", "Usuários"),
                                ("award", "Prêmio"),
                                ("info", "Informação"),
                                ("play", "Play"),
                                ("mail", "Email"),
                            ],
                            "help_text": "Ícone do botão (opcional)",
                            "required": False,
                        },
                    ),
                    520: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("texto", 510),
                                ("link", 511),
                                ("pagina_interna", 512),
                                ("tipo_botao", 513),
                                ("cor_fundo", 514),
                                ("cor_texto", 313),
                                ("cor_borda", 515),
                                ("cor_hover_fundo", 516),
                                ("cor_hover_texto", 517),
                                ("abrir_nova_aba", 518),
                                ("icone", 519),
                            ]
                        ],
                        {"icon": "link", "label": "Botão"},
                    ),
                    521: (
                        "wagtail.blocks.StreamBlock",
                        [[("botao", 520)]],
                        {
                            "help_text": "Adicione de 1 a 6 botões. Recomendado: máximo 3 botões para melhor visual.",
                            "max_num": 6,
                            "min_num": 1,
                            "required": False,
                        },
                    ),
                    522: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno (400px)"),
                                ("medio", "Médio (500px)"),
                                ("grande", "Grande (600px)"),
                                ("extra-grande", "Extra Grande (700px)"),
                                ("auto", "Automático (baseado no conteúdo)"),
                            ],
                            "help_text": "Altura do banner",
                        },
                    ),
                    523: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("esquerda", "Alinhado à esquerda"),
                                ("centro", "Centralizado"),
                                ("direita", "Alinhado à direita"),
                            ],
                            "help_text": "Alinhamento do conteúdo de texto",
                        },
                    ),
                    524: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("compacto", "Compacto"),
                                ("normal", "Normal"),
                                ("espaçoso", "Espaçoso"),
                            ],
                            "help_text": "Espaçamento entre os botões",
                        },
                    ),
                    525: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 503),
                                ("titulo_evento", 504),
                                ("cor_titulo_evento", 505),
                                ("tag_central", 506),
                                ("cor_fundo_tag", 507),
                                ("cor_texto_tag", 508),
                                ("titulo_principal", 509),
                                ("cor_titulo_principal", 308),
                                ("botoes", 521),
                                ("altura_banner", 522),
                                ("alinhamento_conteudo", 523),
                                ("espacamento_botoes", 524),
                            ]
                        ],
                        {},
                    ),
                    526: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Vídeo",
                            "label": "Título do Vídeo",
                            "required": False,
                        },
                    ),
                    527: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.youtube.com/watch?v=example",
                            "label": "URL do Vídeo",
                            "required": False,
                        },
                    ),
                    528: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Descrição", "required": False},
                    ),
                    529: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 526), ("video_url", 527), ("descricao", 528)]],
                        {},
                    ),
                    530: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Título da seção (opcional)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    531: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título",
                            "required": False,
                        },
                    ),
                    532: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Número/valor (ex: 500+, 95%)", "max_length": 20},
                    ),
                    533: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"help_text": "Descrição do número", "max_length": 100},
                    ),
                    534: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do número",
                            "required": False,
                        },
                    ),
                    535: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor da descrição",
                            "required": False,
                        },
                    ),
                    536: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("numero", 532),
                                ("descricao", 533),
                                ("cor_numero", 534),
                                ("cor_descricao", 535),
                            ]
                        ],
                        {"icon": "plus", "label": "Estatística"},
                    ),
                    537: (
                        "wagtail.blocks.StreamBlock",
                        [[("estatistica", 536)]],
                        {
                            "help_text": "Adicione entre 2 e 8 estatísticas",
                            "max_num": 8,
                            "min_num": 2,
                        },
                    ),
                    538: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("cor_fundo", 304),
                                ("titulo", 530),
                                ("cor_titulo", 531),
                                ("estatisticas", 537),
                            ]
                        ],
                        {},
                    ),
                    539: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "ASSINE NOSSA NEWSLETTER",
                            "label": "Título",
                            "required": False,
                        },
                    ),
                    540: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "Fique por dentro das novidades e eventos da Semana de Inovação.",
                            "label": "Texto",
                            "required": False,
                        },
                    ),
                    541: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Imagem", "required": False},
                    ),
                    542: (
                        "wagtail.blocks.StructBlock",
                        [[("titulo", 539), ("texto", 540), ("imagem", 541)]],
                        {},
                    ),
                    543: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem de fundo da seção (opcional)",
                            "required": False,
                        },
                    ),
                    544: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                (
                                    "texto-esquerda",
                                    "Texto à esquerda, Spotify à direita",
                                ),
                                (
                                    "texto-direita",
                                    "Texto à direita, Spotify à esquerda",
                                ),
                                ("texto-topo", "Texto no topo, Spotify embaixo"),
                            ],
                            "help_text": "Layout da seção",
                        },
                    ),
                    545: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "INOVAR NO GOVERNO PODE? PODE!",
                            "help_text": "Título principal da seção",
                            "max_length": 200,
                        },
                    ),
                    546: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "default": "O InovaPod é o podcast oficial da ENAP, produzido pela Gnova - laboratório de inovação da ENAP. Ouça entrevistas e debates com especialistas e líderes, discutindo tendências e práticas inovadoras na administração pública.",
                            "features": ["bold", "italic", "link"],
                            "help_text": "Descrição do podcast em rich text",
                        },
                    ),
                    547: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do texto da descrição",
                            "required": False,
                        },
                    ),
                    548: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Mostrar botão de ação?",
                            "required": False,
                        },
                    ),
                    549: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "OUÇA AGORA",
                            "help_text": "Texto do botão",
                            "max_length": 100,
                        },
                    ),
                    550: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "help_text": "URL para onde o botão deve direcionar",
                            "required": False,
                        },
                    ),
                    551: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": '<iframe style="border-radius:12px" src="https://open.spotify.com/embed/show/..." width="100%" height="352" frameBorder="0" allowfullscreen="" allow="autoplay; clipboard-write; encrypted-media; fullscreen; picture-in-picture" loading="lazy"></iframe>',
                            "help_text": "Código embed do Spotify (cole o código HTML completo do iframe)",
                        },
                    ),
                    552: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Ouça o InovaPod",
                            "help_text": "Título do player Spotify (opcional, aparece acima do player)",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    553: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("#173039", "Verde Musgo Escuro"),
                                ("#3A8A9C", "Azul Petróleo"),
                                ("#25552A", "Verde Floresta Escuro"),
                                ("#818C27", "Verde Oliva"),
                                ("#FF7A1B", "Laranja Vibrante"),
                                ("#FFEB31", "Amarelo Canário"),
                                ("#FFF0D9", "Creme Suave"),
                                ("#DB8C3F", "Dourado Queimado"),
                                ("#990005", "Vermelho Bordô"),
                                ("#EA1821", "Vermelho Cereja"),
                            ],
                            "help_text": "Cor do título do Spotify",
                            "required": False,
                        },
                    ),
                    554: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("pequeno", "Pequeno (2rem)"),
                                ("medio", "Médio (4rem)"),
                                ("grande", "Grande (6rem)"),
                                ("extra-grande", "Extra Grande (8rem)"),
                            ],
                            "help_text": "Espaçamento interno da seção",
                        },
                    ),
                    555: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("0", "Sem bordas arredondadas"),
                                ("8px", "Bordas suaves"),
                                ("12px", "Bordas médias"),
                                ("16px", "Bordas arredondadas"),
                                ("24px", "Bordas muito arredondadas"),
                            ],
                            "help_text": "Bordas arredondadas do player",
                        },
                    ),
                    556: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": True,
                            "help_text": "Adicionar sombra ao player do Spotify?",
                            "required": False,
                        },
                    ),
                    557: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_fundo", 543),
                                ("cor_fundo", 304),
                                ("layout_tipo", 544),
                                ("titulo", 545),
                                ("cor_titulo", 531),
                                ("descricao", 546),
                                ("cor_descricao", 547),
                                ("mostrar_botao", 548),
                                ("texto_botao", 549),
                                ("link_botao", 550),
                                ("pagina_interna_botao", 512),
                                ("tipo_botao", 513),
                                ("cor_fundo_botao", 497),
                                ("cor_texto_botao", 313),
                                ("cor_borda_botao", 515),
                                ("cor_hover_fundo_botao", 516),
                                ("abrir_nova_aba_botao", 518),
                                ("spotify_embed_code", 551),
                                ("spotify_titulo", 552),
                                ("cor_titulo_spotify", 553),
                                ("espacamento_secao", 554),
                                ("border_radius_player", 555),
                                ("sombra_player", 556),
                            ]
                        ],
                        {},
                    ),
                    558: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem de fundo da seção", "required": False},
                    ),
                    559: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Patrocinadores do Evento",
                            "help_text": "Título principal da seção",
                            "max_length": 200,
                            "required": False,
                        },
                    ),
                    560: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {
                            "help_text": "Imagem principal em destaque",
                            "required": False,
                        },
                    ),
                    561: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"help_text": "Imagem da galeria"},
                    ),
                    562: (
                        "wagtail.blocks.StructBlock",
                        [[("imagem", 561)]],
                        {"icon": "image", "label": "Foto"},
                    ),
                    563: (
                        "wagtail.blocks.StreamBlock",
                        [[("foto", 562)]],
                        {
                            "help_text": "Adicione quantas fotos quiser na galeria",
                            "min_num": 0,
                            "required": False,
                        },
                    ),
                    564: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("imagem_background", 558),
                                ("titulo", 559),
                                ("cor_titulo", 531),
                                ("imagem_destaque", 560),
                                ("galeria_fotos", 563),
                            ]
                        ],
                        {},
                    ),
                    565: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-primary", "Primary"),
                                ("btn-secondary", "Secondary"),
                                ("btn-success", "Success"),
                                ("btn-danger", "Danger"),
                                ("btn-warning", "Warning"),
                                ("btn-info", "Info"),
                                ("btn-link", "Link"),
                                ("btn-light", "Light"),
                                ("btn-dark", "Dark"),
                                ("btn-outline-primary", "Outline Primary"),
                                ("btn-outline-secondary", "Outline Secondary"),
                                ("btn-outline-success", "Outline Success"),
                                ("btn-outline-danger", "Outline Danger"),
                                ("btn-outline-warning", "Outline Warning"),
                                ("btn-outline-info", "Outline Info"),
                                ("btn-outline-light", "Outline Light"),
                                ("btn-outline-dark", "Outline Dark"),
                            ],
                            "label": "Button Style",
                            "required": False,
                        },
                    ),
                    566: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-sm", "Small"),
                                ("", "Default"),
                                ("btn-lg", "Large"),
                            ],
                            "label": "Button Size",
                            "required": False,
                        },
                    ),
                    567: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("button_style", 565),
                                ("button_size", 566),
                                ("button_title", 200),
                                ("downloadable_file", 198),
                            ]
                        ],
                        {},
                    ),
                    568: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    569: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("indexed_by", 568), ("num_posts", 465)]],
                        {},
                    ),
                    570: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "#ID da seção", "max_length": 255, "required": False},
                    ),
                    571: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("bg-white", "Fundo branco"),
                                ("bg-blue", "Fundo blue"),
                                ("bg-gray", "Fundo cinza"),
                                ("bg-whitetwo", "Fundo branco alternativo"),
                                ("bg-darkgreen", "Fundo verde escuro"),
                            ],
                            "help_text": "Escolha a cor de fundo para a seção",
                            "label": "Cor de fundo",
                        },
                    ),
                    572: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Titulo", "max_length": 255, "required": False},
                    ),
                    573: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Subtitulo",
                            "required": False,
                        },
                    ),
                    574: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("cards-gri-1", "1 card por linha"),
                                ("cards-gri-2", "Até 2 cards"),
                                ("cards-gri-3", "Até 3 cards"),
                                ("cards-gri-4", "Até 4 cards"),
                            ],
                            "help_text": "Escolha os limites de card por linha para essa grid.",
                            "label": "Card por linha",
                        },
                    ),
                    575: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-primary", "Tipo primário"),
                                ("card-secondary", "Tipo secundário"),
                                ("card-terciary", "Tipo terciário"),
                                ("card-bgimage", "Tipo BG Image"),
                                ("card-horizontal", "Tipo Horizontal"),
                                (
                                    "card-horizontal-reverse",
                                    "Tipo Horizontal Invertido",
                                ),
                            ],
                            "help_text": "Escolha o tipo/cor do card",
                            "label": "Tipo de card",
                        },
                    ),
                    576: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Image", "max_length": 255, "required": False},
                    ),
                    577: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Body",
                        },
                    ),
                    578: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 204)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 3,
                            "required": False,
                        },
                    ),
                    579: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("type", 575),
                                ("image", 576),
                                ("title", 200),
                                ("description", 577),
                                ("link", 578),
                            ]
                        ],
                        {},
                    ),
                    580: (
                        "wagtail.blocks.StreamBlock",
                        [[("enap_card", 579), ("card_curso", 206)]],
                        {"label": "Conteúdo"},
                    ),
                    581: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 177), ("grid", 574), ("content", 580)]],
                        {},
                    ),
                    582: ("enap_designsystem.blocks.html_blocks.RichTextBlock", (), {}),
                    583: ("wagtail.blocks.CharBlock", (), {"required": False}),
                    584: (
                        "wagtail.blocks.StructBlock",
                        [[("image", 406), ("caption", 583)]],
                        {},
                    ),
                    585: ("wagtail.blocks.TextBlock", (), {"required": True}),
                    586: (
                        "wagtail.blocks.StructBlock",
                        [[("quote", 585), ("attribution", 583)]],
                        {},
                    ),
                    587: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Perguntas Frequentes",
                            "help_text": "Título principal da seção de accordions (opcional)",
                            "label": "Título da Seção",
                            "required": False,
                        },
                    ),
                    588: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "default": "Pergunta",
                            "help_text": "Título que será mostrado no accordion (pergunta)",
                            "label": "Título do Accordion",
                            "required": True,
                        },
                    ),
                    589: (
                        "enap_designsystem.blocks.html_blocks.RichTextBlock",
                        (),
                        {
                            "default": "Resposta detalhada para a pergunta do accordion.",
                            "help_text": "Conteúdo que será exibido quando o accordion for expandido",
                            "label": "Resposta do Accordion",
                            "required": True,
                        },
                    ),
                    590: (
                        "wagtail.blocks.StructBlock",
                        [[("accordion_title", 588), ("accordion_response", 589)]],
                        {},
                    ),
                    591: (
                        "wagtail.blocks.ListBlock",
                        (590,),
                        {
                            "help_text": "Adicione quantas perguntas e respostas desejar",
                            "label": "Itens do Accordion",
                            "min_num": 1,
                        },
                    ),
                    592: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("section_title", 587),
                                ("highlight_color", 133),
                                ("accordion_items", 591),
                            ]
                        ],
                        {},
                    ),
                    593: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Fale", "max_length": 100},
                    ),
                    594: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Conosco", "max_length": 100},
                    ),
                    595: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Entre em contato com a Biblioteca Graciliano Ramos"
                        },
                    ),
                    596: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Telefone", "max_length": 100},
                    ),
                    597: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "(61) 2020-3139", "required": False},
                    ),
                    598: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "E-mail", "max_length": 100},
                    ),
                    599: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "biblioteca@enap.gov.br", "required": False},
                    ),
                    600: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Endereço", "max_length": 100},
                    ),
                    601: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "SPO Área Especial 2A - Térreo\nBrasília-DF - CEP: 70610-900",
                            "required": False,
                        },
                    ),
                    602: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"default": "Horário de Funcionamento", "max_length": 100},
                    ),
                    603: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {
                            "default": "Segunda a sexta-feira das 9h às 19h00",
                            "required": False,
                        },
                    ),
                    604: (
                        "wagtail.blocks.URLBlock",
                        (),
                        {
                            "default": "https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3839.7410214087293!2d-47.91252422392779!3d-15.783966284838556!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x935a3aec4bdd315d%3A0xe4b35324fd775722!2sEscola%20Nacional%20de%20Administra%C3%A7%C3%A3o%20P%C3%BAblica%20(Enap)!5e0!3m2!1spt-BR!2sbr!4v1650293487600!5m2!1spt-BR!2sbr",
                            "required": True,
                        },
                    ),
                    605: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("title_prefix", 593),
                                ("title_highlight", 594),
                                ("description", 595),
                                ("phone_title", 596),
                                ("phone", 597),
                                ("email_title", 598),
                                ("email", 599),
                                ("address_title", 600),
                                ("address", 601),
                                ("hours_title", 602),
                                ("hours", 603),
                                ("map_embed_url", 604),
                                ("highlight_color", 76),
                            ]
                        ],
                        {},
                    ),
                    606: (
                        "wagtail.blocks.StreamBlock",
                        [
                            [
                                ("enap_cardgrid", 581),
                                ("enap_accordion", 179),
                                ("richtext", 582),
                                ("button", 204),
                                ("image", 584),
                                ("quote", 586),
                                ("preview_courses", 475),
                                ("noticias_carousel", 466),
                                ("enap_herofeature", 409),
                                ("feature_course", 415),
                                ("feature_estrutura", 488),
                                ("section_card_title_center", 249),
                                ("accordion", 592),
                                ("section_tabs_cards", 265),
                                ("cta_imagem", 277),
                                ("container_info", 291),
                                ("sobre_linhas", 303),
                                ("contato", 605),
                                ("form_contato", 337),
                                ("evento", 352),
                                ("hero_animada", 362),
                                ("banner_search", 380),
                                ("texto_imagem", 405),
                                ("hero", 142),
                                ("aviso", 187),
                                ("galeria_moderna", 224),
                                ("team_moderna", 233),
                                ("cta_2", 238),
                            ]
                        ],
                        {"label": "Conteúdo"},
                    ),
                    607: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 177),
                                ("id_slug", 570),
                                ("custom_class", 571),
                                ("title", 572),
                                ("subtitle", 573),
                                ("content", 606),
                            ]
                        ],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.CreateModel(
            name="PaginaIndexada",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("titulo", models.CharField(max_length=500)),
                ("conteudo_texto", models.TextField()),
                ("url", models.URLField()),
                ("tags", models.TextField(blank=True)),
                ("data_indexacao", models.DateTimeField(auto_now=True)),
                ("ativa", models.BooleanField(default=True)),
                (
                    "pagina",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="indexacao_chatbot",
                        to="wagtailcore.page",
                    ),
                ),
            ],
            options={
                "verbose_name": "Página Indexada",
                "verbose_name_plural": "Páginas Indexadas",
                "unique_together": {("pagina",)},
            },
        ),
    ]
